<?php use_helper('I18N', 'Date') ?>
<?php use_stylesheet('/sfDoctrinePlugin/css/global.css', 'first') ?>
<?php use_stylesheet('/sfDoctrinePlugin/css/default.css', 'first') ?>
<div id="sf_admin_container">
  <h1><?php echo __('Configuration de la sauvegarde', array(), 'messages') ?></h1>
    <?php if ($sf_user->hasFlash('notice')): ?>
        <div class="notice"><?php echo $sf_user->getFlash('notice') ?></div>
    <?php endif ?>
  <div id="sf_admin_content">
  	<?php echo form_tag("@backup_configuration")?>
            <?php echo $form['_csrf_token']->render()?>
            <div>
                <p><?php echo __('Choisissez le type de sauvegarde :')?> <?php echo $form['type']->render()?></p>
                <?php echo $form['type']->renderError()?>
            </div>
            <div id="configDay"></div>
            <?php echo $form['day']->renderError()?>
            <input type="submit" value="Enregistrer" />
	</form>
  </div>
  <div id="sf_admin_footer"></div>
</div>
<script type="text/javascript">
    $("#config_type").change(function() {
        if ($(this).val() != "") {
            $.ajax({
                 type: "POST",
                 url: '<?php echo url_for("@backup_recuperer_jour_pour_type") ?>',
                 data: { type: $(this).val() },
                 success: function(result){
                     $("#configDay").html(result);
                 }
            });
        }
    });
</script>