<?php

require_once dirname(__FILE__).'/../lib/clientGeneratorConfiguration.class.php';
require_once dirname(__FILE__).'/../lib/clientGeneratorHelper.class.php';

/**
 * client actions.
 *
 * @package    sf_sandbox
 * @subpackage client
 * @author     Your name here
 * @version    SVN: $Id: actions.class.php 23810 2009-11-12 11:07:44Z Kris.Wallsmith $
 */
class clientActions extends autoClientActions
{
    public function executeDownloadExportSage(sfWebRequest $request)
    {
        $filename = $request->getParameter('filename');
        $this->getResponse()->clearHttpHeaders();
        header("Content-type:text/plain; charset=iso-8859-1");
        header("Content-Disposition:attachment;filename='".$filename."'");
        readfile(__DIR__."/../../../../../data/export_sage/".$filename);

        return sfView::HEADER_ONLY;
    }
    
    
    public function executeBatchExport_sage(sfWebRequest $request)
    {
        $ids = $request->getParameter('ids');
        $fp = fopen(__DIR__."/../../../../../data/export_sage/".date("ymdhis").".txt", "w");
        $nb = count($ids);
	$i = 0;
	
        foreach ($ids as $id) {
            $client = Doctrine::getTable("Client")->find($id);
            
            // On récupère la dernière commande
            $commande = Doctrine::getTable("Commande")->getLastOrderByCustomer($id);
            
            $id_client = trim($client->getRaisonSociale().$client->getNom().$client->getPrenom());
            
            $id_client = str_replace(" ", "", $id_client);
            $id_client = str_replace("-", "", $id_client);
	    $id_client = Utils::slugify($id_client);
            $id_client = strtoupper($id_client);
            
            // Création du TSV
            $contenu = $id_client."\t";
	    
	    $nom = array();
	    
	    if ($client->getRaisonSociale() != "") {
		$nom[] = $client->getRaisonSociale();
	    }
	    
	    if ($client->getNom() != "") {
		$nom[] = $client->getNom();
	    }
	    if ($client->getPrenom() != "") {
		$nom[] = $client->getPrenom();
	    }
	    
            $contenu .= strtoupper(implode(' ', $nom))."\t";
            $contenu .= "41100000\t"
                    .strtoupper($client->getCivilite())."\t"
                    .$id_client."\t"
                    .strtoupper($client->getAdresse())."\t"
                    .strtoupper($client->getAdresseComplement())."\t"
                    .strtoupper($client->getCodePostal())."\t"
                    .strtoupper($client->getVille())."\t"
                    .$client->getPays()."\t"
                    .$client->getTelephone()."\t"
                    .$client->getFax()."\t"
                    .$client->getEmail()."\t";
            
            if ($commande) {
                $contenu .= strtoupper($commande->getRaisonSociale()." ".$commande->getNom()." ".$commande->getPrenom())."\t"
                    .strtoupper($commande->getAdresse())."\t"
                    .strtoupper($commande->getAdresseComplement())."\t"
                    .strtoupper($commande->getCodePostal())."\t"
                    .strtoupper($commande->getVille())."\t"
                    .$commande->getPays()."\t"
                    .$commande->getTelephone()."\t"
                    .$commande->getFax().PHP_EOL;
            
		/*fputcsv($fp, array(
		    $id_client, strtoupper(implode('.', $nom)), "41100000",
		    strtoupper($client->getCivilite()), $id_client, strtoupper($client->getAdresse()),
		    strtoupper($client->getAdresseComplement()), strtoupper($client->getCodePostal()),
		    strtoupper($client->getVille()), $client->getPays(), 
		    $client->getTelephone(), $client->getFax(), $client->getEmail(), 
		    strtoupper($commande->getRaisonSociale()." ".$commande->getNom()." ".$commande->getPrenom()),
		    strtoupper($commande->getAdresse()),
		    strtoupper($commande->getAdresseComplement()),
		    strtoupper($commande->getCodePostal()),
		    strtoupper($commande->getVille()),
		    $commande->getPays(),
		    $commande->getTelephone(),
		    $commande->getFax()
		), "\t");*/
            } else {
                $contenu .= "\t\t\t\t\t\t\t".PHP_EOL;
            
		/*fputcsv($fp, array(
		    $id_client, strtoupper(implode('.', $nom)), "41100000",
		    strtoupper($client->getCivilite()), $id_client, strtoupper($client->getAdresse()),
		    strtoupper($client->getAdresseComplement()), strtoupper($client->getCodePostal()),
		    strtoupper($client->getVille()), $client->getPays(), 
		    $client->getTelephone(), $client->getFax(), $client->getEmail(), 
		    "", "", "", "", "", "", "", ""
		), "\t");*/
            }
	    
            //fputs($fp, $contenu);
	    
	    
            //$fp = fopen(__DIR__."/../../../../../data/export_sage/".$id_client.".txt", "w");
            fputs($fp, $contenu);
	    
	    if (++$i < $nb) {
		fputcsv($fp, array());
	    }
            //fclose($fp);
        }
		fputcsv($fp, array());
        
        fclose($fp);
        
        // Mise à jour des status export sage
        Doctrine::getTable("Client")->updateExportSage($ids);
    }
}
