<?php

require_once dirname(__FILE__).'/../lib/menuGeneratorConfiguration.class.php';
require_once dirname(__FILE__).'/../lib/menuGeneratorHelper.class.php';

/**
 * menu actions.
 *
 * @package    sf_sandbox
 * @subpackage menu
 * @author     Your name here
 * @version    SVN: $Id: actions.class.php 23810 2009-11-12 11:07:44Z Kris.Wallsmith $
 */
class menuActions extends autoMenuActions
{
	public function executeEdit(sfWebRequest $request)
	{
		$this->menu = Doctrine::getTable('Menu')->find($request->getParameter("id_menu"));
		$this->form = $this->configuration->getForm($this->menu);
			
		$this->sous_menu = new SousMenu();
		
		// Action pour la liste des sous menu
		if($request->hasParameter("mode"))
		{
			if($request->getParameter("mode") == "delete")
			{
				$sous_menu = Doctrine::getTable('SousMenu')->find($request->getParameter("id_sous_menu"));
				$sous_menu->delete();
				$this->getUser()->setFlash('notice_sous_menu', 'L\'objet a été supprimé avec succès.');
			}
			else if($request->getParameter("mode") == "update")
			{
				$this->sous_menu = Doctrine::getTable('SousMenu')->find($request->getParameter("id_sous_menu"));
			}
		}

		if($request->isMethod("POST"))
		{
			$values = $request->getPostParameter("sous_menu");
			if($values["id_sous_menu"] != "")
			{
				$this->sous_menu = Doctrine::getTable('SousMenu')->find($values["id_sous_menu"]);
			}

			$this->sous_menu->setLibelle($values["libelle"]);
			$this->sous_menu->setUrl($values["url"]);
			$this->sous_menu->setOrdre($values["ordre"]);
			$this->sous_menu->setActif(false);
			if(isset($values["actif"]))
			{
				$this->sous_menu->setActif(true);
			}

			$this->sous_menu->setIdMenu($values["id_menu"]);
			$this->sous_menu->save();

			$this->getUser()->setFlash('notice_sous_menu', 'L\'objet a été mis à jour avec succès.');
		}

		$this->listeSousMenu = $this->menu->getSousMenusOrdonnee();
	}
}
