<?php use_helper('I18N', 'Date') ?>
<?php use_javascript('/sfFormExtraPlugin/js/double_list.js') ?>
<?php include_partial('nettoyeurhautepression/assets') ?>
<script type="text/javascript">
$(document).ready(function(){
	$('#recherche_marque').change(function() {
		$('#loader').show();
	    $('#emplacement_modele').load(
	    	'recupererModele',
	        { id_marque: this.value },
	        function() { $('#loader').hide(); }
	    );
	});
	<?php if(isset($nettoyeur)):?>
		<?php foreach($listeFamille as $famille):?>
			$('#ajouter_article_<?php echo $famille->getIdFamille()?>').click(function(){
				$(ajouterLigne(<?php echo $famille->getIdFamille()?>)).appendTo($('#articles_<?php echo $famille->getIdFamille()?>'))
			});
		<?php endforeach;?>
	<?php endif?>
});
</script>
<?php $ligne = 0; $bloc = 0;?>

<div id="sf_admin_container">
  	<h1><?php echo __('Association nomenclature et nettoyeur haute pression', array(), 'messages') ?></h1>
  	<?php include_partial('nettoyeurhautepression/flashes') ?>
  	<?php echo form_tag('@nettoyeur_haute_pression_nomenclature_import', 'multipart=true') ?>
		<?php echo $form_import["_csrf_token"]->render() ?>
		<table>
			<tr class="sf_admin_form_row">
				<td><label for="import">Importer un fichier</label></td>
				<td><?php echo $form_import["file"]->render() ?></td>
				<td><input name="bntImport" type="submit" value="Importer"></td>
			</tr>
		</table>
	</form>
	<form method="post" action="<?php echo url_for("association_nomenclature_nettoyeur")?>">
	  	<div id="sf_admin_header">
	  		<fieldset id="sf_fieldset_recherche">
	  			<div class="sf_admin_form_row">
			    	<div>
			    		<label>Marque</label>
			      		<div class="content">
			      			<select id="recherche_marque" name="recherche_marque">
								<option value="">Choisissez une marque</option>
								<?php foreach($listeMarque as $marque):?>
									<option value="<?php echo $marque->getIdMarque()?>" <?php if($marque->getIdMarque() == $recherche_marque):?>selected="selected"<?php endif;?>><?php echo $marque->getLibelle()?></option>
								<?php endforeach;?>	
							</select>
							<?php echo image_tag("loader.gif", array("id"=>"loader", "style"=>"vertical-align: middle; display: none"))?>
			      		</div>
			    	</div>
			  	</div>
				<div class="sf_admin_form_row">
			    	<div>
			    		<label>Modèle</label>
			      		<div class="content">
			      			<div id="emplacement_modele">
								<select id="recherche_modele" name="recherche_modele">
									<option value="">Choisissez un modèle</option>
									<?php foreach($listeModeles as $modele):?>
										<option value="<?php echo $modele->getPrimaryKey()?>" <?php if($modele->getPrimaryKey() == $recherche_modele):?>selected="selected"<?php endif;?>><?php echo $modele->getModele()?></option>
									<?php endforeach;?>
								</select>
							</div>
			      		</div>
			    	</div>
			  	</div>
			</fieldset>
			<ul class="sf_admin_actions">
				<li class="sf_admin_action_save">
					<input type="submit" id="btnAfficher" name="btnAfficher" value="Afficher">
				</li>
			</ul>
	  	</div>
		<?php if(isset($nettoyeur)):?>
			<div id="sf_admin_content">
				<input type="hidden" name="id_nettoyeur" value="<?php echo $nettoyeur->getIdNettoyeur()?>" />
				<input type="hidden" name="id_marque" value="<?php echo $recherche_marque?>" />
				<input type="hidden" name="id_modele" value="<?php echo $recherche_modele?>" />
				<div style="width: 500px; height: 200px;"><?php echo $form?></div>
				<ul class="sf_admin_actions">
					<li class="sf_admin_action_save">
						<input type="submit" name="btnEnregistrer" value="Enregistrer" />
					</li>
				</ul>
		  	</div>
		<?php endif?>
	</form>
  	<div id="sf_admin_footer"></div>
</div>