<div class="sf_admin_list">
  <?php if (!$pager->getNbResults()): ?>
    <p><?php echo __('No result', array(), 'sf_admin') ?></p>
  <?php else: ?>
    <table cellspacing="0">
      <thead>
        <tr>
          <th id="sf_admin_list_batch_actions"><input id="sf_admin_list_batch_checkbox" type="checkbox" onclick="checkAll();" /></th>
          <?php include_partial('pompe/list_th_tabular', array('sort' => $sort)) ?>
          <th id="sf_admin_list_th_actions"><?php echo __('Actions', array(), 'sf_admin') ?></th>
        </tr>
      </thead>
      <tfoot>
        <tr>
          <th colspan="5">
            <?php if ($pager->haveToPaginate()): ?>
              <?php include_partial('pompe/pagination', array('pager' => $pager)) ?>
            <?php endif; ?>

            <?php echo format_number_choice('[0] no result|[1] 1 result|(1,+Inf] %1% results', array('%1%' => $pager->getNbResults()), $pager->getNbResults(), 'sf_admin') ?>
            <?php if ($pager->haveToPaginate()): ?>
              <?php echo __('(page %%page%%/%%nb_pages%%)', array('%%page%%' => $pager->getPage(), '%%nb_pages%%' => $pager->getLastPage()), 'sf_admin') ?>
            <?php endif; ?>
          </th>
        </tr>
      </tfoot>
      <tbody>
        <?php foreach ($pager->getResults() as $i => $pompe): $odd = fmod(++$i, 2) ? 'odd' : 'even' ?>
          <tr class="sf_admin_row <?php echo $odd ?>">
            <td>
			  <input type="checkbox" name="ids[]" value="<?php echo $pompe->getPrimaryKey() ?>" class="sf_admin_batch_checkbox" />
			</td>
            <td class="sf_admin_foreignkey sf_admin_list_td_id_pompe">
				<?php echo $pompe->getPrimaryKey() ?>
			</td>
            <td class="sf_admin_foreignkey sf_admin_list_td_id_marque">
				<?php if($pompe->id_marque != ""):?><?php echo $pompe->getMarque()->getLibelle() ?><?php endif?>
			</td>
			<td class="sf_admin_text sf_admin_list_td_modele">
			  <?php echo link_to($pompe->getModele(), 'pompe_edit', $pompe) ?>
			</td>
			<td class="sf_admin_text sf_admin_list_td_serie">
			  <?php echo $pompe->getSerie() ?>
			</td>
            <td>
			  <ul class="sf_admin_td_actions">
			    <?php echo $helper->linkToEdit($pompe, array(  'params' =>   array(  ),  'class_suffix' => 'edit',  'label' => 'Edit',)) ?>
			    <?php echo $helper->linkToDelete($pompe, array(  'params' =>   array(  ),  'confirm' => 'Are you sure?',  'class_suffix' => 'delete',  'label' => 'Delete',)) ?>
			  </ul>
			</td>
          </tr>
        <?php endforeach; ?>
      </tbody>
    </table>
  <?php endif; ?>
</div>
<script type="text/javascript">
/* <![CDATA[ */
function checkAll()
{
  var boxes = document.getElementsByTagName('input'); for(var index = 0; index < boxes.length; index++) { box = boxes[index]; if (box.type == 'checkbox' && box.className == 'sf_admin_batch_checkbox') box.checked = document.getElementById('sf_admin_list_batch_checkbox').checked } return true;
}
/* ]]> */
</script>
