﻿<?php use_helper("Number")?>
<script type="text/javascript">
	function plusDetails(){
		if($('#plusDetailsNettoyeur').css('display') == "block"){
			$('#plusDetailsNettoyeur').slideUp('slow', function(){});
		}else{
			$('#plusDetailsNettoyeur').slideDown('slow', function(){});
		}
	}
	
	
	$(document).ready(function() {
		$('.menu-info > li').click(function() {
			$('#accessoires').hide();
			$('#vente-pieces-detachees').hide();
			
			if ($(this).data('class') == 'accessoires') {
				$('#accessoires').show();
			} else {
				$('#vente-pieces-detachees').show();
			}
		});
	});
</script>
<div id="nettoyeur">
	<?php if($sf_user->hasFlash("panier_ajout")):?>
		<div id="panier_ajout_principal"><?php echo __('Ce nettoyeur a bien été ajouté au panier')?> <?php if($totalTTC >= $minimumCommande):?><?php echo link_to(__("Voir mon panier"), "@panier")?><?php endif?></div>
	<?php endif?>
	<div id="entete_nettoyeur">
		<table class="general">
			<tr>
				<td rowspan="2" class="photo">
					<?php 
						if($nettoyeur->getPhoto_1() != "")
						{
							$info = getimagesize(image_path("nettoyeurs/".$nettoyeur->getPhoto_1(), true));
							$url = "nettoyeurs/".$nettoyeur->getPhoto_1();
						}
						else
						{ 
							$info[0] = 550;
							$info[1] = 500;
							$url = "image_nhp_defaut.jpg";
						}

						if($info[0] > 220)
						{
							$info[1] = ceil($info[1] * 100 * 220 / $info[0] / 100);
							$info[0] = 220;
						}
						if($info[1] > 160)
						{
							$info[0] = ceil($info[0] * 100 * 160 / $info[1] / 100);
							$info[1] = 160;
						}
						echo image_tag($url, array("title" => __("Nettoyeur")." ".$nettoyeur->getMarque()->getLibelle()." ".$nettoyeur->getModele(), "alt" => __("Nettoyeur")." ".$nettoyeur->getMarque()->getLibelle()." ".$nettoyeur->getModele(), "width"=> $info[0], "height"=> $info[1]));
					?>
				</td>
				<td class="space"></td>
				<td class="titre">
					<h1><?php echo __('Nettoyeur')?> <?php echo $nettoyeur->getMarque()->getLibelle()?> <?php echo $nettoyeur->getModele()?></h1>
				</td>
				<td>
					<?php if(!$nettoyeur->getPlusFabriquer()):?>
						<?php if($nettoyeur->getDisponibleVente()):?>
							<?php if($nettoyeur->getAfficherPrix()):?>
								<?php $tva = Doctrine_Core::getTable("TauxTVA")->find(sfConfig::get('app_tva_196'));?>
								<div class="petit_panier">
									<div class="petit_panier_haut"></div>
									<div class="petit_panier_milieu">
										<table>
											<tr class="prixht"><td class="prix"><?php echo str_replace(".", ",", $nettoyeur->getPrixVenteThs())?></td><td width="30px"><?php echo __('€')?> <?php echo __('ht')?></td></tr>
											<tr class="prixttc"><td class="prix"><?php echo str_replace(".", ",", round($nettoyeur->getPrixVenteThs() * (1 + $tva->getTaux() / 100), 2))?></td><td width="28px"><?php echo __('€')?> <?php echo __('ttc')?></td></tr>
											<tr><td colspan="2" class="caddie"><?php echo link_to(__("Commander"), "@panier_ajouter_nettoyeur?id_nettoyeur=".$nettoyeur->getIdNettoyeur())?></td></tr>
										</table>
									</div>
									<div class="petit_panier_bas"></div>
								</div>
							<?php else:?>
								<div class="statut"><?php echo link_to(__('Disponible à la vente,<br />nous contacter'), "@contact?id_nettoyeur=".$nettoyeur->getIdNettoyeur())?></div>
							<?php endif;?>
						<?php else:?>
							<div class="statut"><?php echo __('Non disponible<br />à la vente')?></div>
						<?php endif?>
					<?php else:?>
						<div class="statut"><?php echo __('Plus disponible<br />à la vente')?></div>
					<?php endif?>
				</td>
			</tr>
			<tr>
				<td class="space"></td>
				<td colspan="2">
					<table class="detail">
						<tr>
							<td class="detail_general">
								<?php 
									$donnees = "";
									if($nettoyeur->getPosteFixe())
									{
										$donnees .= __("Poste fixe")." - ";
									}
									if($nettoyeur->getGroupeMoteurPompe())
									{
										$donnees .= __("Groupe moteur pompe")." - ";
									}
									if($nettoyeur->getEauFroide())
									{
										$donnees .= __("Eau froide")." - ";
									}
									if($nettoyeur->getEauChaude())
									{
										$donnees .= __("Eau chaude")." - ";
									}
									if($nettoyeur->getVapeur() && $nettoyeur->getTemperature() != "")
									{
										$donnees .= __("Vapeur")." ".str_replace(".00", "", $nettoyeur->getTemperature()).__("°C")." - ";
									}
									else
									{
										if($nettoyeur->getVapeur())
										{
											$donnees .= __("Vapeur")." - ";
										}
										if($nettoyeur->getTemperature() != "")
										{
											$donnees .= __("Température")." ".str_replace(".00", "", $nettoyeur->getTemperature()).__("°C")." - ";
										}
									}
									if($nettoyeur->getPressionService() != "")
									{
										$donnees .= $nettoyeur->getPressionService()." ".__("bar")." - ";
									}
									echo substr($donnees, 0, -3)
								?><br />
								<?php if($nettoyeur->getDebitLitreMin() != ""):?>
									<?php echo $nettoyeur->getDebitLitreMin()?> <?php echo __("l/mn")?> (<?php echo $nettoyeur->getDebitLitreHeure()?> <?php echo __("l/h")?>)<br />
								<?php endif;?>
								<?php 
									$donnees = "";
									if($nettoyeur->getElectrique_220())
									{
										$donnees .= __("220 Volts")." - ";
										if($nettoyeur->getElectrique_220A() != "")
										{
											$donnees .= str_replace(".00", "", $nettoyeur->getElectrique_220A())." ".__("A")." - ";
										}
										if($nettoyeur->getElectrique_220Kw() != "")
										{
											$donnees .= str_replace(".00", "", $nettoyeur->getElectrique_220Kw())." ".__("kW")." - ";
										}
										if($nettoyeur->getElectrique_220Hz() != "")
										{
											$donnees .= str_replace(".00", "", $nettoyeur->getElectrique_220Hz())." ".__("Hz")." - ";
										}
									}
									if($nettoyeur->getElectrique_380())
									{
										$donnees .= __("380 Volts")." - ";
										if($nettoyeur->getElectrique_380A() != "")
										{
											$donnees .= str_replace(".00", "", $nettoyeur->getElectrique_380A())." ".__("A")." - ";
										}
										if($nettoyeur->getElectrique_380Kw() != "")
										{
											$donnees .= str_replace(".00", "", $nettoyeur->getElectrique_380Kw())." ".__("kW")." - ";
										}
										if($nettoyeur->getElectrique_380Hz() != "")
										{
											$donnees .= str_replace(".00", "", $nettoyeur->getElectrique_380Hz())." ".__("Hz")." - ";
										}
									}
			
									if($nettoyeur->getMoteurThermique())
									{
										$donnees .= $nettoyeur->getMoteurThermiqueInfo()." - ";
									}
									echo substr($donnees, 0, -3);
								?>
							</td>
							<?php if($nettoyeur->doc_commercial != ""):?>
								<td class="detail_documentation_commercial">
									<?php echo __('Documentation Commercial')?>
								</td>
								<td class="detail_documentation_commercial_pdf">
									<a href="<?php echo _compute_public_path("1/3/".$nettoyeur->doc_commercial,"pdf", false)?>" target="_blank"><?php echo image_tag("pdf1.jpg")?></a>
								</td>
							<?php endif?>
							<?php if($nettoyeur->eclate_technique != ""):?>
								<td class="eclate_technique">
									<?php echo __('Eclaté technique sur demande')?>
								</td>
								<td class="eclate_technique_pdf">
									<a href="<?php echo _compute_public_path("1/2/".$nettoyeur->eclate_technique,"pdf", false)?>" target="_blank"><?php echo image_tag("pdf2.jpg")?></a>
								</td>
							<?php endif?>
						</tr>
					</table>
				</td>
			</tr>
		</table>
	</div>
	<?php if($sf_user->hasFlash("panier_ajout")):?>
		<div id="panier_ajout_second"><?php echo __('Ce nettoyeur a bien été ajouté au panier')?></div>
	<?php endif?>
	<hr />
	<?php if($nettoyeur->getDisponibleVente() && !$nettoyeur->getPlusFabriquer()):?>
		<div id="details">
			<div class="plusLoupe" onclick="plusDetails()"><p><label><?php echo __('Plus de détails')?></label></p></div>
			<hr />
			<div id="plusDetailsNettoyeur" style="display:none">
				<h1><?php echo __('Nettoyeur')?> <?php echo $nettoyeur->getMarque()->getLibelle()?> <?php echo $nettoyeur->getModele()?></h1>
				<table>
					<tr>
						<td class="description">
							<?php 
								if($nettoyeur->getPhoto_1() != "") 
								{
									$info = getimagesize(image_path("nettoyeurs/".$nettoyeur->getPhoto_1(), true));
									$url = "nettoyeurs/".$nettoyeur->getPhoto_1();
								}
								else
								{
									$info[0] = 550;
									$info[1] = 500;
									$url = "image_nhp_defaut.jpg";
								}
								
								if($info[0] > 350)
								{
									$info[1] = ceil($info[1] * 100 * 350 / $info[0] / 100);
									$info[0] = 350;
								}
								if($info[1] > 290)
								{
									$info[0] = ceil($info[0] * 100 * 290 / $info[1] / 100);
									$info[1] = 290;
								}
								echo image_tag($url, array("title" => __("Nettoyeur")." ".$nettoyeur->getMarque()->getLibelle()." ".$nettoyeur->getModele(), "alt" => __("Nettoyeur")." ".$nettoyeur->getMarque()->getLibelle()." ".$nettoyeur->getModele(), "width"=> $info[0], "height"=> $info[1]));
							?>
							<?php 
								$filename = sfConfig::get("app_page_html_nhp").$nettoyeur->getIdNettoyeur().".html";
								if(file_exists($filename))
								{
									$description = file_get_contents($filename);
								}
								else
								{
									$description = html_entity_decode($nettoyeur->getDescription());
								}
								echo $description;
								if(sizeof($nomenclatures) > 0)
								{
									echo '<ul>';
									foreach($nomenclatures as $asso)
									{
										if($asso->getNomenclature()->getReference() == "19999")
										{
											echo '<li style="margin-bottom: 15px;list-style: none outside none;"></li>';
										}
										else
										{
											if($asso->getGras())
											{
												echo '<li style="font-weight: bold; margin-bottom: 3px; list-style: none outside none;">',$asso->getNomenclature()->getDesignation(),'</li>';
											}
											else
											{
												echo '<li style="margin-bottom: 0px; margin-left: 20px;">',$asso->getNomenclature()->getDesignation(),'</li>';
											}
										}
									}
									echo '</ul>';
								}
							?>
						</td>
					</tr>
				</table>
				<hr />
			</div>
		</div>
	<?php endif?>
	<?php if(sizeof($associations) > 0 && $nettoyeur->getVentePiecesDetachees()):?>
	<ul class="menu-info">
		<li class="left" data-class="accessoires"><?php echo __('Accessoires compatible avec')?> <?php echo $nettoyeur->getMarque()->getLibelle()." ".$nettoyeur->getModele()?></li>
		<li class="right" data-class="vente-pieces-detachees">Pièces détachées d'origine</li>
	</ul>
	<div style="clear: both"></div>
	<?php endif; ?>
	<?php if ($nettoyeur->getVentePiecesDetachees()): ?>
	    <?php 
		$panier = $sf_user->getAttribute('commande_articles'); 
		$tva = Doctrine_Core::getTable("TauxTVA")->find(sfConfig::get('app_tva_196'));
	    ?>
	    <div id="vente-pieces-detachees"<?php if (is_null($renderSection)): ?> style="display: none;"<?php endif; ?>>
		<p><strong>
			Repérez les pièces détachées que vous désirez commander dans l'éclaté technique ci-dessous, puis saisissez les références dans le champ de saisie « référence ».<br><br>
			Si vous désirez commander plusieurs articles, cliquez sur "<span class="text-red">+ Ajouter un article</span>", puis et saisissez la référence de l'article suivant dans le nouveau champ de saisie « référence ».<br><br>
			Une fois toutes vos références saisies, cliquez sur "<span class="text-green">Valider votre commande</span>" pour finaliser le processus de commande.<br><br>
			Merci de ne pas saisir les caractères spéciaux tels que « . », « , », « - », « / »
		    </strong></p>
		<form id="form-vente-pieces-detachees" action="<?php echo url_for("@ajouter_recuperer_article_nhp"); ?>" method="post">
		    <input type="hidden" name="id" value="<?php echo $nettoyeur->getPrimaryKey(); ?>">
		    <div id="panier">
			<table id="calculPanier">
				<tr class="entete">
					<td class="reference">Référence</td>
					<td class="effacer">Supprimer</td>
					<td class="designation">Désignation</td>
					<td class="prixUnitHT">Prix<br />Unit. HT</td>
					<td class="quantite">Quantité</td>
					<td class="prixTotalHT">Prix<br />Total HT</td>
					<td class="prixTotalTTC">Prix<br />Total TTC</td>
				</tr>
				<?php foreach ($panier['article'] as $key => $commandeArticle):?>
					<?php $article = Doctrine::getTable("Article")->find($key)?>
					<tr class="lignePanier">
						<td><?php echo $article->getReferenceThsAffichage()?></td>
						<td><?php echo link_to("Supprimer", "@panier_supprimer_article?id_article=".$article->getReferenceThs())?></td>
						<td><?php echo $article->getDesignationCourte()?></td>
						<td class="affichageChiffre"><?php echo format_currency($article->getPrixVenteHt())?>€</td>
						<td class="affichageQte">
							<select name="articleQte[<?php echo $key?>]" onchange="this.form.submit()">
								<?php for($i = 1; $i <= 20; $i++):?>
									<option value="<?php echo $i?>" <?php if($i == $commandeArticle->getQuantite()):?>selected="selected"<?php endif;?>><?php echo $i?></option>
								<?php endfor;?>
							</select>
						</td>
						<td class="affichageChiffre"><?php echo format_currency($article->getPrixVenteThs() * $commandeArticle->getQuantite())?>€</td>
						<td class="affichageChiffre"><?php echo format_currency(Utils::prixAvecTVA($article->getPrixVenteThs() * $commandeArticle->getQuantite(), $tva->getTaux()))?>€</td>
					</tr>
				<?php endforeach;?>
				<?php foreach ($panier['nettoyeur'] as $key => $commandeArticle):?>
					<?php $nettoyeur = Doctrine::getTable("NettoyeurHautePression")->find($key)?>
					<tr class="lignePanier">
						<td><?php echo $nettoyeur->getReferenceThs()?></td>
						<td><?php echo link_to("Effacer", "@panier_supprimer_nettoyeur?id_nettoyeur=".$nettoyeur->getIdNettoyeur())?></td>
						<td>Nettoyeur <?php echo $nettoyeur->getMarque()->getLibelle()?> <?php echo $nettoyeur->getModele()?></td>
						<td><?php echo link_to("Voir", "@url_nettoyeur?marque=".Utils::stringForUrl($nettoyeur->getMarque()->getLibelle())."&modele=".Utils::stringForUrl($nettoyeur->getModele()), array("target" => "_blank"))?></td>
						<td class="affichageChiffre"><?php echo format_currency($nettoyeur->getPrixVenteHt())?>€</td>
						<td class="affichageQte">
							<select name="nettoyeurQte[<?php echo $key?>]" onchange="this.form.submit()">
								<?php for($i = 1; $i <= 20; $i++):?>
									<option value="<?php echo $i?>" <?php if($i == $commandeArticle->getQuantite()):?>selected="selected"<?php endif;?>><?php echo $i?></option>
								<?php endfor;?>
							</select>
						</td>
						<td class="affichageChiffre"><?php echo format_currency($nettoyeur->getPrixVenteThs() * $commandeArticle->getQuantite())?>€</td>
						<td class="affichageChiffre"><?php echo format_currency(Utils::prixAvecTVA($nettoyeur->getPrixVenteThs() * $commandeArticle->getQuantite(), $tva->getTaux()))?>€</td>
					</tr>
				<?php endforeach;?>
			</table>
			<div class="calcul_panier_actions">
			    <p class="ajout_article">+ Ajouter un article</p>
			    <input id="form-vente-pieces-detachees-submit" type="submit" value="Valider votre commande" class="btn-panier-action">
			</div>
			</form>
		    </div>
		<iframe src="<?php echo _compute_public_path("1/2/".$nettoyeur->eclate_technique,"pdf", false)?>#zoom=100" style="width: 100%; height: 768px"></iframe>
	    </div>
	<?php endif; ?>
	<?php if(sizeof($associations) > 0):?>
		<div id="accessoires"<?php if (!is_null($renderSection)): ?> style="display:none"<?php endif; ?>>
			<p class="entete"><?php echo __('Accessoires compatible avec')?> <?php echo $nettoyeur->getMarque()->getLibelle()." ".$nettoyeur->getModele()?> :</p>
			<div id="plusDetailsArticle">
				<?php $famille = null; $id_association = null;?>
				<?php foreach($associations as $association):?>
					<?php if($association->getFamille()->getLibelle() != $famille):?>
						<?php $famille = $association->getFamille()->getLibelle()?>
						<p class="titre"><?php echo $association->getFamille()->getLibelle()?></p>
					<?php endif?>
					<?php $articles = $association->getArticles()?>
					<?php 
						$info = getimagesize(image_path("articles/".$articles[0]->getUrlImage().".jpg", true));

						if($info[0] > 200)
						{
							$info[1] = ceil($info[1] * 100 * 200 / $info[0] / 100);
							$info[0] = 200;
						}
						if($info[1] > 110)
						{
							$info[0] = ceil($info[0] * 100 * 110/ $info[1] / 100);
							$info[1] = 110;
						}
					?>
					<table>
						<tr>
							<td class="photo"><?php echo image_tag("articles/".$articles[0]->getUrlImage().".jpg", array("alt" => $articles[0]->getDesignationCourte(), "title" => $articles[0]->getDesignationCourte(), "width"=> $info[0], "height"=> $info[1]))?></td>
							<td class="spacer"></td>
							<td class="details">
								<table>
									<?php if($association->getTexte() != ""):?>
										<tr>
											<td><p class="sous_titre"><?php echo $association->getTexte()?></p></td>
											<td></td>
										</tr>
										<tr>
											<td colspan="2">&nbsp;</td>
										</tr>
									<?php endif?>
									<?php foreach($articles as $article):?>
										<tr>
											<td><?php echo $article->getDesignationCourte()?></td>
											<td class="voir"><?php echo link_to(__("Voir"), "@url_article?famille=".strtolower(Utils::slugify($article->getFamille()->getLibelle()))."&reference_ths=".strtolower($article->getReferenceThsUrl()))?></td>
										</tr>
									<?php endforeach;?>
								</table>
							</td>
						</tr>
					</table>
					<br /><hr />
				<?php endforeach;?>
			</div>
		</div>
	<?php endif?>
</div>
<script   src="https://code.jquery.com/ui/1.11.4/jquery-ui.min.js"   integrity="sha256-xNjb53/rY+WmG+4L6tTl9m6PpqknWZvRt0rO1SRnJzw="   crossorigin="anonymous"></script>
<script>
	function supprimerLigne(id) {
		$('#ligne_article_' + id).remove();
	}
	
	function modifierQuantite(id) {
		qte = document.getElementById('qte_'+id).value;
		pu_ht = document.getElementById('prix_unitaire_ht_'+id).value;
		pu_ttc = document.getElementById('prix_unitaire_ttc_'+id).value;
		document.getElementById('prix_total_ht_'+id).innerHTML = (Math.round(pu_ht*qte*100)/100).toString().replace('.', ',');
		document.getElementById('prix_total_ttc_'+id).innerHTML = (Math.round(pu_ttc*qte*100)/100).toString().replace('.', ',');
	}

	function recupererArticle(id, value){
		if (value == null) {
		    value = document.getElementById('ref_ths_'+id).value;
		}
		$.ajax({
			type: "POST",
			url: '<?php echo url_for("@recuperer_article_nhp") ?>',
			data: { reference_ths_sage: value},
			dataType: 'json',
			//Fonction executée quand la requete réussie
			success: function(result){console.log(result); 
				if (result['reference_ths'] != "") {
					document.getElementById('ref_ths_'+id).value = result['reference_ths'];
					document.getElementById('ref_ths_affichage_'+id).value = result['reference_ths_affichage'];
					document.getElementById('designation_'+id).innerHTML = result['designation'];
					var pu = result['prix'] + "";
					document.getElementById('prix_unitaire_'+id).innerHTML = pu.replace('.', ',');
					document.getElementById('prix_unitaire_ht_'+id).value = result['prix'];
					document.getElementById('prix_total_ht_'+id).innerHTML = pu.replace('.', ',');
					var pu = result['prix_ttc'] + "";
					document.getElementById('prix_unitaire_ttc_'+id).value = result['prix_ttc'];
					document.getElementById('prix_total_ttc_'+id).innerHTML = pu.replace('.', ',');
				}
			}
		});
	}

	$(document).ready(function() {
		var line = 0;

		$('.ajout_article').click(function (){
			var str = '<tr id="ligne_article_' + line + '">';
			str += '<input type="hidden" id="prix_unitaire_ht_' + line + '">';
			str += '<input type="hidden" id="prix_unitaire_ttc_' + line + '">';
			str += '<td><input class="search-article" id="ref_ths_affichage_' + line + '" onkeyup="recupererArticle(' + line + ')" type="text" value="" /><input id="ref_ths_' + line + '" type="hidden" value="" name="articles[' + line + '][reference]" /><input type="hidden" id="poids" value=""/></td>';
			str += '<td onclick="supprimerLigne(' + line + ')">Supprimer</td>';
			str += '<td id="designation_' + line + '"></td>';
			str += '<td id="prix_unitaire_' + line + '"></td>';
			str += '<td><select id="qte_' + line + '" name="articles[' + line + '][qte]" onchange="modifierQuantite(' + line + ')">';
			<?php for($i = 1; $i <= 20; $i++):?>
				str += '<option value="<?php echo $i?>"><?php echo $i?></option>';
			<?php endfor;?>
			str += '</select></td>';
			str += '<td id="prix_total_ht_' + line + '"></td>';
			str += '<td id="prix_total_ttc_' + line + '"></td>';
			str += '</tr>';
			
			$(str).appendTo($('#calculPanier'))
			
			$('#calculPanier td > input').last().focus();
			$('#calculPanier td > input.search-article').last().autocomplete({
			    source: function (request, response) {
				$.getJSON("<?php echo url_for("@rechercher_article_nhp") ?>?term=" + request.term, function (data) {
				    response($.map(data, function (value, key) {
					return {
					    label: value.affichage,
					    value: value.id
					};
				    }));
				});
			    },
			    minLength: 2,
			    delay: 100,
			    select: function (event, ui) {
				var id = event.target.id.split("_")
				recupererArticle(id[3], ui.item.value);
			    }
			});
			line++;
		});
		
		if ($('#calculPanier tr').length == 1) {
		    $('.ajout_article').click();
		}
	});
</script>