﻿<script type="text/javascript">
	$(document).ready(function(){
		$('#emplacement_marque').load(
			'page/recupererMarque','',
			function() {}
		);

		<?php if($afficheEspacePro):?>
			function pageEspacePro(){
				$('#espace_pro').load(
					'http://www.haute-pression.com/visite-espace-pro.html', {id: <?php echo $idVisitePro?>},
					function() {}
				);
				setTimeout(pageEspacePro,5000);
			};
			pageEspacePro();
			
		<?php endif?>
	});
	function rechercheModele(value){
		$('#emplacement_modele').load(
			'page/recupererModele',
		    { id_marque: value },
		    function() {}
		);
	};
	function rechercherNettoyeur(){
		if($('#recherche_marque').val() != '' && $('#recherche_modele').val() != ''){
			return true;
		}
		alert('<?php echo __('Vous devez choisir une marque et un modèle !')?>');
		return false;
	};
</script>
<div id="page">
	<h1><?php echo $page->getBaliseH1()?></h1>
	<?php if($afficheRechercheRapide):?>
		<form action="page/redirectionNettoyeur" method="post" onsubmit="return rechercherNettoyeur()">
			<table id="rechercheRapide">
				<tr>
					<td class="imageRechercheRapide" colspan="3"><?php echo image_tag("recherche_rapide.png")?></td>
				</tr>
				<tr>
					<td class="titreRechercheRapide" colspan="3"><?php echo __('Afin de trouver l\'accessoire compatible avec votre nettoyeur, identifiez votre nettoyeur ci-dessous.')?></td>
				</tr>
				<tr>
					<td class="marqueRechercheRapide"><span style="font-family: arial, helvetica, sans-serif; font-size: 14px;"><?php echo __('Marque :')?> </span><div id="emplacement_marque">&nbsp;</div></td>
					<td class="modeleRechercheRapide"><span style="font-family: arial, helvetica, sans-serif; font-size: 14px;"><?php echo __('Modèle :')?> </span><div id="emplacement_modele"><select></select></div></td>
					<td><input type="submit" value="<?php echo __('Rechercher')?>" /></td>
				</tr>
			</table>
		</form>
	<?php endif?>
	<?php if($afficheEspacePro):?>
		<div id="espace_pro" style="display:none;"></div>
	<?php endif?>
	<?php 
		$filename = sfConfig::get("app_page_html_page").$page->getIdPage().".html";
		if(file_exists($filename))
		{
			$description = file_get_contents($filename);
		}
		else
		{
			$description = html_entity_decode($page->getDescription());
		}
		echo str_replace("http://www.haute-pression.com/", sfConfig::get("app_url_site_web"), $description);
	?>
	<?php if($affichePromotion):?>
		<?php 
			function afficheNettoyeur($nettoyeur)
			{
		?>
				<div class="nettoyeur">
					<table class="general" onclick="document.location.href='<?php echo $nettoyeur->getUrlArticle()?>'" onmouseover="this.style.cursor='pointer'">
						<tr>
							<td class="photo">
								<?php 
									if($nettoyeur->getPhoto_1() != "")
									{
										$info = getimagesize(image_path("nettoyeurs/".$nettoyeur->getPhoto_1(), true));
										$url = "nettoyeurs/".$nettoyeur->getPhoto_1();
									}
									else
									{ 
										$info[0] = 550;
										$info[1] = 500;
										$url = "image_nhp_defaut.jpg";
									}
									
									if($info[1] > 90)
									{
										$info[0] = ceil($info[0] * 100 * 90 / $info[1] / 100);
										$info[1] = 90;
									}
									echo image_tag($url, array("title" => __("Nettoyeur")." ".$nettoyeur->getMarque()->getLibelle()." ".$nettoyeur->getModele(), "alt" => __("Nettoyeur")." ".$nettoyeur->getMarque()->getLibelle()." ".$nettoyeur->getModele(), "width"=> $info[0], "height"=> $info[1]));
								?>
							</td>
							<td class="space"></td>
							<td class="titre">
								<?php echo $nettoyeur->getMarque()->getLibelle()?><br /><?php echo $nettoyeur->getModele()?>
							</td>
							<td class="space"></td>
							<td class="info">
								<?php 
									$donnees = "";
									if($nettoyeur->getPosteFixe())
									{
										$donnees .= __("Poste fixe")." - ";
									}
									if($nettoyeur->getGroupeMoteurPompe())
									{
										$donnees .= __("Groupe moteur pompe")." - ";
									}
									if($nettoyeur->getEauFroide())
									{
										$donnees .= __("Eau froide")." - ";
									}
									if($nettoyeur->getEauChaude())
									{
										$donnees .= __("Eau chaude")." - ";
									}
									if($nettoyeur->getVapeur() && $nettoyeur->getTemperature() != "")
									{
										$donnees .= __("Vapeur")." ".str_replace(".00", "", $nettoyeur->getTemperature()).__("°C")." - ";
									}
									else
									{
										if($nettoyeur->getVapeur())
										{
											$donnees .= __("Vapeur")." - ";
										}
										if($nettoyeur->getTemperature() != "")
										{
											$donnees .= __("Température")." ".str_replace(".00", "", $nettoyeur->getTemperature()).__("°C")." - ";
										}
									}
									if($nettoyeur->getPressionService() != "")
									{
										$donnees .= $nettoyeur->getPressionService()." ".__("bar")." - ";
									}
									echo substr($donnees, 0, -3)
								?><br />
								<?php if($nettoyeur->getDebitLitreMin() != ""):?>
									<?php echo $nettoyeur->getDebitLitreMin()?> <?php echo __("l/mn")?> (<?php echo $nettoyeur->getDebitLitreHeure()?> <?php echo __("l/h")?><br />
								<?php endif;?>
								<?php 
									$donnees = "";
									if($nettoyeur->getElectrique_220())
									{
										$donnees .= __("220 Volts")." - ";
										if($nettoyeur->getElectrique_220A() != "")
										{
											$donnees .= str_replace(".00", "", $nettoyeur->getElectrique_220A())." ".__("A")." - ";
										}
										if($nettoyeur->getElectrique_220Kw() != "")
										{
											$donnees .= str_replace(".00", "", $nettoyeur->getElectrique_220Kw())." ".__("kW")." - ";
										}
										if($nettoyeur->getElectrique_220Hz() != "")
										{
											$donnees .= str_replace(".00", "", $nettoyeur->getElectrique_220Hz())." ".__("Hz")." - ";
										}
									}
									if($nettoyeur->getElectrique_380())
									{
										$donnees .= __("380 Volts")." - ";
										if($nettoyeur->getElectrique_380A() != "")
										{
											$donnees .= str_replace(".00", "", $nettoyeur->getElectrique_380A())." A - ";
										}
										if($nettoyeur->getElectrique_380Kw() != "")
										{
											$donnees .= str_replace(".00", "", $nettoyeur->getElectrique_380Kw())." kW - ";
										}
										if($nettoyeur->getElectrique_380Hz() != "")
										{
											$donnees .= str_replace(".00", "", $nettoyeur->getElectrique_380Hz())." Hz - ";
										}
									}
			
									if($nettoyeur->getMoteurThermique())
									{
										$donnees .= $nettoyeur->getMoteurThermiqueInfo()." - ";
									}
									echo substr($donnees, 0, -3);
								?>
							</td>
							<td>
								<?php $tva = Doctrine_Core::getTable("TauxTVA")->find(sfConfig::get('app_tva_196'));?>
								<div class="petit_panier">
									<div class="petit_panier_haut"></div>
									<div class="petit_panier_milieu">
										<table>
											<tr class="prixht"><td class="prix"><?php echo str_replace(".", ",", $nettoyeur->getPrixVenteThs())?></td><td width="30px"> <?php echo __('€')?> <?php echo __('ht')?></td></tr>
											<tr class="prixttc"><td class="prix"><?php echo str_replace(".", ",", round($nettoyeur->getPrixVenteThs() * (1 + $tva->getTaux() / 100), 2))?></td><td width="28px"> <?php echo __('€')?> <?php echo __('ttc')?></td></tr>
											<tr><td colspan="2" class="caddie"><?php echo link_to(__("Commander"), "@panier_ajouter_nettoyeur?id_nettoyeur=".$nettoyeur->getIdNettoyeur())?></td></tr>
										</table>
									</div>
									<div class="petit_panier_bas"></div>
								</div>
							</td>
						</tr>
					</table>
					<?php echo image_tag("tr720.jpg")?>
				</div>
		<?php 	
			}
		?>
		<div id="promo">
			<?php if(sizeof($listePromoEauFroide) > 0):?>
				<h3> - <?php echo __('Nettoyeur eau froide')?></h3>
				<?php foreach($listePromoEauFroide as $nettoyeur):?>
					<?php afficheNettoyeur($nettoyeur)?>
				<?php endforeach;?>
			<?php endif?>
			<?php if(sizeof($listePromoMoteurThermique) > 0):?>
				<h3> - <?php echo __('Nettoyeur moteur thermique')?></h3>
				<?php foreach($listePromoMoteurThermique as $nettoyeur):?>
					<?php afficheNettoyeur($nettoyeur)?>
				<?php endforeach;?>
			<?php endif?>
			<?php if(sizeof($listePromoEauChaude) > 0):?>
				<h3> - <?php echo __('Nettoyeur eau chaude')?></h3>
				<?php foreach($listePromoEauChaude as $nettoyeur):?>
					<?php afficheNettoyeur($nettoyeur)?>
				<?php endforeach;?>
			<?php endif?>
		</div>
	<?php endif?>
</div>