﻿<?php use_helper("Number")?>
<div id="panier">
	<div id="panierEntete">
		<p>Mon panier</p>
		<ul>
			<li class="selected">1 - Calcul du panier</li>
			<li>2 - Coordonnées</li>
			<li>3 - Récapitulatif</li>
			<li>4 - Paiement</li>
		</ul>
	</div>
        <div style="clear: both;"></div>
        <?php if ($optionVacances): ?>
                <p style="background: red; font-weight: bold;color: #FFF; line-height: 30px; text-align: center;"><?php echo $optionVacances; ?></p>
        <?php endif; ?>
        <?php 
		$nombre_articles = 0;
		if($sf_user->hasAttribute('commande_articles'))
		{
			$panier = $sf_user->getAttribute('commande_articles');
			$nombre_articles = sizeof($panier['article']) + sizeof($panier['nettoyeur']);
		}
	?>
	<?php if($nombre_articles > 0):?>
		<?php 
			$panier = $sf_user->getAttribute('commande_articles');
			
			// Données concernant frais de ports
			$francoDePort = 0;
			$horsGabarit = 0;
			$totalPoids = 0;
			
			$totalProduitsHTTemp = 0;
			$totalProduitsHT = 0;
			$totalProduitsTTC = 0;
			$totalArticlesTTC = 0;
			$totalPortHT = 0;
			$fraisDeGestionHT = 0;
			$totalHT = 0;
			$totalTVA = 0;
			$totalTTC = 0;
			$tva = Doctrine_Core::getTable("TauxTVA")->find(sfConfig::get('app_tva_196'));
		?>
		Dossier N°
		<?php echo form_tag("@panier_recalculer", array("id" => "panierForm"))?>
			<table id="calculPanier">
				<tr class="entete">
					<td class="reference">Référence</td>
					<td class="effacer">Effacer</td>
					<td class="designation">Désignation</td>
					<td class="voir">Voir</td>
					<td class="prixUnitHT">Prix<br />Unit. HT</td>
					<td class="quantite">Quantité</td>
					<td class="prixTotalHT">Prix<br />Total HT</td>
					<td class="prixTotalTTC">Prix<br />Total TTC</td>
				</tr>
				<?php foreach ($panier['article'] as $key => $commandeArticle):?>
					<?php $article = Doctrine::getTable("Article")->find($key)?>
					<tr class="lignePanier">
						<td><?php echo $article->getReferenceThsAffichage()?></td>
						<td><?php echo link_to("Effacer", "@panier_supprimer_article?id_article=".$article->getReferenceThs())?></td>
						<td><?php echo $article->getDesignationCourte()?></td>
						<td><?php echo link_to("Voir", "@url_article?famille=".Utils::stringForUrl($article->getFamille()->getLibelle())."&reference_ths=".Utils::stringForUrl($article->getReferenceThsUrl()), array("target" => "_blank"))?></td>
						<td class="affichageChiffre"><?php echo format_currency($article->getPrixVenteHt())?>€</td>
						<td class="affichageQte">
							<select name="articleQte[<?php echo $key?>]" onchange="this.form.submit()">
								<?php for($i = 1; $i <= 20; $i++):?>
									<option value="<?php echo $i?>" <?php if($i == $commandeArticle->getQuantite()):?>selected="selected"<?php endif;?>><?php echo $i?></option>
								<?php endfor;?>
							</select>
						</td>
						<td class="affichageChiffre"><?php echo format_currency($article->getPrixVenteThs() * $commandeArticle->getQuantite())?>€</td>
						<td class="affichageChiffre"><?php echo format_currency(Utils::prixAvecTVA($article->getPrixVenteThs() * $commandeArticle->getQuantite(), $tva->getTaux()))?>€</td>
					</tr>
					<?php 
						$totalProduitsHTTemp += $article->getPrixVenteThs() * $commandeArticle->getQuantite();
						$totalProduitsHT += $article->getPrixVenteThs() * $commandeArticle->getQuantite();
						$totalPoids += Utils::doubleFrToEn($article->getPoids()) * $commandeArticle->getQuantite();
						$totalTVA += $article->getPrixVenteThs() * $commandeArticle->getQuantite() * $tva->getTaux() / 100;
						
						if($article->getHorsGabarit())
						{
							$horsGabarit = 1;
						}
					?>
				<?php endforeach;?>
				<?php 
					$totalProduitsTTC += $totalProduitsHTTemp * (1 + $tva->getTaux() / 100);
					$totalProduitsHTTemp = 0;
					$totalArticlesTTC = $totalProduitsTTC;
					
					if ($totalArticlesTTC < $configMinimumFraisDeGestion) {
					    $fraisDeGestionHT = $configFraisDeGestionHT;
					}
				?>
				
				<?php foreach ($panier['nettoyeur'] as $key => $commandeArticle):?>
					<?php $nettoyeur = Doctrine::getTable("NettoyeurHautePression")->find($key)?>
					<tr class="lignePanier">
						<td><?php echo $nettoyeur->getReferenceThs()?></td>
						<td><?php echo link_to("Effacer", "@panier_supprimer_nettoyeur?id_nettoyeur=".$nettoyeur->getIdNettoyeur())?></td>
						<td>Nettoyeur <?php echo $nettoyeur->getMarque()->getLibelle()?> <?php echo $nettoyeur->getModele()?></td>
						<td><?php echo link_to("Voir", "@url_nettoyeur?marque=".Utils::stringForUrl($nettoyeur->getMarque()->getLibelle())."&modele=".Utils::stringForUrl($nettoyeur->getModele()), array("target" => "_blank"))?></td>
						<td class="affichageChiffre"><?php echo format_currency($nettoyeur->getPrixVenteHt())?>€</td>
						<td class="affichageQte">
							<select name="nettoyeurQte[<?php echo $key?>]" onchange="this.form.submit()">
								<?php for($i = 1; $i <= 20; $i++):?>
									<option value="<?php echo $i?>" <?php if($i == $commandeArticle->getQuantite()):?>selected="selected"<?php endif;?>><?php echo $i?></option>
								<?php endfor;?>
							</select>
						</td>
						<td class="affichageChiffre"><?php echo format_currency($nettoyeur->getPrixVenteThs() * $commandeArticle->getQuantite())?>€</td>
						<td class="affichageChiffre"><?php echo format_currency(Utils::prixAvecTVA($nettoyeur->getPrixVenteThs() * $commandeArticle->getQuantite(), $tva->getTaux()))?>€</td>
					</tr>
					<?php 
						$totalProduitsHTTemp += $nettoyeur->getPrixVenteThs() * $commandeArticle->getQuantite();
						$totalProduitsHT += $nettoyeur->getPrixVenteThs() * $commandeArticle->getQuantite();
						$totalPoids += Utils::doubleFrToEn($nettoyeur->getPoids()) * $commandeArticle->getQuantite();
						$totalTVA += $nettoyeur->getPrixVenteThs() * $commandeArticle->getQuantite() * $tva->getTaux() / 100;
						
						if($nettoyeur->getFrancoDePort())
						{
							$francoDePort = 1;
						}
					?>
				<?php endforeach;?>
				<?php $totalProduitsTTC += $totalProduitsHTTemp * (1 + $tva->getTaux() / 100)?>
				
			</table>
			<table id="recalculerPanier">
				<tr>
					<td><a href="#" onclick="$('#panierForm').submit()">Recalculer le panier</a></td>
				</tr>
			</table>
			<?php echo image_tag("tr720.jpg", array("class" => "separateurTr"))?>
			<div id="recalculPanierPort">
				<?php if(($totalArticlesTTC > $configMinimumFraisDePort && $configMinimumFraisDePort > 0) || $francoDePort ):?>
					<p class="infoPort">Franco de port</p>
				<?php else:?>
					<?php if($horsGabarit || $totalPoids > 10):?>
						<p class="infoPort infoPortHorsGabarit">ATTENTION Article hors gabarit: Calcul des frais de port après identification de votre adresse</p>
					<?php else:?>
						<?php 
							$tarif = ZoneTarifTable::calculFraisDePort($totalPoids * 1000, 0, '69');
							if(sizeof($tarif) > 0)
							{
								$tarif = $tarif[0];
							}
							$totalPortHT = $tarif->getZone()->getTransporteur()->getForfaitEmballage() + $tarif->getTarif();
							$totalTVA += $totalPortHT * $tva->getTaux() / 100;
						?>
						<table class="general">
							<tr>
								<td class="infoFraisDePort">
									<p class="titre">Frais de port:</p>
									<p class="sousTitre">France métropolitaine uniquement<br />(Pour un autre pays recalcul du panier à l'étape suivante)</p>
									<?php if ($configMinimumFraisDePort > 0): ?>
									<p class="text-red"><strong>Frais de port gratuits pour la France métropolitaine à partir de <?php echo $configMinimumFraisDePort; ?> € TTC de commande</strong></p>
									<?php endif; ?>
								</td>
								<td class="fraisDePort">
									<table>
										<tr class="entete">
											<td>Poids Total</td>
											<td>Prix HT</td>
											<td>Prix TTC</td>
										</tr>
										<tr>
											<td class="affichageChiffre"><?php echo Utils::doubleEnToFr($totalPoids)?> kg</td>
											<td class="affichageChiffre"><?php echo format_currency($totalPortHT)?>€</td>
											<td class="affichageChiffre"><?php echo format_currency($totalPortHT * (1 + $tva->getTaux() / 100))?>€</td>
										</tr>
									</table>
								</td>
							</tr>
						</table>
					<?php endif?>
				<?php endif?>
			</div>
		</form>
		<?php 
			$totalPortTTC = Utils::prixAvecTVA($totalPortHT, $tva->getTaux());
			$fraisDeGestionTTC = Utils::prixAvecTVA($fraisDeGestionHT, $tva->getTaux());
			$configFraisDeGestionTTC = Utils::prixAvecTVA($configFraisDeGestionHT, $tva->getTaux());
			
			// Arrondi
			$totalProduitsTTC = round($totalProduitsTTC, 2);
			$totalPortTTC = round($totalPortTTC, 2);
			$totalTVA = round($totalTVA, 2);
			
			$totalHT = $totalProduitsHT + $totalPortHT + $fraisDeGestionHT;
			$totalTTC = $totalProduitsTTC + $totalPortTTC + $fraisDeGestionTTC;
		?>
		<?php echo image_tag("tr720.jpg", array("class" => "separateurTr"))?>
		<?php if ($configMinimumFraisDeGestion > 0 && $fraisDeGestionHT > 0 && $totalProduitsTTC < $configMinimumFraisDeGestion): ?>
		<p class="text-red"><strong>Frais de gestion de <?php echo $configFraisDeGestionTTC; ?>€ TTC pour toute commande inférieur à <?php echo $configMinimumFraisDeGestion; ?>€</strong></p>
		<?php endif; ?>
		<div id="validerPanier">
			<table class="general">
				<tr>
					<td class="valider"><?php if($depasseMinimumCommande):?><?php echo link_to(image_tag("bt_valider.jpg"), "@panier_coordonnees")?><?php else:?><div id="commande_minimum">Commande minimum : <?php echo $minimumCommande?> €</div><?php endif?></td>
					<td class="imprimer"></td>
					<td class="recapitulatif">
						<table>
							<tr>
								<td class="texte">Total des produits HT</td>
								<td class="affichageChiffre"><?php echo format_currency($totalProduitsHT)?>€</td>
							</tr>
							<?php if($totalPoids <= 10 && !$horsGabarit):?>
								<tr>
									<td class="texte">Total port HT</td>
									<td class="affichageChiffre"><?php echo format_currency($totalPortHT)?>€</td>
								</tr>
							<?php endif?>
							<?php if ($fraisDeGestionHT > 0): ?>
							    <tr>
								<td class="texte">Frais de gestion HT</td>
								<td class="affichageChiffre"><?php echo format_currency($fraisDeGestionHT)?>€</td>
							    </tr>
							<?php endif; ?>
							<tr>
								<td colspan="2"></td>
							</tr>
							<tr>
								<td class="texte">Total HT</td>
								<td class="affichageChiffre"><?php echo format_currency($totalHT)?>€</td>
							</tr>
							<tr>
								<td class="texte">TVA <?php echo format_currency($tva->getTaux())?>%</td>
								<td class="affichageChiffre"><?php echo format_currency($totalTVA)?>€</td>
							</tr>
							<tr>
								<td colspan="2"></td>
							</tr>
							<tr>
								<td class="texte">Total TTC</td>
								<td class="texte affichageChiffre"><?php echo format_currency(round($totalTTC, 2))?>€</td>
							</tr>
						</table>
					</td>
				</tr>
			</table>
		</div>
	<?php else:?>
		Le panier est vide
	<?php endif?>
</div>