<div class="container">
	<div class="row">
		<h1 style="margin-bottom: 20px; font-size: 18px">SUPPORT TECHNIQUE HAUTE-PRESSION.COM</h1>
		<?php if ($sf_user->hasFlash('notice')): ?>
			<div class="alert alert-success"><?php echo $sf_user->getFlash('notice') ?></div>
		<?php endif; ?>
		<div style="background: #dbe6f0; border-bottom: 1px solid #828282; padding: 20px;margin-bottom: 30px;">
			<p>Bonjour et bienvenue sur la page dédiée à votre demande de support effectué à partir de notre <a href="" style="color: #337ab7">formulaire de contact</a>.<br>
			Vous trouverez sur cette page le récapitulatif de votre demande initiale, le fil de discussion avec votre conseiller et le formulaire de réponse.<br></p>
			<p>Retourner sur <a href="http://www.haute-pression.com" style="color: #337ab7">haute-pression.com</a></p>
		</div>
		
		<h2 style="font-size: 16px;margin-bottom: 10px;">Détails de votre demande</h2>
		<table style="margin: 0;border-spacing: 0px;width: 100%;margin-bottom: 30px">
			<tbody>
				<tr>
					<td style="width: 40%;background: #b4b4b4;padding: 10px;border: 1px solid #656565;"><strong>Statut</strong></td>
					<td style="width: 60%;background: #e5e5e5;padding: 10px;border: 1px solid #c5c5c5;">
						<?php if ($sujet->getStatut() == MailSujet::STATUT_NOUVEAU): ?>
							<?php echo image_tag('bt-bleu-texte.png'); ?>
						<?php elseif ($sujet->getStatut() == MailSujet::STATUT_ASSIGNE): ?>
							<?php echo image_tag('bt-orange-texte.png'); ?>
						<?php elseif ($sujet->getStatut() == MailSujet::STATUT_EN_COURS): ?>
							<span class="label label-primary">En cours</span>
						<?php elseif ($sujet->getStatut() == MailSujet::STATUT_RESOLU): ?>
							<?php echo image_tag('bt-vert-texte.png'); ?>
						<?php elseif ($sujet->getStatut() == MailSujet::STATUT_NON_RESOLU): ?>
							<?php echo image_tag('bt-jaune-texte.png'); ?>
						<?php elseif ($sujet->getStatut() == MailSujet::STATUT_REPONSE_CLIENT): ?>
							<span class="label label-primary">En attente de la réponse de THS</span>
						<?php endif; ?>
					</td>
				</tr>
				<tr>
					<td style="width: 40%;background: #b4b4b4;padding: 10px;border: 1px solid #656565;vertical-align: top;"><strong>Numéro de la demande</strong></td>
					<td style="width: 60%;background: #e5e5e5;padding: 10px;border: 1px solid #c5c5c5;vertical-align: top;"><?php echo $sujet->getId(); ?></td>
				</tr>
				<tr>
					<td style="width: 40%;background: #b4b4b4;padding: 10px;border: 1px solid #656565;vertical-align: top;"><strong>Votre correspondant</strong></td>
					<td style="width: 60%;background: #e5e5e5;padding: 10px;border: 1px solid #c5c5c5;vertical-align: top;"><?php echo $sujet->getSfGuardUser()->getFirstName(); ?> <?php echo substr($sujet->getSfGuardUser()->getLastName(), 0, 1); ?>.</td>
				</tr>
				<tr>
					<td style="width: 40%;background: #b4b4b4;padding: 10px;border: 1px solid #656565;vertical-align: top;"><strong>Date de réception de votre demande</strong></td>
					<td style="width: 60%;background: #e5e5e5;padding: 10px;border: 1px solid #c5c5c5;vertical-align: top;"><?php $date = new DateTime($sujet->getDateReception()); echo $date->format("d/m/Y H:i"); ?></td>
				</tr>
				<tr>
					<td style="width: 40%;background: #b4b4b4;padding: 10px;border: 1px solid #656565;vertical-align: top;"><strong>Votre demande initiale</strong></td>
					<td style="width: 60%;background: #e5e5e5;padding: 10px;border: 1px solid #c5c5c5;vertical-align: top;"><?php echo nl2br($sujet->getMessage()); ?></td>
				</tr>
			</tbody>
		</table>
		<h2 style="font-size: 16px;margin-bottom: 10px;">Les échanges</h2>
		<?php if (count($sujet->getMailReponses())): ?>
			<?php foreach ($sujet->getMailReponses() as $reponse): ?>
				<table style="margin: 0;border-spacing: 0px;width: 100%;margin-bottom: 10px">
					<tbody>
						<tr>
							<td style="width: 20%; vertical-align: top">
								<div style="background: #337ab7;
padding: 10px;
box-shadow: 5px 2px 1px 1px #aaa;
background-image: url('../images/commentaire-encoche.png');
background-repeat: no-repeat;
background-position: top right;">
									<p style="color: white; font-size: 14px;font-weight: bold;"><?php if ($reponse->getIdUser() != null): ?><?php echo $reponse->getSfGuardUser()->getFirstName(); ?> <?php echo substr($reponse->getSfGuardUser()->getLastName(), 0, 1); ?><?php else: ?>Votre réponse<?php endif; ?></p>
									<p style="font-size: 10px"><?php $date = new DateTime($reponse->getDateReponse()); ?>Le <?php echo $date->format("d/m/Y"); ?> à <?php echo $date->format("H:i"); ?></p>
								</div>
							</td>
							<td style="background: -webkit-linear-gradient(#e3e3e3, #c6c6c6); /* For Safari 5.1 to 6.0 */
  background: -o-linear-gradient(#e3e3e3, #c6c6c6); /* For Opera 11.1 to 12.0 */
  background: -moz-linear-gradient(#e3e3e3, #c6c6c6); /* For Firefox 3.6 to 15 */
  background: linear-gradient(#e3e3e3, #c6c6c6); /* Standard syntax */;padding: 15px;-webkit-border-radius: 2px;
-webkit-border-top-left-radius: 0;
-moz-border-radius: 2px;
-moz-border-radius-topleft: 0;
border-radius: 2px;
border-top-left-radius: 0;box-shadow: 2px 2px 3px -2px #000;">
								<?php echo nl2br(html_entity_decode($reponse->getMessage())); ?>
								<?php if ($reponse->getIdUser() != null): ?>
									<br>
									<strong><?php echo $reponse->getSfGuardUser()->getLastName(); ?> <?php echo $reponse->getSfGuardUser()->getFirstName(); ?></strong><br><br>
									Technique Haute-Pression et Sablage<br>
									Le Grand Colombier<br>
									24150 - BAYAC<br>
									France<br><br>
									TEL: (+33 0)5 53 73 22 03<br>
									TEL: (+33 0)5 53 61 11 86<br>
									TEL: (+33 0)9 77 07 64 85<br>
									FAX: (+33 0)5 53 58 39 98
								<?php endif; ?>
							</td>
						</tr>
					</tbody>
				</table>
			<?php endforeach; ?>
		<?php else: ?>
			<div class="alert alert-warning">Aucun échange pour le moment...</div>
		<?php endif; ?>
		<h2 style="font-size: 16px;margin-bottom: 10px;">Nous répondre</h2>
		<form class="form-horizontal" role="form" action="" method="post" enctype="multipart/form-data">
			<div class="form-group" style="margin-bottom: 20px;">
				<div class="col-sm-10" style="background: #337ab7;
padding-left: 20px;">
					<?php echo $form['message']->render(array('id'=> 'message', 'placeholder' => 'Votre message', 'class' => 'form-control', 'rows' => 15, 'style' => 'box-shadow: -3px 0px 10px 0px rgba(0, 0, 0, 0.3) inset;border: none;width: 96%;background: #e5e5e5;padding: 20px;')) ?>
				</div>
			</div>
			<!--<div class="form-group">
				<label for="message" class="col-sm-2 control-label"></label>
				<div class="col-sm-10">
					<div id="file_upload">
						<input type="file" name="files[]">
					</div>
					<p id="file_upload_add" class="btn btn-primary">Ajouter une image</p>
				</div>
			</div>-->
			<div class="form-group">
				<div style="margin-left: 82%;
margin-bottom: 20px;">
					<button style="border: 0;" type="submit" ><?php echo image_tag("bt-envoyer-ma-reponse-texte.png")?></button>
				</div>
			</div>
			<?php echo $form->renderHiddenFields(); ?>
		</form>
	</div>
</div>
<script>
	$(document).ready(function() {
		$('#file_upload_add').on('click', function() {
			$('#file_upload').append('<input type="file" name="files[]">');
		});
	});
</script>