<?php

/**
 * menu module configuration.
 *
 * @package    ##PROJECT_NAME##
 * @subpackage menu
 * @author     ##AUTHOR_NAME##
 * @version    SVN: $Id: configuration.php 24171 2009-11-19 16:37:50Z Kris.Wallsmith $
 */
abstract class BaseMenuGeneratorConfiguration extends sfModelGeneratorConfiguration
{
  public function getActionsDefault()
  {
    return array();
  }

  public function getFormActions()
  {
    return array(  '_delete' => NULL,  '_list' => NULL,  '_save' => NULL,  '_save_and_add' => NULL,);
  }

  public function getNewActions()
  {
    return array();
  }

  public function getEditActions()
  {
    return array();
  }

  public function getListObjectActions()
  {
    return array(  '_edit' => NULL,  '_delete' => NULL,);
  }

  public function getListActions()
  {
    return array(  '_new' => NULL,);
  }

  public function getListBatchActions()
  {
    return array(  '_delete' => NULL,);
  }

  public function getListParams()
  {
    return '%%id_menu%% - %%libelle%% - %%largeur%% - %%ordre%% - %%actif%%';
  }

  public function getListLayout()
  {
    return 'tabular';
  }

  public function getListTitle()
  {
    return 'Liste des menus';
  }

  public function getEditTitle()
  {
    return 'Edition du menu';
  }

  public function getNewTitle()
  {
    return 'Nouveau menu';
  }

  public function getFilterDisplay()
  {
    return array();
  }

  public function getFormDisplay()
  {
    return array();
  }

  public function getEditDisplay()
  {
    return array();
  }

  public function getNewDisplay()
  {
    return array();
  }

  public function getListDisplay()
  {
    return array(  0 => 'id_menu',  1 => 'libelle',  2 => 'largeur',  3 => 'ordre',  4 => 'actif',);
  }

  public function getFieldsDefault()
  {
    return array(
      'id_menu' => array(  'is_link' => true,  'is_real' => true,  'is_partial' => false,  'is_component' => false,  'type' => 'Text',),
      'libelle' => array(  'is_link' => false,  'is_real' => true,  'is_partial' => false,  'is_component' => false,  'type' => 'Text',),
      'largeur' => array(  'is_link' => false,  'is_real' => true,  'is_partial' => false,  'is_component' => false,  'type' => 'Text',),
      'ordre' => array(  'is_link' => false,  'is_real' => true,  'is_partial' => false,  'is_component' => false,  'type' => 'Text',),
      'actif' => array(  'is_link' => false,  'is_real' => true,  'is_partial' => false,  'is_component' => false,  'type' => 'Boolean',),
    );
  }

  public function getFieldsList()
  {
    return array(
      'id_menu' => array(),
      'libelle' => array(),
      'largeur' => array(),
      'ordre' => array(),
      'actif' => array(),
    );
  }

  public function getFieldsFilter()
  {
    return array(
      'id_menu' => array(),
      'libelle' => array(),
      'largeur' => array(),
      'ordre' => array(),
      'actif' => array(),
    );
  }

  public function getFieldsForm()
  {
    return array(
      'id_menu' => array(),
      'libelle' => array(),
      'largeur' => array(),
      'ordre' => array(),
      'actif' => array(),
    );
  }

  public function getFieldsEdit()
  {
    return array(
      'id_menu' => array(),
      'libelle' => array(),
      'largeur' => array(),
      'ordre' => array(),
      'actif' => array(),
    );
  }

  public function getFieldsNew()
  {
    return array(
      'id_menu' => array(),
      'libelle' => array(),
      'largeur' => array(),
      'ordre' => array(),
      'actif' => array(),
    );
  }


  /**
   * Gets the form class name.
   *
   * @return string The form class name
   */
  public function getFormClass()
  {
    return 'MenuForm';
  }

  public function hasFilterForm()
  {
    return true;
  }

  /**
   * Gets the filter form class name
   *
   * @return string The filter form class name associated with this generator
   */
  public function getFilterFormClass()
  {
    return 'MenuFormFilter';
  }

  public function getPagerClass()
  {
    return 'sfDoctrinePager';
  }

  public function getPagerMaxPerPage()
  {
    return 20;
  }

  public function getDefaultSort()
  {
    return array('ordre', 'asc');
  }

  public function getTableMethod()
  {
    return '';
  }

  public function getTableCountMethod()
  {
    return '';
  }
}
