<?php

/**
 * nettoyeurhautepression module configuration.
 *
 * @package    ##PROJECT_NAME##
 * @subpackage nettoyeurhautepression
 * @author     ##AUTHOR_NAME##
 * @version    SVN: $Id: configuration.php 24171 2009-11-19 16:37:50Z Kris.Wallsmith $
 */
abstract class BaseNettoyeurhautepressionGeneratorConfiguration extends sfModelGeneratorConfiguration
{
  public function getActionsDefault()
  {
    return array();
  }

  public function getFormActions()
  {
    return array(  '_delete' => NULL,  '_list' => NULL,  '_save' => NULL,  '_save_and_add' => NULL,);
  }

  public function getNewActions()
  {
    return array();
  }

  public function getEditActions()
  {
    return array();
  }

  public function getListObjectActions()
  {
    return array(  '_edit' => NULL,  '_delete' => NULL,);
  }

  public function getListActions()
  {
    return array(  '_new' => NULL,);
  }

  public function getListBatchActions()
  {
    return array(  '_delete' => NULL,);
  }

  public function getListParams()
  {
    return '%%id_nettoyeur%% - %%=modele%% - %%id_marque%% - %%prix_vente_ht%% - %%prix_vente_ths%% - %%url_article%% - %%actif%% - %%disponible_vente%% - %%visible_moteur_recherche%% - %%afficher_prix%% - %%plus_fabriquer%%';
  }

  public function getListLayout()
  {
    return 'tabular';
  }

  public function getListTitle()
  {
    return 'Liste des nettoyeurs haute pression';
  }

  public function getEditTitle()
  {
    return 'Edition du nettoyeur haute pression';
  }

  public function getNewTitle()
  {
    return 'Nouveau nettoyeur haute pression';
  }

  public function getFilterDisplay()
  {
    return array();
  }

  public function getFormDisplay()
  {
    return array();
  }

  public function getEditDisplay()
  {
    return array();
  }

  public function getNewDisplay()
  {
    return array();
  }

  public function getListDisplay()
  {
    return array(  0 => 'id_nettoyeur',  1 => '=modele',  2 => 'id_marque',  3 => 'prix_vente_ht',  4 => 'prix_vente_ths',  5 => 'url_article',  6 => 'actif',  7 => 'disponible_vente',  8 => 'visible_moteur_recherche',  9 => 'afficher_prix',  10 => 'plus_fabriquer',);
  }

  public function getFieldsDefault()
  {
    return array(
      'id_nettoyeur' => array(  'is_link' => true,  'is_real' => true,  'is_partial' => false,  'is_component' => false,  'type' => 'Text',),
      'id_marque' => array(  'is_link' => false,  'is_real' => true,  'is_partial' => false,  'is_component' => false,  'type' => 'ForeignKey',),
      'modele' => array(  'is_link' => false,  'is_real' => true,  'is_partial' => false,  'is_component' => false,  'type' => 'Text',),
      'poste_fixe' => array(  'is_link' => false,  'is_real' => true,  'is_partial' => false,  'is_component' => false,  'type' => 'Boolean',),
      'groupe_moteur_pompe' => array(  'is_link' => false,  'is_real' => true,  'is_partial' => false,  'is_component' => false,  'type' => 'Boolean',),
      'eau_froide' => array(  'is_link' => false,  'is_real' => true,  'is_partial' => false,  'is_component' => false,  'type' => 'Boolean',),
      'eau_chaude' => array(  'is_link' => false,  'is_real' => true,  'is_partial' => false,  'is_component' => false,  'type' => 'Boolean',),
      'vapeur' => array(  'is_link' => false,  'is_real' => true,  'is_partial' => false,  'is_component' => false,  'type' => 'Boolean',),
      'temperature' => array(  'is_link' => false,  'is_real' => true,  'is_partial' => false,  'is_component' => false,  'type' => 'Text',),
      'pression_service' => array(  'is_link' => false,  'is_real' => true,  'is_partial' => false,  'is_component' => false,  'type' => 'Text',),
      'debit_litre_min' => array(  'is_link' => false,  'is_real' => true,  'is_partial' => false,  'is_component' => false,  'type' => 'Text',),
      'debit_litre_heure' => array(  'is_link' => false,  'is_real' => true,  'is_partial' => false,  'is_component' => false,  'type' => 'Text',),
      'calibre' => array(  'is_link' => false,  'is_real' => true,  'is_partial' => false,  'is_component' => false,  'type' => 'Text',),
      'electrique_220' => array(  'is_link' => false,  'is_real' => true,  'is_partial' => false,  'is_component' => false,  'type' => 'Boolean',),
      'electrique_220_a' => array(  'is_link' => false,  'is_real' => true,  'is_partial' => false,  'is_component' => false,  'type' => 'Text',),
      'electrique_220_kw' => array(  'is_link' => false,  'is_real' => true,  'is_partial' => false,  'is_component' => false,  'type' => 'Text',),
      'electrique_220_hz' => array(  'is_link' => false,  'is_real' => true,  'is_partial' => false,  'is_component' => false,  'type' => 'Text',),
      'electrique_380' => array(  'is_link' => false,  'is_real' => true,  'is_partial' => false,  'is_component' => false,  'type' => 'Boolean',),
      'electrique_380_a' => array(  'is_link' => false,  'is_real' => true,  'is_partial' => false,  'is_component' => false,  'type' => 'Text',),
      'electrique_380_kw' => array(  'is_link' => false,  'is_real' => true,  'is_partial' => false,  'is_component' => false,  'type' => 'Text',),
      'electrique_380_hz' => array(  'is_link' => false,  'is_real' => true,  'is_partial' => false,  'is_component' => false,  'type' => 'Text',),
      'moteur_thermique' => array(  'is_link' => false,  'is_real' => true,  'is_partial' => false,  'is_component' => false,  'type' => 'Boolean',),
      'moteur_thermique_info' => array(  'is_link' => false,  'is_real' => true,  'is_partial' => false,  'is_component' => false,  'type' => 'Text',),
      'poids' => array(  'is_link' => false,  'is_real' => true,  'is_partial' => false,  'is_component' => false,  'type' => 'Text',),
      'description' => array(  'is_link' => false,  'is_real' => true,  'is_partial' => false,  'is_component' => false,  'type' => 'Text',),
      'reference_ths' => array(  'is_link' => false,  'is_real' => true,  'is_partial' => false,  'is_component' => false,  'type' => 'Text',),
      'reference_constructeur' => array(  'is_link' => false,  'is_real' => true,  'is_partial' => false,  'is_component' => false,  'type' => 'Text',),
      'prix_vente_ht' => array(  'is_link' => false,  'is_real' => true,  'is_partial' => false,  'is_component' => false,  'type' => 'Text',),
      'taux_remise_fournisseur' => array(  'is_link' => false,  'is_real' => true,  'is_partial' => false,  'is_component' => false,  'type' => 'Text',),
      'prix_vente_ths' => array(  'is_link' => false,  'is_real' => true,  'is_partial' => false,  'is_component' => false,  'type' => 'Text',),
      'marge_pourcentage' => array(  'is_link' => false,  'is_real' => true,  'is_partial' => false,  'is_component' => false,  'type' => 'Text',),
      'marge_euro' => array(  'is_link' => false,  'is_real' => true,  'is_partial' => false,  'is_component' => false,  'type' => 'Text',),
      'prix_ttc' => array(  'is_link' => false,  'is_real' => true,  'is_partial' => false,  'is_component' => false,  'type' => 'Text',),
      'stock' => array(  'is_link' => false,  'is_real' => true,  'is_partial' => false,  'is_component' => false,  'type' => 'Text',),
      'franco_de_port' => array(  'is_link' => false,  'is_real' => true,  'is_partial' => false,  'is_component' => false,  'type' => 'Boolean',),
      'promo' => array(  'is_link' => false,  'is_real' => true,  'is_partial' => false,  'is_component' => false,  'type' => 'Boolean',),
      'url_article' => array(  'is_link' => false,  'is_real' => true,  'is_partial' => false,  'is_component' => false,  'type' => 'Text',),
      'balise_title' => array(  'is_link' => false,  'is_real' => true,  'is_partial' => false,  'is_component' => false,  'type' => 'Text',),
      'balise_meta' => array(  'is_link' => false,  'is_real' => true,  'is_partial' => false,  'is_component' => false,  'type' => 'Text',),
      'photo_1' => array(  'is_link' => false,  'is_real' => true,  'is_partial' => false,  'is_component' => false,  'type' => 'Text',),
      'photo_2' => array(  'is_link' => false,  'is_real' => true,  'is_partial' => false,  'is_component' => false,  'type' => 'Text',),
      'photo_3' => array(  'is_link' => false,  'is_real' => true,  'is_partial' => false,  'is_component' => false,  'type' => 'Text',),
      'photo_4' => array(  'is_link' => false,  'is_real' => true,  'is_partial' => false,  'is_component' => false,  'type' => 'Text',),
      'photo_5' => array(  'is_link' => false,  'is_real' => true,  'is_partial' => false,  'is_component' => false,  'type' => 'Text',),
      'video_flv' => array(  'is_link' => false,  'is_real' => true,  'is_partial' => false,  'is_component' => false,  'type' => 'Text',),
      'doc_commercial' => array(  'is_link' => false,  'is_real' => true,  'is_partial' => false,  'is_component' => false,  'type' => 'Text',),
      'doc_technique' => array(  'is_link' => false,  'is_real' => true,  'is_partial' => false,  'is_component' => false,  'type' => 'Text',),
      'doc_technique_espace_pro' => array(  'is_link' => false,  'is_real' => true,  'is_partial' => false,  'is_component' => false,  'type' => 'Boolean',),
      'eclate_technique' => array(  'is_link' => false,  'is_real' => true,  'is_partial' => false,  'is_component' => false,  'type' => 'Text',),
      'eclate_technique_espace_pro' => array(  'is_link' => false,  'is_real' => true,  'is_partial' => false,  'is_component' => false,  'type' => 'Boolean',),
      'actif' => array(  'is_link' => false,  'is_real' => true,  'is_partial' => false,  'is_component' => false,  'type' => 'Boolean',),
      'disponible_vente' => array(  'is_link' => false,  'is_real' => true,  'is_partial' => false,  'is_component' => false,  'type' => 'Boolean',),
      'visible_moteur_recherche' => array(  'is_link' => false,  'is_real' => true,  'is_partial' => false,  'is_component' => false,  'type' => 'Boolean',),
      'afficher_prix' => array(  'is_link' => false,  'is_real' => true,  'is_partial' => false,  'is_component' => false,  'type' => 'Boolean',),
      'plus_fabriquer' => array(  'is_link' => false,  'is_real' => true,  'is_partial' => false,  'is_component' => false,  'type' => 'Boolean',),
      'no_index' => array(  'is_link' => false,  'is_real' => true,  'is_partial' => false,  'is_component' => false,  'type' => 'Boolean',),
      'vente_pieces_detachees' => array(  'is_link' => false,  'is_real' => true,  'is_partial' => false,  'is_component' => false,  'type' => 'Boolean',),
    );
  }

  public function getFieldsList()
  {
    return array(
      'id_nettoyeur' => array(),
      'id_marque' => array(),
      'modele' => array(),
      'poste_fixe' => array(),
      'groupe_moteur_pompe' => array(),
      'eau_froide' => array(),
      'eau_chaude' => array(),
      'vapeur' => array(),
      'temperature' => array(),
      'pression_service' => array(),
      'debit_litre_min' => array(),
      'debit_litre_heure' => array(),
      'calibre' => array(),
      'electrique_220' => array(),
      'electrique_220_a' => array(),
      'electrique_220_kw' => array(),
      'electrique_220_hz' => array(),
      'electrique_380' => array(),
      'electrique_380_a' => array(),
      'electrique_380_kw' => array(),
      'electrique_380_hz' => array(),
      'moteur_thermique' => array(),
      'moteur_thermique_info' => array(),
      'poids' => array(),
      'description' => array(),
      'reference_ths' => array(),
      'reference_constructeur' => array(),
      'prix_vente_ht' => array(),
      'taux_remise_fournisseur' => array(),
      'prix_vente_ths' => array(),
      'marge_pourcentage' => array(),
      'marge_euro' => array(),
      'prix_ttc' => array(),
      'stock' => array(),
      'franco_de_port' => array(),
      'promo' => array(),
      'url_article' => array(),
      'balise_title' => array(),
      'balise_meta' => array(),
      'photo_1' => array(),
      'photo_2' => array(),
      'photo_3' => array(),
      'photo_4' => array(),
      'photo_5' => array(),
      'video_flv' => array(),
      'doc_commercial' => array(),
      'doc_technique' => array(),
      'doc_technique_espace_pro' => array(),
      'eclate_technique' => array(),
      'eclate_technique_espace_pro' => array(),
      'actif' => array(),
      'disponible_vente' => array(),
      'visible_moteur_recherche' => array(),
      'afficher_prix' => array(),
      'plus_fabriquer' => array(),
      'no_index' => array(),
      'vente_pieces_detachees' => array(),
    );
  }

  public function getFieldsFilter()
  {
    return array(
      'id_nettoyeur' => array(),
      'id_marque' => array(),
      'modele' => array(),
      'poste_fixe' => array(),
      'groupe_moteur_pompe' => array(),
      'eau_froide' => array(),
      'eau_chaude' => array(),
      'vapeur' => array(),
      'temperature' => array(),
      'pression_service' => array(),
      'debit_litre_min' => array(),
      'debit_litre_heure' => array(),
      'calibre' => array(),
      'electrique_220' => array(),
      'electrique_220_a' => array(),
      'electrique_220_kw' => array(),
      'electrique_220_hz' => array(),
      'electrique_380' => array(),
      'electrique_380_a' => array(),
      'electrique_380_kw' => array(),
      'electrique_380_hz' => array(),
      'moteur_thermique' => array(),
      'moteur_thermique_info' => array(),
      'poids' => array(),
      'description' => array(),
      'reference_ths' => array(),
      'reference_constructeur' => array(),
      'prix_vente_ht' => array(),
      'taux_remise_fournisseur' => array(),
      'prix_vente_ths' => array(),
      'marge_pourcentage' => array(),
      'marge_euro' => array(),
      'prix_ttc' => array(),
      'stock' => array(),
      'franco_de_port' => array(),
      'promo' => array(),
      'url_article' => array(),
      'balise_title' => array(),
      'balise_meta' => array(),
      'photo_1' => array(),
      'photo_2' => array(),
      'photo_3' => array(),
      'photo_4' => array(),
      'photo_5' => array(),
      'video_flv' => array(),
      'doc_commercial' => array(),
      'doc_technique' => array(),
      'doc_technique_espace_pro' => array(),
      'eclate_technique' => array(),
      'eclate_technique_espace_pro' => array(),
      'actif' => array(),
      'disponible_vente' => array(),
      'visible_moteur_recherche' => array(),
      'afficher_prix' => array(),
      'plus_fabriquer' => array(),
      'no_index' => array(),
      'vente_pieces_detachees' => array(),
    );
  }

  public function getFieldsForm()
  {
    return array(
      'id_nettoyeur' => array(),
      'id_marque' => array(),
      'modele' => array(),
      'poste_fixe' => array(),
      'groupe_moteur_pompe' => array(),
      'eau_froide' => array(),
      'eau_chaude' => array(),
      'vapeur' => array(),
      'temperature' => array(),
      'pression_service' => array(),
      'debit_litre_min' => array(),
      'debit_litre_heure' => array(),
      'calibre' => array(),
      'electrique_220' => array(),
      'electrique_220_a' => array(),
      'electrique_220_kw' => array(),
      'electrique_220_hz' => array(),
      'electrique_380' => array(),
      'electrique_380_a' => array(),
      'electrique_380_kw' => array(),
      'electrique_380_hz' => array(),
      'moteur_thermique' => array(),
      'moteur_thermique_info' => array(),
      'poids' => array(),
      'description' => array(),
      'reference_ths' => array(),
      'reference_constructeur' => array(),
      'prix_vente_ht' => array(),
      'taux_remise_fournisseur' => array(),
      'prix_vente_ths' => array(),
      'marge_pourcentage' => array(),
      'marge_euro' => array(),
      'prix_ttc' => array(),
      'stock' => array(),
      'franco_de_port' => array(),
      'promo' => array(),
      'url_article' => array(),
      'balise_title' => array(),
      'balise_meta' => array(),
      'photo_1' => array(),
      'photo_2' => array(),
      'photo_3' => array(),
      'photo_4' => array(),
      'photo_5' => array(),
      'video_flv' => array(),
      'doc_commercial' => array(),
      'doc_technique' => array(),
      'doc_technique_espace_pro' => array(),
      'eclate_technique' => array(),
      'eclate_technique_espace_pro' => array(),
      'actif' => array(),
      'disponible_vente' => array(),
      'visible_moteur_recherche' => array(),
      'afficher_prix' => array(),
      'plus_fabriquer' => array(),
      'no_index' => array(),
      'vente_pieces_detachees' => array(),
    );
  }

  public function getFieldsEdit()
  {
    return array(
      'id_nettoyeur' => array(),
      'id_marque' => array(),
      'modele' => array(),
      'poste_fixe' => array(),
      'groupe_moteur_pompe' => array(),
      'eau_froide' => array(),
      'eau_chaude' => array(),
      'vapeur' => array(),
      'temperature' => array(),
      'pression_service' => array(),
      'debit_litre_min' => array(),
      'debit_litre_heure' => array(),
      'calibre' => array(),
      'electrique_220' => array(),
      'electrique_220_a' => array(),
      'electrique_220_kw' => array(),
      'electrique_220_hz' => array(),
      'electrique_380' => array(),
      'electrique_380_a' => array(),
      'electrique_380_kw' => array(),
      'electrique_380_hz' => array(),
      'moteur_thermique' => array(),
      'moteur_thermique_info' => array(),
      'poids' => array(),
      'description' => array(),
      'reference_ths' => array(),
      'reference_constructeur' => array(),
      'prix_vente_ht' => array(),
      'taux_remise_fournisseur' => array(),
      'prix_vente_ths' => array(),
      'marge_pourcentage' => array(),
      'marge_euro' => array(),
      'prix_ttc' => array(),
      'stock' => array(),
      'franco_de_port' => array(),
      'promo' => array(),
      'url_article' => array(),
      'balise_title' => array(),
      'balise_meta' => array(),
      'photo_1' => array(),
      'photo_2' => array(),
      'photo_3' => array(),
      'photo_4' => array(),
      'photo_5' => array(),
      'video_flv' => array(),
      'doc_commercial' => array(),
      'doc_technique' => array(),
      'doc_technique_espace_pro' => array(),
      'eclate_technique' => array(),
      'eclate_technique_espace_pro' => array(),
      'actif' => array(),
      'disponible_vente' => array(),
      'visible_moteur_recherche' => array(),
      'afficher_prix' => array(),
      'plus_fabriquer' => array(),
      'no_index' => array(),
      'vente_pieces_detachees' => array(),
    );
  }

  public function getFieldsNew()
  {
    return array(
      'id_nettoyeur' => array(),
      'id_marque' => array(),
      'modele' => array(),
      'poste_fixe' => array(),
      'groupe_moteur_pompe' => array(),
      'eau_froide' => array(),
      'eau_chaude' => array(),
      'vapeur' => array(),
      'temperature' => array(),
      'pression_service' => array(),
      'debit_litre_min' => array(),
      'debit_litre_heure' => array(),
      'calibre' => array(),
      'electrique_220' => array(),
      'electrique_220_a' => array(),
      'electrique_220_kw' => array(),
      'electrique_220_hz' => array(),
      'electrique_380' => array(),
      'electrique_380_a' => array(),
      'electrique_380_kw' => array(),
      'electrique_380_hz' => array(),
      'moteur_thermique' => array(),
      'moteur_thermique_info' => array(),
      'poids' => array(),
      'description' => array(),
      'reference_ths' => array(),
      'reference_constructeur' => array(),
      'prix_vente_ht' => array(),
      'taux_remise_fournisseur' => array(),
      'prix_vente_ths' => array(),
      'marge_pourcentage' => array(),
      'marge_euro' => array(),
      'prix_ttc' => array(),
      'stock' => array(),
      'franco_de_port' => array(),
      'promo' => array(),
      'url_article' => array(),
      'balise_title' => array(),
      'balise_meta' => array(),
      'photo_1' => array(),
      'photo_2' => array(),
      'photo_3' => array(),
      'photo_4' => array(),
      'photo_5' => array(),
      'video_flv' => array(),
      'doc_commercial' => array(),
      'doc_technique' => array(),
      'doc_technique_espace_pro' => array(),
      'eclate_technique' => array(),
      'eclate_technique_espace_pro' => array(),
      'actif' => array(),
      'disponible_vente' => array(),
      'visible_moteur_recherche' => array(),
      'afficher_prix' => array(),
      'plus_fabriquer' => array(),
      'no_index' => array(),
      'vente_pieces_detachees' => array(),
    );
  }


  /**
   * Gets the form class name.
   *
   * @return string The form class name
   */
  public function getFormClass()
  {
    return 'NettoyeurHautePressionForm';
  }

  public function hasFilterForm()
  {
    return true;
  }

  /**
   * Gets the filter form class name
   *
   * @return string The filter form class name associated with this generator
   */
  public function getFilterFormClass()
  {
    return 'NettoyeurHautePressionFormFilter';
  }

  public function getPagerClass()
  {
    return 'sfDoctrinePager';
  }

  public function getPagerMaxPerPage()
  {
    return 500;
  }

  public function getDefaultSort()
  {
    return array('id_marque', 'asc');
  }

  public function getTableMethod()
  {
    return 'retrieveBackendNettoyeurList';
  }

  public function getTableCountMethod()
  {
    return '';
  }
}
