<?php

/**
 * Commande filter form.
 *
 * @package    sf_sandbox
 * @subpackage filter
 * @author     Your name here
 * @version    SVN: $Id: sfDoctrineFormFilterTemplate.php 23810 2009-11-12 11:07:44Z Kris.Wallsmith $
 */
class CommandeFormFilter extends BaseCommandeFormFilter
{
	public function configure()
	{
		$this->widgetSchema['id_commande'] = new sfWidgetFormFilterInput();
		
		$this->validatorSchema['id_commande'] = new sfValidatorSchemaFilter('text', new sfValidatorNumber(array('required' => false)));
		
		unset(	$this['poids_total'],
				$this['frais_port_ht'],
		      	$this['total_produit_ht'],
		      	$this['total_ht'],
		      	$this['taux_tva'],
		      	$this['total_ttc'],
		      	$this['id_statut'],
		      	$this['civilite'],
		      	$this['nom'],
		      	$this['prenom'],
		      	$this['adresse'],
		      	$this['adresse_complement'],
		      	$this['code_postal'],
		      	$this['ville'],
		      	$this['pays'],
		      	$this['telephone'],
		      	$this['fax'],
		      	$this['note_livraison'],
		      	$this['id_client'],
		      	$this['id_user_suiveur'],
		      	$this['date_edition'],
		      	$this['devis_token'],
		      	$this['devis_pdf']);
	}
}
