<?php

/**
 * Article filter form base class.
 *
 * @package    sf_sandbox
 * @subpackage filter
 * @author     Your name here
 * @version    SVN: $Id: sfDoctrineFormFilterGeneratedTemplate.php 29570 2010-05-21 14:49:47Z Kris.Wallsmith $
 */
abstract class BaseArticleFormFilter extends BaseFormFilterDoctrine
{
  public function setup()
  {
    $this->setWidgets(array(
      'reference_ths_sage'              => new sfWidgetFormDoctrineChoice(array('model' => $this->getRelatedModelName('Association'), 'add_empty' => true)),
      'reference_ths_affichage'         => new sfWidgetFormFilterInput(),
      'reference_ths_url'               => new sfWidgetFormFilterInput(),
      'id_famille'                      => new sfWidgetFormDoctrineChoice(array('model' => $this->getRelatedModelName('Famille'), 'add_empty' => true)),
      'designation_courte'              => new sfWidgetFormFilterInput(),
      'designation_detaillee'           => new sfWidgetFormFilterInput(),
      'specificite'                     => new sfWidgetFormFilterInput(),
      'dimensions_a'                    => new sfWidgetFormFilterInput(),
      'dimensions_b'                    => new sfWidgetFormFilterInput(),
      'matiere'                         => new sfWidgetFormFilterInput(),
      'pression_maximum'                => new sfWidgetFormFilterInput(),
      'temperature_maximum'             => new sfWidgetFormFilterInput(),
      'diametre_nominal'                => new sfWidgetFormFilterInput(),
      'reference_metrique_entree'       => new sfWidgetFormFilterInput(),
      'sexe_entree'                     => new sfWidgetFormFilterInput(),
      'precision_supplementaire_entree' => new sfWidgetFormFilterInput(),
      'reference_metrique_sortie'       => new sfWidgetFormFilterInput(),
      'sexe_sortie'                     => new sfWidgetFormFilterInput(),
      'precision_supplementaire_sortie' => new sfWidgetFormFilterInput(),
      'calibre_piece'                   => new sfWidgetFormFilterInput(),
      'debit_max'                       => new sfWidgetFormFilterInput(),
      'hors_gabarit'                    => new sfWidgetFormChoice(array('choices' => array('' => 'yes or no', 1 => 'yes', 0 => 'no'))),
      'piece_origine'                   => new sfWidgetFormChoice(array('choices' => array('' => 'yes or no', 1 => 'yes', 0 => 'no'))),
      'piece_visible'                   => new sfWidgetFormChoice(array('choices' => array('' => 'yes or no', 1 => 'yes', 0 => 'no'))),
      'poids'                           => new sfWidgetFormFilterInput(),
      'prix_vente_ht'                   => new sfWidgetFormFilterInput(),
      'taux_remise_fournisseur'         => new sfWidgetFormFilterInput(),
      'prix_vente_ths'                  => new sfWidgetFormFilterInput(),
      'marge_pourcentage'               => new sfWidgetFormFilterInput(),
      'marge_euro'                      => new sfWidgetFormFilterInput(),
      'prix_ttc'                        => new sfWidgetFormFilterInput(),
      'stock'                           => new sfWidgetFormFilterInput(),
      'url_article'                     => new sfWidgetFormFilterInput(),
      'url_image'                       => new sfWidgetFormFilterInput(),
      'balise_title'                    => new sfWidgetFormFilterInput(),
      'balise_meta'                     => new sfWidgetFormFilterInput(),
      'minimum_commande'                => new sfWidgetFormChoice(array('choices' => array('' => 'yes or no', 1 => 'yes', 0 => 'no'))),
      'id_fournisseur'                  => new sfWidgetFormDoctrineChoice(array('model' => $this->getRelatedModelName('Fournisseur'), 'add_empty' => true)),
      'statut_vente'                    => new sfWidgetFormFilterInput(),
      'association_list'                => new sfWidgetFormDoctrineChoice(array('multiple' => true, 'model' => 'Association')),
    ));

    $this->setValidators(array(
      'reference_ths_sage'              => new sfValidatorDoctrineChoice(array('required' => false, 'model' => $this->getRelatedModelName('Association'), 'column' => 'id_association')),
      'reference_ths_affichage'         => new sfValidatorPass(array('required' => false)),
      'reference_ths_url'               => new sfValidatorPass(array('required' => false)),
      'id_famille'                      => new sfValidatorDoctrineChoice(array('required' => false, 'model' => $this->getRelatedModelName('Famille'), 'column' => 'id_famille')),
      'designation_courte'              => new sfValidatorPass(array('required' => false)),
      'designation_detaillee'           => new sfValidatorPass(array('required' => false)),
      'specificite'                     => new sfValidatorPass(array('required' => false)),
      'dimensions_a'                    => new sfValidatorPass(array('required' => false)),
      'dimensions_b'                    => new sfValidatorPass(array('required' => false)),
      'matiere'                         => new sfValidatorPass(array('required' => false)),
      'pression_maximum'                => new sfValidatorPass(array('required' => false)),
      'temperature_maximum'             => new sfValidatorPass(array('required' => false)),
      'diametre_nominal'                => new sfValidatorPass(array('required' => false)),
      'reference_metrique_entree'       => new sfValidatorPass(array('required' => false)),
      'sexe_entree'                     => new sfValidatorPass(array('required' => false)),
      'precision_supplementaire_entree' => new sfValidatorPass(array('required' => false)),
      'reference_metrique_sortie'       => new sfValidatorPass(array('required' => false)),
      'sexe_sortie'                     => new sfValidatorPass(array('required' => false)),
      'precision_supplementaire_sortie' => new sfValidatorPass(array('required' => false)),
      'calibre_piece'                   => new sfValidatorPass(array('required' => false)),
      'debit_max'                       => new sfValidatorPass(array('required' => false)),
      'hors_gabarit'                    => new sfValidatorChoice(array('required' => false, 'choices' => array('', 1, 0))),
      'piece_origine'                   => new sfValidatorChoice(array('required' => false, 'choices' => array('', 1, 0))),
      'piece_visible'                   => new sfValidatorChoice(array('required' => false, 'choices' => array('', 1, 0))),
      'poids'                           => new sfValidatorPass(array('required' => false)),
      'prix_vente_ht'                   => new sfValidatorSchemaFilter('text', new sfValidatorNumber(array('required' => false))),
      'taux_remise_fournisseur'         => new sfValidatorSchemaFilter('text', new sfValidatorNumber(array('required' => false))),
      'prix_vente_ths'                  => new sfValidatorSchemaFilter('text', new sfValidatorNumber(array('required' => false))),
      'marge_pourcentage'               => new sfValidatorSchemaFilter('text', new sfValidatorNumber(array('required' => false))),
      'marge_euro'                      => new sfValidatorSchemaFilter('text', new sfValidatorNumber(array('required' => false))),
      'prix_ttc'                        => new sfValidatorSchemaFilter('text', new sfValidatorNumber(array('required' => false))),
      'stock'                           => new sfValidatorSchemaFilter('text', new sfValidatorInteger(array('required' => false))),
      'url_article'                     => new sfValidatorPass(array('required' => false)),
      'url_image'                       => new sfValidatorPass(array('required' => false)),
      'balise_title'                    => new sfValidatorPass(array('required' => false)),
      'balise_meta'                     => new sfValidatorPass(array('required' => false)),
      'minimum_commande'                => new sfValidatorChoice(array('required' => false, 'choices' => array('', 1, 0))),
      'id_fournisseur'                  => new sfValidatorDoctrineChoice(array('required' => false, 'model' => $this->getRelatedModelName('Fournisseur'), 'column' => 'id')),
      'statut_vente'                    => new sfValidatorSchemaFilter('text', new sfValidatorInteger(array('required' => false))),
      'association_list'                => new sfValidatorDoctrineChoice(array('multiple' => true, 'model' => 'Association', 'required' => false)),
    ));

    $this->widgetSchema->setNameFormat('article_filters[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    $this->setupInheritance();

    parent::setup();
  }

  public function addAssociationListColumnQuery(Doctrine_Query $query, $field, $values)
  {
    if (!is_array($values))
    {
      $values = array($values);
    }

    if (!count($values))
    {
      return;
    }

    $query
      ->leftJoin($query->getRootAlias().'.AssociationArticle AssociationArticle')
      ->andWhereIn('AssociationArticle.id_association', $values)
    ;
  }

  public function getModelName()
  {
    return 'Article';
  }

  public function getFields()
  {
    return array(
      'reference_ths'                   => 'Text',
      'reference_ths_sage'              => 'ForeignKey',
      'reference_ths_affichage'         => 'Text',
      'reference_ths_url'               => 'Text',
      'id_famille'                      => 'ForeignKey',
      'designation_courte'              => 'Text',
      'designation_detaillee'           => 'Text',
      'specificite'                     => 'Text',
      'dimensions_a'                    => 'Text',
      'dimensions_b'                    => 'Text',
      'matiere'                         => 'Text',
      'pression_maximum'                => 'Text',
      'temperature_maximum'             => 'Text',
      'diametre_nominal'                => 'Text',
      'reference_metrique_entree'       => 'Text',
      'sexe_entree'                     => 'Text',
      'precision_supplementaire_entree' => 'Text',
      'reference_metrique_sortie'       => 'Text',
      'sexe_sortie'                     => 'Text',
      'precision_supplementaire_sortie' => 'Text',
      'calibre_piece'                   => 'Text',
      'debit_max'                       => 'Text',
      'hors_gabarit'                    => 'Boolean',
      'piece_origine'                   => 'Boolean',
      'piece_visible'                   => 'Boolean',
      'poids'                           => 'Text',
      'prix_vente_ht'                   => 'Number',
      'taux_remise_fournisseur'         => 'Number',
      'prix_vente_ths'                  => 'Number',
      'marge_pourcentage'               => 'Number',
      'marge_euro'                      => 'Number',
      'prix_ttc'                        => 'Number',
      'stock'                           => 'Number',
      'url_article'                     => 'Text',
      'url_image'                       => 'Text',
      'balise_title'                    => 'Text',
      'balise_meta'                     => 'Text',
      'minimum_commande'                => 'Boolean',
      'id_fournisseur'                  => 'ForeignKey',
      'statut_vente'                    => 'Number',
      'association_list'                => 'ManyKey',
    );
  }
}
