<?php

/**
 * BackupData filter form base class.
 *
 * @package    sf_sandbox
 * @subpackage filter
 * @author     Your name here
 * @version    SVN: $Id: sfDoctrineFormFilterGeneratedTemplate.php 29570 2010-05-21 14:49:47Z Kris.Wallsmith $
 */
abstract class BaseBackupDataFormFilter extends BaseFormFilterDoctrine
{
  public function setup()
  {
    $this->setWidgets(array(
      'date_time' => new sfWidgetFormFilterDate(array('from_date' => new sfWidgetFormDate(), 'to_date' => new sfWidgetFormDate())),
      'duration'  => new sfWidgetFormFilterInput(),
      'statut'    => new sfWidgetFormChoice(array('choices' => array('' => 'yes or no', 1 => 'yes', 0 => 'no'))),
      'type'      => new sfWidgetFormFilterInput(),
    ));

    $this->setValidators(array(
      'date_time' => new sfValidatorDateRange(array('required' => false, 'from_date' => new sfValidatorDateTime(array('required' => false, 'datetime_output' => 'Y-m-d 00:00:00')), 'to_date' => new sfValidatorDateTime(array('required' => false, 'datetime_output' => 'Y-m-d 23:59:59')))),
      'duration'  => new sfValidatorPass(array('required' => false)),
      'statut'    => new sfValidatorChoice(array('required' => false, 'choices' => array('', 1, 0))),
      'type'      => new sfValidatorPass(array('required' => false)),
    ));

    $this->widgetSchema->setNameFormat('backup_data_filters[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    $this->setupInheritance();

    parent::setup();
  }

  public function getModelName()
  {
    return 'BackupData';
  }

  public function getFields()
  {
    return array(
      'id_backup' => 'Number',
      'date_time' => 'Date',
      'duration'  => 'Text',
      'statut'    => 'Boolean',
      'type'      => 'Text',
    );
  }
}
