<?php

/**
 * CommandeArticle filter form base class.
 *
 * @package    sf_sandbox
 * @subpackage filter
 * @author     Your name here
 * @version    SVN: $Id: sfDoctrineFormFilterGeneratedTemplate.php 29570 2010-05-21 14:49:47Z Kris.Wallsmith $
 */
abstract class BaseCommandeArticleFormFilter extends BaseFormFilterDoctrine
{
  public function setup()
  {
    $this->setWidgets(array(
      'id_commande'         => new sfWidgetFormDoctrineChoice(array('model' => $this->getRelatedModelName('Commande'), 'add_empty' => true)),
      'id_article'          => new sfWidgetFormFilterInput(),
      'id_nettoyeur'        => new sfWidgetFormFilterInput(),
      'quantite'            => new sfWidgetFormFilterInput(),
      'prix_unitaire_ht'    => new sfWidgetFormFilterInput(),
      'prix_total_ht'       => new sfWidgetFormFilterInput(),
      'prix_total_ttc'      => new sfWidgetFormFilterInput(),
    ));

    $this->setValidators(array(
      'id_commande'         => new sfValidatorDoctrineChoice(array('required' => false, 'model' => $this->getRelatedModelName('Commande'), 'column' => 'id_commande')),
      'id_article'          => new sfValidatorPass(array('required' => false)),
      'id_nettoyeur'        => new sfValidatorSchemaFilter('text', new sfValidatorInteger(array('required' => false))),
      'quantite'            => new sfValidatorSchemaFilter('text', new sfValidatorInteger(array('required' => false))),
      'prix_unitaire_ht'    => new sfValidatorSchemaFilter('text', new sfValidatorNumber(array('required' => false))),
      'prix_total_ht'       => new sfValidatorSchemaFilter('text', new sfValidatorNumber(array('required' => false))),
      'prix_total_ttc'      => new sfValidatorSchemaFilter('text', new sfValidatorNumber(array('required' => false))),
    ));

    $this->widgetSchema->setNameFormat('commande_article_filters[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    $this->setupInheritance();

    parent::setup();
  }

  public function getModelName()
  {
    return 'CommandeArticle';
  }

  public function getFields()
  {
    return array(
      'id_commande_article' => 'Number',
      'id_commande'         => 'ForeignKey',
      'id_article'          => 'Text',
      'id_nettoyeur'        => 'Number',
      'quantite'            => 'Number',
      'prix_unitaire_ht'    => 'Number',
      'prix_total_ht'       => 'Number',
      'prix_total_ttc'      => 'Number',
    );
  }
}
