<?php

/**
 * MailingPro filter form base class.
 *
 * @package    sf_sandbox
 * @subpackage filter
 * @author     Your name here
 * @version    SVN: $Id: sfDoctrineFormFilterGeneratedTemplate.php 29570 2010-05-21 14:49:47Z Kris.Wallsmith $
 */
abstract class BaseMailingProFormFilter extends BaseFormFilterDoctrine
{
  public function setup()
  {
    $this->setWidgets(array(
      'civilite'       => new sfWidgetFormFilterInput(),
      'nom'            => new sfWidgetFormFilterInput(),
      'adresse'        => new sfWidgetFormFilterInput(),
      'code_postal'    => new sfWidgetFormFilterInput(),
      'ville'          => new sfWidgetFormFilterInput(),
      'telephone'      => new sfWidgetFormFilterInput(),
      'fax'            => new sfWidgetFormFilterInput(),
      'gsm'            => new sfWidgetFormFilterInput(),
      'activite'       => new sfWidgetFormFilterInput(),
      'code_acces'     => new sfWidgetFormFilterInput(),
      'date'           => new sfWidgetFormFilterDate(array('from_date' => new sfWidgetFormDate(), 'to_date' => new sfWidgetFormDate())),
      'acces'          => new sfWidgetFormChoice(array('choices' => array('' => 'yes or no', 1 => 'yes', 0 => 'no'))),
    ));

    $this->setValidators(array(
      'civilite'       => new sfValidatorPass(array('required' => false)),
      'nom'            => new sfValidatorPass(array('required' => false)),
      'adresse'        => new sfValidatorPass(array('required' => false)),
      'code_postal'    => new sfValidatorPass(array('required' => false)),
      'ville'          => new sfValidatorPass(array('required' => false)),
      'telephone'      => new sfValidatorPass(array('required' => false)),
      'fax'            => new sfValidatorPass(array('required' => false)),
      'gsm'            => new sfValidatorPass(array('required' => false)),
      'activite'       => new sfValidatorPass(array('required' => false)),
      'code_acces'     => new sfValidatorPass(array('required' => false)),
      'date'           => new sfValidatorDateRange(array('required' => false, 'from_date' => new sfValidatorDate(array('required' => false)), 'to_date' => new sfValidatorDateTime(array('required' => false)))),
      'acces'          => new sfValidatorChoice(array('required' => false, 'choices' => array('', 1, 0))),
    ));

    $this->widgetSchema->setNameFormat('mailing_pro_filters[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    $this->setupInheritance();

    parent::setup();
  }

  public function getModelName()
  {
    return 'MailingPro';
  }

  public function getFields()
  {
    return array(
      'id_mailing_pro' => 'Number',
      'civilite'       => 'Text',
      'nom'            => 'Text',
      'adresse'        => 'Text',
      'code_postal'    => 'Text',
      'ville'          => 'Text',
      'telephone'      => 'Text',
      'fax'            => 'Text',
      'gsm'            => 'Text',
      'activite'       => 'Text',
      'code_acces'     => 'Text',
      'date'           => 'Date',
      'acces'          => 'Boolean',
    );
  }
}
