<?php

/**
 * Page filter form base class.
 *
 * @package    sf_sandbox
 * @subpackage filter
 * @author     Your name here
 * @version    SVN: $Id: sfDoctrineFormFilterGeneratedTemplate.php 29570 2010-05-21 14:49:47Z Kris.Wallsmith $
 */
abstract class BasePageFormFilter extends BaseFormFilterDoctrine
{
  public function setup()
  {
    $this->setWidgets(array(
      'titre'        => new sfWidgetFormFilterInput(),
      'description'  => new sfWidgetFormFilterInput(),
      'balise_titre' => new sfWidgetFormFilterInput(),
      'balise_h1'    => new sfWidgetFormFilterInput(),
      'url_partie1'  => new sfWidgetFormFilterInput(),
      'url_partie2'  => new sfWidgetFormFilterInput(),
      'url'          => new sfWidgetFormFilterInput(),
      'balise_meta'  => new sfWidgetFormFilterInput(),
      'actif'        => new sfWidgetFormChoice(array('choices' => array('' => 'yes or no', 1 => 'yes', 0 => 'no'))),
      'no_index'     => new sfWidgetFormChoice(array('choices' => array('' => 'yes or no', 1 => 'yes', 0 => 'no'))),
    ));

    $this->setValidators(array(
      'titre'        => new sfValidatorPass(array('required' => false)),
      'description'  => new sfValidatorPass(array('required' => false)),
      'balise_titre' => new sfValidatorPass(array('required' => false)),
      'balise_h1'    => new sfValidatorPass(array('required' => false)),
      'url_partie1'  => new sfValidatorPass(array('required' => false)),
      'url_partie2'  => new sfValidatorPass(array('required' => false)),
      'url'          => new sfValidatorPass(array('required' => false)),
      'balise_meta'  => new sfValidatorPass(array('required' => false)),
      'actif'        => new sfValidatorChoice(array('required' => false, 'choices' => array('', 1, 0))),
      'no_index'     => new sfValidatorChoice(array('required' => false, 'choices' => array('', 1, 0))),
    ));

    $this->widgetSchema->setNameFormat('page_filters[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    $this->setupInheritance();

    parent::setup();
  }

  public function getModelName()
  {
    return 'Page';
  }

  public function getFields()
  {
    return array(
      'id_page'      => 'Number',
      'titre'        => 'Text',
      'description'  => 'Text',
      'balise_titre' => 'Text',
      'balise_h1'    => 'Text',
      'url_partie1'  => 'Text',
      'url_partie2'  => 'Text',
      'url'          => 'Text',
      'balise_meta'  => 'Text',
      'actif'        => 'Boolean',
      'no_index'     => 'Boolean',
    );
  }
}
