<?php

/**
 * Article form.
 *
 * @package    sf_sandbox
 * @subpackage form
 * @author     Your name here
 * @version    SVN: $Id: sfDoctrineFormTemplate.php 23810 2009-11-12 11:07:44Z Kris.Wallsmith $
 */
class ArticleForm extends BaseArticleForm
{
	public function configure()
	{
		unset($this['association_list']);
		
		$this->widgetSchema['reference_ths'] = new sfWidgetFormInputText();
		$this->widgetSchema['reference_ths_sage'] = new sfWidgetFormInputText();
		
		$this->validatorSchema['reference_ths'] = new sfValidatorString(array('max_length' => 100, 'required' => true), array('required'=>'Veuillez renseigner la référence THS'));
		$this->validatorSchema['reference_ths_sage'] = new sfValidatorString(array('max_length' => 100, 'required' => false));
		$this->validatorSchema['id_famille'] = new sfValidatorDoctrineChoice(array('model' => $this->getRelatedModelName('Famille'), 'required' => true), array('required'=>'Veuillez renseigner la marque'));
	}
}
