<?php

/**
 * BackupData form base class.
 *
 * @method BackupData getObject() Returns the current form's model object
 *
 * @package    sf_sandbox
 * @subpackage form
 * @author     Your name here
 * @version    SVN: $Id: sfDoctrineFormGeneratedTemplate.php 29553 2010-05-20 14:33:00Z Kris.Wallsmith $
 */
abstract class BaseBackupDataForm extends BaseFormDoctrine
{
  public function setup()
  {
    $this->setWidgets(array(
      'id_backup' => new sfWidgetFormInputHidden(),
      'date_time' => new sfWidgetFormInputText(),
      'duration'  => new sfWidgetFormInputText(),
      'statut'    => new sfWidgetFormInputCheckbox(),
      'type'      => new sfWidgetFormInputText(),
    ));

    $this->setValidators(array(
      'id_backup' => new sfValidatorChoice(array('choices' => array($this->getObject()->get('id_backup')), 'empty_value' => $this->getObject()->get('id_backup'), 'required' => false)),
      'date_time' => new sfValidatorPass(array('required' => false)),
      'duration'  => new sfValidatorPass(array('required' => false)),
      'statut'    => new sfValidatorBoolean(array('required' => false)),
      'type'      => new sfValidatorString(array('max_length' => 255, 'required' => false)),
    ));

    $this->widgetSchema->setNameFormat('backup_data[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    $this->setupInheritance();

    parent::setup();
  }

  public function getModelName()
  {
    return 'BackupData';
  }

}
