<?php

/**
 * FournisseurCoefficient form base class.
 *
 * @method FournisseurCoefficient getObject() Returns the current form's model object
 *
 * @package    sf_sandbox
 * @subpackage form
 * @author     Your name here
 * @version    SVN: $Id: sfDoctrineFormGeneratedTemplate.php 29553 2010-05-20 14:33:00Z Kris.Wallsmith $
 */
abstract class BaseFournisseurCoefficientForm extends BaseFormDoctrine
{
  public function setup()
  {
    $this->setWidgets(array(
      'id'             => new sfWidgetFormInputHidden(),
      'coefficient'    => new sfWidgetFormInputText(),
      'prix_min'       => new sfWidgetFormInputText(),
      'prix_max'       => new sfWidgetFormInputText(),
      'id_fournisseur' => new sfWidgetFormDoctrineChoice(array('model' => $this->getRelatedModelName('Fournisseur'), 'add_empty' => false)),
    ));

    $this->setValidators(array(
      'id'             => new sfValidatorChoice(array('choices' => array($this->getObject()->get('id')), 'empty_value' => $this->getObject()->get('id'), 'required' => false)),
      'coefficient'    => new sfValidatorNumber(array('required' => false)),
      'prix_min'       => new sfValidatorNumber(array('required' => false)),
      'prix_max'       => new sfValidatorNumber(array('required' => false)),
      'id_fournisseur' => new sfValidatorDoctrineChoice(array('model' => $this->getRelatedModelName('Fournisseur'))),
    ));

    $this->widgetSchema->setNameFormat('fournisseur_coefficient[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    $this->setupInheritance();

    parent::setup();
  }

  public function getModelName()
  {
    return 'FournisseurCoefficient';
  }

}
