<?php

/**
 * MailFile form base class.
 *
 * @method MailFile getObject() Returns the current form's model object
 *
 * @package    sf_sandbox
 * @subpackage form
 * @author     Your name here
 * @version    SVN: $Id: sfDoctrineFormGeneratedTemplate.php 29553 2010-05-20 14:33:00Z Kris.Wallsmith $
 */
abstract class BaseMailFileForm extends BaseFormDoctrine
{
  public function setup()
  {
    $this->setWidgets(array(
      'id'              => new sfWidgetFormInputHidden(),
      'id_mail_reponse' => new sfWidgetFormDoctrineChoice(array('model' => $this->getRelatedModelName('MailReponse'), 'add_empty' => false)),
      'name'            => new sfWidgetFormInputText(),
      'type'            => new sfWidgetFormInputText(),
    ));

    $this->setValidators(array(
      'id'              => new sfValidatorChoice(array('choices' => array($this->getObject()->get('id')), 'empty_value' => $this->getObject()->get('id'), 'required' => false)),
      'id_mail_reponse' => new sfValidatorDoctrineChoice(array('model' => $this->getRelatedModelName('MailReponse'))),
      'name'            => new sfValidatorString(array('max_length' => 255, 'required' => false)),
      'type'            => new sfValidatorString(array('max_length' => 10, 'required' => false)),
    ));

    $this->widgetSchema->setNameFormat('mail_file[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    $this->setupInheritance();

    parent::setup();
  }

  public function getModelName()
  {
    return 'MailFile';
  }

}
