<?php

/**
 * MailingPro form base class.
 *
 * @method MailingPro getObject() Returns the current form's model object
 *
 * @package    sf_sandbox
 * @subpackage form
 * @author     Your name here
 * @version    SVN: $Id: sfDoctrineFormGeneratedTemplate.php 29553 2010-05-20 14:33:00Z Kris.Wallsmith $
 */
abstract class BaseMailingProForm extends BaseFormDoctrine
{
  public function setup()
  {
    $this->setWidgets(array(
      'id_mailing_pro' => new sfWidgetFormInputHidden(),
      'civilite'       => new sfWidgetFormInputText(),
      'nom'            => new sfWidgetFormInputText(),
      'adresse'        => new sfWidgetFormInputText(),
      'code_postal'    => new sfWidgetFormInputText(),
      'ville'          => new sfWidgetFormInputText(),
      'telephone'      => new sfWidgetFormInputText(),
      'fax'            => new sfWidgetFormInputText(),
      'gsm'            => new sfWidgetFormInputText(),
      'activite'       => new sfWidgetFormInputText(),
      'code_acces'     => new sfWidgetFormInputText(),
      'date'           => new sfWidgetFormDate(),
      'acces'          => new sfWidgetFormInputCheckbox(),
    ));

    $this->setValidators(array(
      'id_mailing_pro' => new sfValidatorChoice(array('choices' => array($this->getObject()->get('id_mailing_pro')), 'empty_value' => $this->getObject()->get('id_mailing_pro'), 'required' => false)),
      'civilite'       => new sfValidatorString(array('max_length' => 10, 'required' => false)),
      'nom'            => new sfValidatorString(array('max_length' => 50, 'required' => false)),
      'adresse'        => new sfValidatorString(array('max_length' => 100, 'required' => false)),
      'code_postal'    => new sfValidatorString(array('max_length' => 10, 'required' => false)),
      'ville'          => new sfValidatorString(array('max_length' => 100, 'required' => false)),
      'telephone'      => new sfValidatorString(array('max_length' => 15, 'required' => false)),
      'fax'            => new sfValidatorString(array('max_length' => 15, 'required' => false)),
      'gsm'            => new sfValidatorString(array('max_length' => 15, 'required' => false)),
      'activite'       => new sfValidatorString(array('max_length' => 100, 'required' => false)),
      'code_acces'     => new sfValidatorString(array('max_length' => 100, 'required' => false)),
      'date'           => new sfValidatorDate(array('required' => false)),
      'acces'          => new sfValidatorBoolean(array('required' => false)),
    ));

    $this->widgetSchema->setNameFormat('mailing_pro[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    $this->setupInheritance();

    parent::setup();
  }

  public function getModelName()
  {
    return 'MailingPro';
  }

}
