<?php

/**
 * Menu form base class.
 *
 * @method Menu getObject() Returns the current form's model object
 *
 * @package    sf_sandbox
 * @subpackage form
 * @author     Your name here
 * @version    SVN: $Id: sfDoctrineFormGeneratedTemplate.php 29553 2010-05-20 14:33:00Z Kris.Wallsmith $
 */
abstract class BaseMenuForm extends BaseFormDoctrine
{
  public function setup()
  {
    $this->setWidgets(array(
      'id_menu' => new sfWidgetFormInputHidden(),
      'libelle' => new sfWidgetFormInputText(),
      'largeur' => new sfWidgetFormInputText(),
      'ordre'   => new sfWidgetFormInputText(),
      'actif'   => new sfWidgetFormInputCheckbox(),
    ));

    $this->setValidators(array(
      'id_menu' => new sfValidatorChoice(array('choices' => array($this->getObject()->get('id_menu')), 'empty_value' => $this->getObject()->get('id_menu'), 'required' => false)),
      'libelle' => new sfValidatorString(array('max_length' => 100, 'required' => false)),
      'largeur' => new sfValidatorInteger(array('required' => false)),
      'ordre'   => new sfValidatorInteger(array('required' => false)),
      'actif'   => new sfValidatorBoolean(array('required' => false)),
    ));

    $this->widgetSchema->setNameFormat('menu[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    $this->setupInheritance();

    parent::setup();
  }

  public function getModelName()
  {
    return 'Menu';
  }

}
