<?php

/**
 * SousMenu form base class.
 *
 * @method SousMenu getObject() Returns the current form's model object
 *
 * @package    sf_sandbox
 * @subpackage form
 * @author     Your name here
 * @version    SVN: $Id: sfDoctrineFormGeneratedTemplate.php 29553 2010-05-20 14:33:00Z Kris.Wallsmith $
 */
abstract class BaseSousMenuForm extends BaseFormDoctrine
{
  public function setup()
  {
    $this->setWidgets(array(
      'id_sous_menu' => new sfWidgetFormInputHidden(),
      'libelle'      => new sfWidgetFormInputText(),
      'url'          => new sfWidgetFormInputText(),
      'ordre'        => new sfWidgetFormInputText(),
      'actif'        => new sfWidgetFormInputCheckbox(),
      'id_menu'      => new sfWidgetFormDoctrineChoice(array('model' => $this->getRelatedModelName('Menu'), 'add_empty' => true)),
    ));

    $this->setValidators(array(
      'id_sous_menu' => new sfValidatorChoice(array('choices' => array($this->getObject()->get('id_sous_menu')), 'empty_value' => $this->getObject()->get('id_sous_menu'), 'required' => false)),
      'libelle'      => new sfValidatorString(array('max_length' => 100, 'required' => false)),
      'url'          => new sfValidatorString(array('max_length' => 255, 'required' => false)),
      'ordre'        => new sfValidatorInteger(array('required' => false)),
      'actif'        => new sfValidatorBoolean(array('required' => false)),
      'id_menu'      => new sfValidatorDoctrineChoice(array('model' => $this->getRelatedModelName('Menu'), 'required' => false)),
    ));

    $this->widgetSchema->setNameFormat('sous_menu[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    $this->setupInheritance();

    parent::setup();
  }

  public function getModelName()
  {
    return 'SousMenu';
  }

}
