<?php

/**
 * ZoneTarif form base class.
 *
 * @method ZoneTarif getObject() Returns the current form's model object
 *
 * @package    sf_sandbox
 * @subpackage form
 * @author     Your name here
 * @version    SVN: $Id: sfDoctrineFormGeneratedTemplate.php 29553 2010-05-20 14:33:00Z Kris.Wallsmith $
 */
abstract class BaseZoneTarifForm extends BaseFormDoctrine
{
  public function setup()
  {
    $this->setWidgets(array(
      'id_zone'  => new sfWidgetFormInputHidden(),
      'id_poids' => new sfWidgetFormInputHidden(),
      'tarif'    => new sfWidgetFormInputText(),
    ));

    $this->setValidators(array(
      'id_zone'  => new sfValidatorChoice(array('choices' => array($this->getObject()->get('id_zone')), 'empty_value' => $this->getObject()->get('id_zone'), 'required' => false)),
      'id_poids' => new sfValidatorChoice(array('choices' => array($this->getObject()->get('id_poids')), 'empty_value' => $this->getObject()->get('id_poids'), 'required' => false)),
      'tarif'    => new sfValidatorNumber(),
    ));

    $this->widgetSchema->setNameFormat('zone_tarif[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    $this->setupInheritance();

    parent::setup();
  }

  public function getModelName()
  {
    return 'ZoneTarif';
  }

}
