<?php

/**
 * FournisseurCoefficient filter form base class.
 *
 * @package    sf_sandbox
 * @subpackage filter
 * @author     Your name here
 * @version    SVN: $Id: sfDoctrineFormFilterGeneratedTemplate.php 29570 2010-05-21 14:49:47Z Kris.Wallsmith $
 */
abstract class BaseFournisseurCoefficientFormFilter extends BaseFormFilterDoctrine
{
  public function setup()
  {
    $this->setWidgets(array(
      'coefficient'    => new sfWidgetFormFilterInput(),
      'prix_min'       => new sfWidgetFormFilterInput(),
      'prix_max'       => new sfWidgetFormFilterInput(),
      'id_fournisseur' => new sfWidgetFormDoctrineChoice(array('model' => $this->getRelatedModelName('Fournisseur'), 'add_empty' => true)),
    ));

    $this->setValidators(array(
      'coefficient'    => new sfValidatorSchemaFilter('text', new sfValidatorNumber(array('required' => false))),
      'prix_min'       => new sfValidatorSchemaFilter('text', new sfValidatorNumber(array('required' => false))),
      'prix_max'       => new sfValidatorSchemaFilter('text', new sfValidatorNumber(array('required' => false))),
      'id_fournisseur' => new sfValidatorDoctrineChoice(array('required' => false, 'model' => $this->getRelatedModelName('Fournisseur'), 'column' => 'id')),
    ));

    $this->widgetSchema->setNameFormat('fournisseur_coefficient_filters[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    $this->setupInheritance();

    parent::setup();
  }

  public function getModelName()
  {
    return 'FournisseurCoefficient';
  }

  public function getFields()
  {
    return array(
      'id'             => 'Number',
      'coefficient'    => 'Number',
      'prix_min'       => 'Number',
      'prix_max'       => 'Number',
      'id_fournisseur' => 'ForeignKey',
    );
  }
}
