<?php

/**
 * Pompe filter form base class.
 *
 * @package    sf_sandbox
 * @subpackage filter
 * @author     Your name here
 * @version    SVN: $Id: sfDoctrineFormFilterGeneratedTemplate.php 29570 2010-05-21 14:49:47Z Kris.Wallsmith $
 */
abstract class BasePompeFormFilter extends BaseFormFilterDoctrine
{
  public function setup()
  {
    $this->setWidgets(array(
      'id_marque'                   => new sfWidgetFormDoctrineChoice(array('model' => $this->getRelatedModelName('Marque'), 'add_empty' => true)),
      'modele'                      => new sfWidgetFormFilterInput(),
      'serie'                       => new sfWidgetFormFilterInput(),
      'pression'                    => new sfWidgetFormFilterInput(),
      'debit_litre_min'             => new sfWidgetFormFilterInput(),
      'debit_litre_heure'           => new sfWidgetFormFilterInput(),
      'vitesse_rotation'            => new sfWidgetFormFilterInput(),
      'puissance'                   => new sfWidgetFormFilterInput(),
      'poids'                       => new sfWidgetFormFilterInput(),
      'description'                 => new sfWidgetFormFilterInput(),
      'url_article'                 => new sfWidgetFormFilterInput(),
      'balise_title'                => new sfWidgetFormFilterInput(),
      'balise_meta'                 => new sfWidgetFormFilterInput(),
      'photo_1'                     => new sfWidgetFormFilterInput(),
      'doc_commercial'              => new sfWidgetFormFilterInput(),
      'doc_technique'               => new sfWidgetFormFilterInput(),
      'doc_technique_espace_pro'    => new sfWidgetFormChoice(array('choices' => array('' => 'yes or no', 1 => 'yes', 0 => 'no'))),
      'eclate_technique'            => new sfWidgetFormFilterInput(),
      'eclate_technique_espace_pro' => new sfWidgetFormChoice(array('choices' => array('' => 'yes or no', 1 => 'yes', 0 => 'no'))),
      'actif'                       => new sfWidgetFormChoice(array('choices' => array('' => 'yes or no', 1 => 'yes', 0 => 'no'))),
    ));

    $this->setValidators(array(
      'id_marque'                   => new sfValidatorDoctrineChoice(array('required' => false, 'model' => $this->getRelatedModelName('Marque'), 'column' => 'id_marque')),
      'modele'                      => new sfValidatorPass(array('required' => false)),
      'serie'                       => new sfValidatorPass(array('required' => false)),
      'pression'                    => new sfValidatorPass(array('required' => false)),
      'debit_litre_min'             => new sfValidatorPass(array('required' => false)),
      'debit_litre_heure'           => new sfValidatorPass(array('required' => false)),
      'vitesse_rotation'            => new sfValidatorPass(array('required' => false)),
      'puissance'                   => new sfValidatorPass(array('required' => false)),
      'poids'                       => new sfValidatorSchemaFilter('text', new sfValidatorNumber(array('required' => false))),
      'description'                 => new sfValidatorPass(array('required' => false)),
      'url_article'                 => new sfValidatorPass(array('required' => false)),
      'balise_title'                => new sfValidatorPass(array('required' => false)),
      'balise_meta'                 => new sfValidatorPass(array('required' => false)),
      'photo_1'                     => new sfValidatorPass(array('required' => false)),
      'doc_commercial'              => new sfValidatorPass(array('required' => false)),
      'doc_technique'               => new sfValidatorPass(array('required' => false)),
      'doc_technique_espace_pro'    => new sfValidatorChoice(array('required' => false, 'choices' => array('', 1, 0))),
      'eclate_technique'            => new sfValidatorPass(array('required' => false)),
      'eclate_technique_espace_pro' => new sfValidatorChoice(array('required' => false, 'choices' => array('', 1, 0))),
      'actif'                       => new sfValidatorChoice(array('required' => false, 'choices' => array('', 1, 0))),
    ));

    $this->widgetSchema->setNameFormat('pompe_filters[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    $this->setupInheritance();

    parent::setup();
  }

  public function getModelName()
  {
    return 'Pompe';
  }

  public function getFields()
  {
    return array(
      'id_pompe'                    => 'Number',
      'id_marque'                   => 'ForeignKey',
      'modele'                      => 'Text',
      'serie'                       => 'Text',
      'pression'                    => 'Text',
      'debit_litre_min'             => 'Text',
      'debit_litre_heure'           => 'Text',
      'vitesse_rotation'            => 'Text',
      'puissance'                   => 'Text',
      'poids'                       => 'Number',
      'description'                 => 'Text',
      'url_article'                 => 'Text',
      'balise_title'                => 'Text',
      'balise_meta'                 => 'Text',
      'photo_1'                     => 'Text',
      'doc_commercial'              => 'Text',
      'doc_technique'               => 'Text',
      'doc_technique_espace_pro'    => 'Boolean',
      'eclate_technique'            => 'Text',
      'eclate_technique_espace_pro' => 'Boolean',
      'actif'                       => 'Boolean',
    );
  }
}
