<?php

/**
 * SousMenu filter form base class.
 *
 * @package    sf_sandbox
 * @subpackage filter
 * @author     Your name here
 * @version    SVN: $Id: sfDoctrineFormFilterGeneratedTemplate.php 29570 2010-05-21 14:49:47Z Kris.Wallsmith $
 */
abstract class BaseSousMenuFormFilter extends BaseFormFilterDoctrine
{
  public function setup()
  {
    $this->setWidgets(array(
      'libelle'      => new sfWidgetFormFilterInput(),
      'url'          => new sfWidgetFormFilterInput(),
      'ordre'        => new sfWidgetFormFilterInput(),
      'actif'        => new sfWidgetFormChoice(array('choices' => array('' => 'yes or no', 1 => 'yes', 0 => 'no'))),
      'id_menu'      => new sfWidgetFormDoctrineChoice(array('model' => $this->getRelatedModelName('Menu'), 'add_empty' => true)),
    ));

    $this->setValidators(array(
      'libelle'      => new sfValidatorPass(array('required' => false)),
      'url'          => new sfValidatorPass(array('required' => false)),
      'ordre'        => new sfValidatorSchemaFilter('text', new sfValidatorInteger(array('required' => false))),
      'actif'        => new sfValidatorChoice(array('required' => false, 'choices' => array('', 1, 0))),
      'id_menu'      => new sfValidatorDoctrineChoice(array('required' => false, 'model' => $this->getRelatedModelName('Menu'), 'column' => 'id_menu')),
    ));

    $this->widgetSchema->setNameFormat('sous_menu_filters[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    $this->setupInheritance();

    parent::setup();
  }

  public function getModelName()
  {
    return 'SousMenu';
  }

  public function getFields()
  {
    return array(
      'id_sous_menu' => 'Number',
      'libelle'      => 'Text',
      'url'          => 'Text',
      'ordre'        => 'Number',
      'actif'        => 'Boolean',
      'id_menu'      => 'ForeignKey',
    );
  }
}
