<?php

/**
 * Zone filter form base class.
 *
 * @package    sf_sandbox
 * @subpackage filter
 * @author     Your name here
 * @version    SVN: $Id: sfDoctrineFormFilterGeneratedTemplate.php 29570 2010-05-21 14:49:47Z Kris.Wallsmith $
 */
abstract class BaseZoneFormFilter extends BaseFormFilterDoctrine
{
  public function setup()
  {
    $this->setWidgets(array(
      'libelle'           => new sfWidgetFormFilterInput(),
      'statut'            => new sfWidgetFormChoice(array('choices' => array('' => 'yes or no', 1 => 'yes', 0 => 'no'))),
      'id_transporteur'   => new sfWidgetFormDoctrineChoice(array('model' => $this->getRelatedModelName('Transporteur'), 'add_empty' => true)),
      'departements_list' => new sfWidgetFormDoctrineChoice(array('multiple' => true, 'model' => 'Departement')),
    ));

    $this->setValidators(array(
      'libelle'           => new sfValidatorPass(array('required' => false)),
      'statut'            => new sfValidatorChoice(array('required' => false, 'choices' => array('', 1, 0))),
      'id_transporteur'   => new sfValidatorDoctrineChoice(array('required' => false, 'model' => $this->getRelatedModelName('Transporteur'), 'column' => 'id_transporteur')),
      'departements_list' => new sfValidatorDoctrineChoice(array('multiple' => true, 'model' => 'Departement', 'required' => false)),
    ));

    $this->widgetSchema->setNameFormat('zone_filters[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    $this->setupInheritance();

    parent::setup();
  }

  public function addDepartementsListColumnQuery(Doctrine_Query $query, $field, $values)
  {
    if (!is_array($values))
    {
      $values = array($values);
    }

    if (!count($values))
    {
      return;
    }

    $query
      ->leftJoin($query->getRootAlias().'.ZoneDepartement ZoneDepartement')
      ->andWhereIn('ZoneDepartement.id_departement', $values)
    ;
  }

  public function getModelName()
  {
    return 'Zone';
  }

  public function getFields()
  {
    return array(
      'id_zone'           => 'Number',
      'libelle'           => 'Text',
      'statut'            => 'Boolean',
      'id_transporteur'   => 'ForeignKey',
      'departements_list' => 'ManyKey',
    );
  }
}
