<?php
	class CalculFraisDePortForm extends sfForm
	{
		public function configure()
		{
			$this->setWidgets(array(
				'poids'			=> new sfWidgetFormInputText(),
				'hors_gabarit'	=> new sfWidgetFormInputCheckbox(),
				'code_postal'	=> new sfWidgetFormInputText(),
			));
			
			$this->setValidators(array(
				'poids'			=> new sfValidatorNumber(array('required' => true), array('required'=>'Veuillez renseigner le poids')),
				'hors_gabarit'	=> new sfValidatorString(array('required' => false)),
				'code_postal'	=> new sfValidatorString(array('required' => true, 'min_length' => 2, 'max_length' => 5), array('required'=>'Veuillez renseigner le code postal')),
			));
			
			$this->widgetSchema->setLabels(array(
			  'poids'    => 'Poids (en kg)',
			));
			
			$this->widgetSchema->setNameFormat('fraisDePort[%s]');
		}
	}