<?php
	class NettoyeurNomenclatureForm extends sfForm
	{
		private $choices = array();
		private $choices_selected = array();
		public function setChoices($choices)
		{
			$this->choices = $choices;
		}
		public function setChoicesSelected($choices)
		{
			$this->choices_selected = $choices;
		}
		
		public function configure()
		{
			$this->setWidgets(array(
				'liste'			=> new sfWidgetFormSelectDoubleList(array(
					'choices'	=>	$this->choices, 
					'choices_selected'	=>	$this->choices_selected,
					'label_unassociated'	=>	'Non liés',
					'label_associated'	=>	'Liés',
				)),
			));
			
			$this->setValidators(array(
			));
			
			$this->widgetSchema->setNameFormat('nettoyeur_nomenclature[%s]');
		}
	}