<?php

/**
 * MailReponse form.
 *
 * @package    sf_sandbox
 * @subpackage form
 * @author     Your name here
 * @version    SVN: $Id: sfDoctrineFormTemplate.php 23810 2009-11-12 11:07:44Z Kris.Wallsmith $
 */
class MailReponseForm extends BaseMailReponseForm
{
  public function configure()
  {
	  unset($this->widgetSchema['id_user'], $this->widgetSchema['date_reponse']);
	  
	  $this->widgetSchema['id_mail_sujet'] = new sfWidgetFormInputHidden();
	  $this->widgetSchema['message'] = new sfWidgetFormTextareaTinyMCE(array(
	    'width'  => 700,
	    'height' => 200,
	    'config' => 'theme_advanced_disable: "strikethrough,justifyleft,justifycenter,justifyright,justifyfull,bullist,numlist,outdent,indent,cut,copy,paste,undo,redo,link,unlink,image,cleanup,help,code,hr,removeformat,formatselect,fontselect,fontsizeselect,styleselect,sub,sup,forecolor,backcolor,forecolorpicker,backcolorpicker,charmap,visualaid,anchor,newdocument,blockquote", theme_advanced_buttons1: "bold,italic,underline", theme_advanced_buttons2: "", theme_advanced_buttons3: ""',
	  ));
	  
	  for ($i = 1; $i <= 5; $i++) {
		$this->widgetSchema['image_'.$i] = new sfWidgetFormInputFile();
		$this->widgetSchema['pdf_'.$i] = new sfWidgetFormInputFile();
		$this->validatorSchema['image_'.$i] = new sfValidatorFile(array(
		      'required' => false,
		      'mime_types' => 'web_images',
		      'max_size' => 15000*1024
		  ), array(
		      'invalid'    => 'Fichier invalide',
		      'mime_types' => 'Le fichier doit être au format JPEG, PNG ou GIF.'
		  ));
		$this->validatorSchema['pdf_'.$i] = new sfValidatorFile(array(
		    'required' => false,
		'mime_categories' => array('pdf' => array('application/pdf', 'application/x-pdf')),
		'mime_types'      => 'pdf',
		    'max_size' => 15000*1024
		), array(
		    'invalid'    => 'Fichier invalide',
		    'mime_types' => 'Le fichier doit être au format PDF.'
		));
	  }
  }
}
