<?php

/**
 * CommandeArticle form base class.
 *
 * @method CommandeArticle getObject() Returns the current form's model object
 *
 * @package    sf_sandbox
 * @subpackage form
 * @author     Your name here
 * @version    SVN: $Id: sfDoctrineFormGeneratedTemplate.php 29553 2010-05-20 14:33:00Z Kris.Wallsmith $
 */
abstract class BaseCommandeArticleForm extends BaseFormDoctrine
{
  public function setup()
  {
    $this->setWidgets(array(
      'id_commande_article' => new sfWidgetFormInputHidden(),
      'id_commande'         => new sfWidgetFormDoctrineChoice(array('model' => $this->getRelatedModelName('Commande'), 'add_empty' => true)),
      'id_article'          => new sfWidgetFormInputText(),
      'id_nettoyeur'        => new sfWidgetFormInputText(),
      'quantite'            => new sfWidgetFormInputText(),
      'prix_unitaire_ht'    => new sfWidgetFormInputText(),
      'prix_total_ht'       => new sfWidgetFormInputText(),
      'prix_total_ttc'      => new sfWidgetFormInputText(),
    ));

    $this->setValidators(array(
      'id_commande_article' => new sfValidatorChoice(array('choices' => array($this->getObject()->get('id_commande_article')), 'empty_value' => $this->getObject()->get('id_commande_article'), 'required' => false)),
      'id_commande'         => new sfValidatorDoctrineChoice(array('model' => $this->getRelatedModelName('Commande'), 'required' => false)),
      'id_article'          => new sfValidatorString(array('max_length' => 100, 'required' => false)),
      'id_nettoyeur'        => new sfValidatorInteger(array('required' => false)),
      'quantite'            => new sfValidatorInteger(array('required' => false)),
      'prix_unitaire_ht'    => new sfValidatorNumber(array('required' => false)),
      'prix_total_ht'       => new sfValidatorNumber(array('required' => false)),
      'prix_total_ttc'      => new sfValidatorNumber(array('required' => false)),
    ));

    $this->widgetSchema->setNameFormat('commande_article[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    $this->setupInheritance();

    parent::setup();
  }

  public function getModelName()
  {
    return 'CommandeArticle';
  }

}
