<?php

/**
 * Commande form base class.
 *
 * @method Commande getObject() Returns the current form's model object
 *
 * @package    sf_sandbox
 * @subpackage form
 * @author     Your name here
 * @version    SVN: $Id: sfDoctrineFormGeneratedTemplate.php 29553 2010-05-20 14:33:00Z Kris.Wallsmith $
 */
abstract class BaseCommandeForm extends BaseFormDoctrine
{
  public function setup()
  {
    $this->setWidgets(array(
      'id_commande'            => new sfWidgetFormInputHidden(),
      'poids_total'            => new sfWidgetFormInputText(),
      'frais_port_ht'          => new sfWidgetFormInputText(),
      'frais_gestion_ht'       => new sfWidgetFormInputText(),
      'total_produit_ht'       => new sfWidgetFormInputText(),
      'total_ht'               => new sfWidgetFormInputText(),
      'taux_tva'               => new sfWidgetFormInputText(),
      'total_ttc'              => new sfWidgetFormInputText(),
      'id_statut'              => new sfWidgetFormInputText(),
      'type'                   => new sfWidgetFormInputText(),
      'raison_sociale'         => new sfWidgetFormInputText(),
      'civilite'               => new sfWidgetFormInputText(),
      'nom'                    => new sfWidgetFormInputText(),
      'prenom'                 => new sfWidgetFormInputText(),
      'adresse'                => new sfWidgetFormInputText(),
      'adresse_complement'     => new sfWidgetFormInputText(),
      'code_postal'            => new sfWidgetFormInputText(),
      'ville'                  => new sfWidgetFormInputText(),
      'pays'                   => new sfWidgetFormInputText(),
      'telephone'              => new sfWidgetFormInputText(),
      'fax'                    => new sfWidgetFormInputText(),
      'email'                  => new sfWidgetFormInputText(),
      'note_livraison'         => new sfWidgetFormInputText(),
      'type_commande'          => new sfWidgetFormInputText(),
      'commande_token'         => new sfWidgetFormInputText(),
      'devis_token'            => new sfWidgetFormInputText(),
      'devis_pdf'              => new sfWidgetFormInputText(),
      'moyen_paiement'         => new sfWidgetFormInputText(),
      'numero_transaction'     => new sfWidgetFormInputText(),
      'numero_carte'           => new sfWidgetFormInputText(),
      'certificat_transaction' => new sfWidgetFormInputText(),
      'date_transaction'       => new sfWidgetFormInputText(),
      'id_client'              => new sfWidgetFormDoctrineChoice(array('model' => $this->getRelatedModelName('Client'), 'add_empty' => true)),
      'id_user_suiveur'        => new sfWidgetFormDoctrineChoice(array('model' => $this->getRelatedModelName('sfGuardUser'), 'add_empty' => true)),
      'numero_colissimo'       => new sfWidgetFormInputText(),
      'mail_commande'          => new sfWidgetFormInputCheckbox(),
      'mail_colissimo'         => new sfWidgetFormInputCheckbox(),
      'date_creation'          => new sfWidgetFormDateTime(),
      'date_edition'           => new sfWidgetFormDateTime(),
    ));

    $this->setValidators(array(
      'id_commande'            => new sfValidatorChoice(array('choices' => array($this->getObject()->get('id_commande')), 'empty_value' => $this->getObject()->get('id_commande'), 'required' => false)),
      'poids_total'            => new sfValidatorNumber(array('required' => false)),
      'frais_port_ht'          => new sfValidatorNumber(array('required' => false)),
      'frais_gestion_ht'       => new sfValidatorNumber(array('required' => false)),
      'total_produit_ht'       => new sfValidatorNumber(array('required' => false)),
      'total_ht'               => new sfValidatorNumber(array('required' => false)),
      'taux_tva'               => new sfValidatorNumber(array('required' => false)),
      'total_ttc'              => new sfValidatorNumber(array('required' => false)),
      'id_statut'              => new sfValidatorString(array('max_length' => 15, 'required' => false)),
      'type'                   => new sfValidatorPass(array('required' => false)),
      'raison_sociale'         => new sfValidatorString(array('max_length' => 255, 'required' => false)),
      'civilite'               => new sfValidatorInteger(array('required' => false)),
      'nom'                    => new sfValidatorString(array('max_length' => 100, 'required' => false)),
      'prenom'                 => new sfValidatorString(array('max_length' => 100, 'required' => false)),
      'adresse'                => new sfValidatorString(array('max_length' => 255, 'required' => false)),
      'adresse_complement'     => new sfValidatorString(array('max_length' => 255, 'required' => false)),
      'code_postal'            => new sfValidatorString(array('max_length' => 5, 'required' => false)),
      'ville'                  => new sfValidatorString(array('max_length' => 100, 'required' => false)),
      'pays'                   => new sfValidatorString(array('max_length' => 100, 'required' => false)),
      'telephone'              => new sfValidatorString(array('max_length' => 15, 'required' => false)),
      'fax'                    => new sfValidatorString(array('max_length' => 15, 'required' => false)),
      'email'                  => new sfValidatorString(array('max_length' => 155, 'required' => false)),
      'note_livraison'         => new sfValidatorPass(array('required' => false)),
      'type_commande'          => new sfValidatorInteger(array('required' => false)),
      'commande_token'         => new sfValidatorString(array('max_length' => 13, 'required' => false)),
      'devis_token'            => new sfValidatorString(array('max_length' => 13, 'required' => false)),
      'devis_pdf'              => new sfValidatorString(array('max_length' => 255, 'required' => false)),
      'moyen_paiement'         => new sfValidatorInteger(array('required' => false)),
      'numero_transaction'     => new sfValidatorString(array('max_length' => 255, 'required' => false)),
      'numero_carte'           => new sfValidatorString(array('max_length' => 255, 'required' => false)),
      'certificat_transaction' => new sfValidatorString(array('max_length' => 255, 'required' => false)),
      'date_transaction'       => new sfValidatorPass(array('required' => false)),
      'id_client'              => new sfValidatorDoctrineChoice(array('model' => $this->getRelatedModelName('Client'), 'required' => false)),
      'id_user_suiveur'        => new sfValidatorDoctrineChoice(array('model' => $this->getRelatedModelName('sfGuardUser'), 'required' => false)),
      'numero_colissimo'       => new sfValidatorString(array('max_length' => 13, 'required' => false)),
      'mail_commande'          => new sfValidatorBoolean(array('required' => false)),
      'mail_colissimo'         => new sfValidatorBoolean(array('required' => false)),
      'date_creation'          => new sfValidatorDateTime(),
      'date_edition'           => new sfValidatorDateTime(),
    ));

    $this->widgetSchema->setNameFormat('commande[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    $this->setupInheritance();

    parent::setup();
  }

  public function getModelName()
  {
    return 'Commande';
  }

}
