<?php

/**
 * Config form base class.
 *
 * @method Config getObject() Returns the current form's model object
 *
 * @package    sf_sandbox
 * @subpackage form
 * @author     Your name here
 * @version    SVN: $Id: sfDoctrineFormGeneratedTemplate.php 29553 2010-05-20 14:33:00Z Kris.Wallsmith $
 */
abstract class BaseConfigForm extends BaseFormDoctrine
{
  public function setup()
  {
    $this->setWidgets(array(
      'id_config' => new sfWidgetFormInputHidden(),
      'libelle'   => new sfWidgetFormInputText(),
      'valeur'    => new sfWidgetFormInputText(),
      'actif'     => new sfWidgetFormInputCheckbox(),
    ));

    $this->setValidators(array(
      'id_config' => new sfValidatorChoice(array('choices' => array($this->getObject()->get('id_config')), 'empty_value' => $this->getObject()->get('id_config'), 'required' => false)),
      'libelle'   => new sfValidatorString(array('max_length' => 255, 'required' => false)),
      'valeur'    => new sfValidatorString(array('max_length' => 255, 'required' => false)),
      'actif'     => new sfValidatorBoolean(array('required' => false)),
    ));

    $this->widgetSchema->setNameFormat('config[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    $this->setupInheritance();

    parent::setup();
  }

  public function getModelName()
  {
    return 'Config';
  }

}
