<?php

/**
 * CritereEnvoi form base class.
 *
 * @method CritereEnvoi getObject() Returns the current form's model object
 *
 * @package    sf_sandbox
 * @subpackage form
 * @author     Your name here
 * @version    SVN: $Id: sfDoctrineFormGeneratedTemplate.php 29553 2010-05-20 14:33:00Z Kris.Wallsmith $
 */
abstract class BaseCritereEnvoiForm extends BaseFormDoctrine
{
  public function setup()
  {
    $this->setWidgets(array(
      'id_critere_envoi'      => new sfWidgetFormInputHidden(),
      'type'                  => new sfWidgetFormInputText(),
      'numero_commande'       => new sfWidgetFormInputText(),
      'numero_commande_signe' => new sfWidgetFormInputText(),
      'nombre_article'        => new sfWidgetFormInputText(),
      'nombre_article_signe'  => new sfWidgetFormInputText(),
      'total_commande'        => new sfWidgetFormInputText(),
      'total_commande_signe'  => new sfWidgetFormInputText(),
      'reference_ths'         => new sfWidgetFormInputText(),
    ));

    $this->setValidators(array(
      'id_critere_envoi'      => new sfValidatorChoice(array('choices' => array($this->getObject()->get('id_critere_envoi')), 'empty_value' => $this->getObject()->get('id_critere_envoi'), 'required' => false)),
      'type'                  => new sfValidatorString(array('max_length' => 15, 'required' => false)),
      'numero_commande'       => new sfValidatorInteger(array('required' => false)),
      'numero_commande_signe' => new sfValidatorString(array('max_length' => 2, 'required' => false)),
      'nombre_article'        => new sfValidatorInteger(array('required' => false)),
      'nombre_article_signe'  => new sfValidatorString(array('max_length' => 2, 'required' => false)),
      'total_commande'        => new sfValidatorNumber(array('required' => false)),
      'total_commande_signe'  => new sfValidatorString(array('max_length' => 2, 'required' => false)),
      'reference_ths'         => new sfValidatorString(array('max_length' => 100, 'required' => false)),
    ));

    $this->widgetSchema->setNameFormat('critere_envoi[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    $this->setupInheritance();

    parent::setup();
  }

  public function getModelName()
  {
    return 'CritereEnvoi';
  }

}
