<?php

/**
 * Marque form base class.
 *
 * @method Marque getObject() Returns the current form's model object
 *
 * @package    sf_sandbox
 * @subpackage form
 * @author     Your name here
 * @version    SVN: $Id: sfDoctrineFormGeneratedTemplate.php 29553 2010-05-20 14:33:00Z Kris.Wallsmith $
 */
abstract class BaseMarqueForm extends BaseFormDoctrine
{
  public function setup()
  {
    $this->setWidgets(array(
      'id_marque' => new sfWidgetFormInputHidden(),
      'libelle'   => new sfWidgetFormInputText(),
      'statut'    => new sfWidgetFormInputCheckbox(),
      'famille'   => new sfWidgetFormInputText(),
    ));

    $this->setValidators(array(
      'id_marque' => new sfValidatorChoice(array('choices' => array($this->getObject()->get('id_marque')), 'empty_value' => $this->getObject()->get('id_marque'), 'required' => false)),
      'libelle'   => new sfValidatorString(array('max_length' => 255, 'required' => false)),
      'statut'    => new sfValidatorBoolean(array('required' => false)),
      'famille'   => new sfValidatorString(array('max_length' => 255, 'required' => false)),
    ));

    $this->widgetSchema->setNameFormat('marque[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    $this->setupInheritance();

    parent::setup();
  }

  public function getModelName()
  {
    return 'Marque';
  }

}
