<?php

/**
 * Poids form base class.
 *
 * @method Poids getObject() Returns the current form's model object
 *
 * @package    sf_sandbox
 * @subpackage form
 * @author     Your name here
 * @version    SVN: $Id: sfDoctrineFormGeneratedTemplate.php 29553 2010-05-20 14:33:00Z Kris.Wallsmith $
 */
abstract class BasePoidsForm extends BaseFormDoctrine
{
  public function setup()
  {
    $this->setWidgets(array(
      'id_poids' => new sfWidgetFormInputHidden(),
      'poids'    => new sfWidgetFormInputText(),
      'statut'   => new sfWidgetFormInputCheckbox(),
    ));

    $this->setValidators(array(
      'id_poids' => new sfValidatorChoice(array('choices' => array($this->getObject()->get('id_poids')), 'empty_value' => $this->getObject()->get('id_poids'), 'required' => false)),
      'poids'    => new sfValidatorInteger(),
      'statut'   => new sfValidatorBoolean(array('required' => false)),
    ));

    $this->widgetSchema->setNameFormat('poids[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    $this->setupInheritance();

    parent::setup();
  }

  public function getModelName()
  {
    return 'Poids';
  }

}
