<?php

class backupSourceTask extends sfBaseTask
{
    protected function configure()
    {
        $this->namespace = 'ths';
        $this->name = 'backup-source';
        $this->briefDescription = 'Backup source';
    }
 
    protected function execute($arguments = array(), $options = array())
    {
        $liste = BackupConfigTable::getListDayByType("source");

        if (array_key_exists(date("j"), $liste)) {
            $debut = time();
            $date = date("Ymd-His");

            $host = "mysql5-3";
            $user = "hautepression";
            $password = "qLIc8Dn8";
            $database = "hautepression";

            // Création du répertoire
            mkdir("/homez.41/hautepre/backup/".$date);

            // Création des sauvegardes
            system("tar -cvzpf /homez.41/hautepre/backup/".$date."/".$date."_sources_sf.tgz /homez.41/hautepre/symfony_haute_pression");
            // system("tar -cvzpf /homez.41/hautepre/backup/".$date."/".$date."_sources_www.tgz /homez.41/hautepre/www");

            // Envoi des sauvegarde sur le FTP distant
            // Mise en place d'une connexion basique
            $conn_id = ftp_connect("ftp.lybliamay.fr");

            // Identification avec un nom d'utilisateur et un mot de passe
            $login_result = ftp_login($conn_id, "aznmeet-shp", "B3yzR76p");

            $backupStatut = true;

            // Vérification de la connexion
            if ((!$conn_id) || (!$login_result)) {
                $backupStatut = false;
                mail("yenkong@lybliamay.fr", "Sauvegarde THS", "Connexion échoué au FTP");
            }

            if ($backupStatut) {
                // Création du répertoire distant
                if (!ftp_mkdir($conn_id, $date)) {
                    $backupStatut = false;
                    mail("yenkong@lybliamay.fr", "Sauvegarde THS", "Impossible de créer le répertoire distant");
                }

                if ($backupStatut) {
                    $upload2 = ftp_put($conn_id, $date."/".$date."_sources_sf.tgz", "/homez.41/hautepre/backup/".$date."/".$date."_sources_sf.tgz", FTP_BINARY);

                    // Vérification du status du chargement
                    if (!$upload2) {
                        $backupStatut = false;
                        mail("yenkong@lybliamay.fr", "Sauvegarde THS", "La sauvegarde sources_sf du $date a échoué");
                    }

                    $upload3 = ftp_put($conn_id, $date."/".$date."_sources_www.tgz", "/homez.41/hautepre/backup/".$date."/".$date."_sources_www.tgz", FTP_BINARY);

                    // Vérification du status du chargement
                    if (!$upload3) {
                        $backupStatut = false;
                        mail("yenkong@lybliamay.fr", "Sauvegarde THS", "La sauvegarde sources_www du $date a échoué");
                    }
                }

                // Fermeture du flux FTP
                ftp_close($conn_id);
            }

            $fin = time();
            $duration = $fin-$debut;
            $bd = new BackupData();
            $bd->setType("bdd");
            $bd->setDateTime(date("Y-m-d H:i:s"));
            $bd->setDuration($duration);
            $bd->setStatut($backupStatut);
            $bd->save();
        }
    }
}
