<?php

/**
 * sfGuardFormSignin for sfGuardAuth signin action
 *
 * @package    sfDoctrineGuardPlugin
 * @subpackage form
 * @author     Fabien Potencier <fabien.potencier@symfony-project.com>
 * @version    SVN: $Id: sfGuardFormSignin.class.php 23536 2009-11-02 21:41:21Z Kris.Wallsmith $
 */
class sfGuardFormSignin extends BasesfGuardFormSignin
{
	/**
	 * @see sfForm
	 */
	public function configure()
	{
		$this->validatorSchema['username'] = new sfValidatorString(array("required"=>true), array("required"=>"Veuillez renseigner votre adresse mail"));
		$this->validatorSchema['password'] = new sfValidatorString(array("required"=>true), array("required"=>"Veuillez renseigner votre mot de passe"));
		$this->widgetSchema['username']->setLabel('Email');
		$this->widgetSchema['password']->setLabel('Mot de passe');
		$this->widgetSchema['remember']->setLabel('Se souvenir de moi');
		$this->validatorSchema->setPostValidator(new sfGuardValidatorUser(array("throw_global_error"=>true), array("invalid"=>"Erreur d'email / mot de passe")));
	}
}
