<?php use_helper('I18N', 'Date') ?>
<?php use_stylesheet('/sfDoctrinePlugin/css/global.css', 'first') ?> 
<?php use_stylesheet('/sfDoctrinePlugin/css/default.css', 'first') ?> 
<div id="sf_admin_container">
    <h1><?php echo __('Les 10 dernières sauvegardes effectuées', array(), 'messages') ?></h1>
    <div id="sf_admin_content">
        <table cellspacing="0">
            <thead>
                <tr>
                    <th class="sf_admin_text sf_admin_list_th_id_backup">Id backup</th>
                    <th class="sf_admin_text sf_admin_list_th_type">Type</th>
                    <th class="sf_admin_text sf_admin_list_th_date_time">Date et heure</th>
                    <th class="sf_admin_list_th_actions">Durée en secondes</th>
                    <th class="sf_admin_list_th_statut">Succès de la sauvegarde</th>
                </tr>
            </thead>
            <tfoot>
                <tr>
                    <th colspan="6"><?php echo sizeof($liste)?> résultat(s)</th>
                </tr>
            </tfoot>
            <tbody>
                <?php foreach($liste as $element):?>
                    <tr class="sf_admin_row odd">
                        <td class="sf_admin_text sf_admin_list_td_id_backup"><?php echo $element->getIdBackup()?></td>
                        <td class="sf_admin_text sf_admin_list_td_type"><?php echo $element->getType()?></td>
			<td class="sf_admin_text sf_admin_list_td_date_time"><?php echo $element->getDateTime()?></td>
			<td class="sf_admin_text sf_admin_list_td_file"><?php echo $element->getDuration()?></td>
			<td class="sf_admin_text sf_admin_list_td_file"><?php if ($element->getStatut()):?>Oui<?php else:?>Non<?php endif?></td>
                        <td>
                    </tr>
                <?php endforeach;?>
            </tbody>
        </table>
    </div>
    <div id="sf_admin_footer"></div>
</div>