<?php use_stylesheets_for_form($form) ?>
<?php use_javascripts_for_form($form) ?>
<?php use_helper("Number")?>
<div class="sf_admin_form">
  <?php echo form_tag_for($form, '@commande') ?>
    <input type="hidden" name="id_mail_sujet" value="<?php echo $id_mail_sujet; ?>">
    <?php echo $form->renderHiddenFields(false) ?>

    <?php if ($form->hasGlobalErrors()): ?>
      <?php echo $form->renderGlobalErrors() ?>
    <?php endif; ?>

    <?php foreach ($configuration->getFormFields($form, $form->isNew() ? 'new' : 'edit') as $fieldset => $fields): ?>
      <?php include_partial('commande/form_fieldset', array('commande' => $commande, 'form' => $form, 'fields' => $fields, 'fieldset' => $fieldset, 'commandeArticles' => $commandeArticles)) ?>
    <?php endforeach; ?>
    
    <?php include_partial('commande/form_actions', array('commande' => $commande, 'form' => $form, 'configuration' => $configuration, 'helper' => $helper)) ?>
  </form>
</div>
