<?php if ($field->isPartial()): ?>
  <?php include_partial('commande/'.$name, array('form' => $form, 'attributes' => $attributes instanceof sfOutputEscaper ? $attributes->getRawValue() : $attributes)) ?>
<?php elseif ($field->isComponent()): ?>
  <?php include_component('commande', $name, array('form' => $form, 'attributes' => $attributes instanceof sfOutputEscaper ? $attributes->getRawValue() : $attributes)) ?>
<?php else: ?>
  <div class="<?php echo $class ?><?php $form[$name]->hasError() and print ' errors' ?>">
    <?php echo $form[$name]->renderError() ?>
    <div>
      <?php echo $form[$name]->renderLabel($label) ?>

      <div class="content">
        <?php if($name == "devis_pdf"):?>
        	<div id="fileupload">
			    <!-- <form action="upload.php" method="POST" enctype="multipart/form-data"> -->
			        <div class="fileupload-buttonbar">
			             <!--<label class="fileinput-button">
			                <!-- <span>Add files...</span>  -->
			                <input type="file" name="files[]" multiple>
			            <!-- </label>-->
			            <!-- <button type="submit" class="start">Start upload</button>
			            <button type="reset" class="cancel">Annuler</button>
			            <button type="button" class="delete">Delete files</button>  -->
			        </div>
			    <!-- </form> -->
			    <div class="fileupload-content">
			        <table class="files"></table>
			        <div class="fileupload-progressbar"></div>
			    </div>
			</div>
        <?php else:?>
        	<?php echo $form[$name]->render($attributes instanceof sfOutputEscaper ? $attributes->getRawValue() : $attributes) ?>
        <?php endif?>
      	
      	<?php if($name == "devis_pdf" && $commande->getDevisPdf() != ""):?>
      		<?php $file = explode(".", $commande->getDevisPdf())?>
	    	<a href="<?php echo _compute_public_path("devis/".$commande->getDevisPdf(), $file[1], false)?>" target="_blank">Voir le devis</a>
	    	| <span>Supprimer le devis</span> <?php echo $form["devis_pdf_supprimer"]->render() ?>
		<?php elseif($name == "devis_token" && $commande->getDevisPdf() != ""):?>
			http://www.haute-pression.com/devis/<?php echo $commande->getIdCommande()?>/<?php echo $commande->getDevisToken() ?>.html
      	<?php endif?>
      </div>

      <?php if ($help): ?>
        <div class="help"><?php echo __($help, array(), 'messages') ?></div>
      <?php elseif ($help = $form[$name]->renderHelp()): ?>
        <div class="help"><?php echo $help ?></div>
      <?php endif; ?>
    </div>
  </div>
<?php endif; ?>
