<?php

require_once dirname(__FILE__).'/../lib/fournisseurcoefficientGeneratorConfiguration.class.php';
require_once dirname(__FILE__).'/../lib/fournisseurcoefficientGeneratorHelper.class.php';

/**
 * fournisseurcoefficient actions.
 *
 * @package    sf_sandbox
 * @subpackage fournisseurcoefficient
 * @author     Your name here
 * @version    SVN: $Id: actions.class.php 23810 2009-11-12 11:07:44Z Kris.Wallsmith $
 */
class fournisseurcoefficientActions extends autoFournisseurcoefficientActions
{
    public function executeNew(sfWebRequest $request)
    {
	$id_fournisseur = $request->getGetParameter('id_fournisseur');

	if (is_null($id_fournisseur)) {
	    return $this->redirect404();
	}
	
	$fournisseur = Doctrine::getTable("Fournisseur")->find((integer) $id_fournisseur);

	if (!$fournisseur) {
	    return $this->redirect404();
	}
	
	$this->fournisseur = $fournisseur;
	$this->form = $this->configuration->getForm();
	$this->fournisseurcoefficient = $this->form->getObject();
	$this->form->setDefault('id_fournisseur', $id_fournisseur);
    }
}
