<?php use_helper('I18N', 'Date') ?>
<?php include_partial('nettoyeurhautepression/assets') ?>
<?php 
	$bloc = 0;
	if(isset($nettoyeur))
	{
		foreach ($sites_surveillance as $site)
		{
			$bloc++;
		}
	}
?>
<script type="text/javascript">
var bloc = <?php echo $bloc?>;

function ajouterBloc(){
	var str = '<div id="bloc_'+bloc+'">';
	str += '<fieldset id="sf_fieldset_'+bloc+'">';
	str += '<input type="hidden" name="bloc['+bloc+'][id]" value="" />';
	str += '<div class="sf_admin_form_row">';
	str += '<div>';
	str += '<label class="blocSupprimer"><a style="cursor:pointer;" onclick="if (confirm(\'Etes vous sûr ?\')) { supprimerBloc('+bloc+') };return false;">Supprimer ce site</a></label>';
	str += '<div class="content">';
	str += '&nbsp;';
	str += '</div>';
	str += '</div>';
	str += '</div>';
	str += '<div class="sf_admin_form_row">';
	str += '<div>';
	str += '<label>Nom du site</label>';
	str += '<div class="content">';
	str += '<input type="text" id="'+bloc+'_ordre" name="bloc['+bloc+'][name]" value="" />';
	str += '</div>';
	str += '</div>';
	str += '</div>';
	str += '<div class="sf_admin_form_row">';
	str += '<div>';
	str += '<label>Url</label>';
	str += '<div class="content">';
	str += '<input type="text" id="'+bloc+'_texte" name="bloc['+bloc+'][url]" value="" />';
	str += '</div>';
	str += '</div>';
	str += '</div>';
	str += '<div class="sf_admin_form_row">';
	str += '<div>';
	str += '<label>Texte avant prix</label>';
	str += '<div class="content">';
	str += '<textarea id="'+bloc+'_note" name="bloc['+bloc+'][before]"></textarea>';
	str += '</div>';
	str += '</div>';
	str += '</div>';
	str += '<div class="sf_admin_form_row">';
	str += '<div>';
	str += '<label>Texte après prix</label>';
	str += '<div class="content">';
	str += '<textarea id="'+bloc+'_note" name="bloc['+bloc+'][after]"></textarea>';
	str += '</div>';
	str += '</div>';
	str += '</div>';
	str += '</div>';
	str += '</div>';
	str += '</fieldset>';
	str += '</div>';
	str += '</div>';
	$(str).appendTo($('#liste_site'));
	bloc++;
}

$(document).ready(function(){
	$('#recherche_marque').change(function() {
		$('#loader').show();
	    $('#emplacement_modele').load(
	    	'recupererModele',
	        { id_marque: this.value },
	        function() { $('#loader').hide(); }
	    );
	});
})

function supprimerBloc(id){
	document.getElementById('liste_site').removeChild(document.getElementById('bloc_' + id));
}
</script>
<?php $bloc = 0;?>
<div id="sf_admin_container">
  	<h1><?php echo __('Surveillance des prix pour nettoyeur haute pression', array(), 'messages') ?></h1>
  	<?php include_partial('nettoyeurhautepression/flashes') ?>
	<form method="post" action="<?php echo url_for("watch_nettoyeur")?>">
	  	<div id="sf_admin_header">
	  		<fieldset id="sf_fieldset_recherche">
	  			<div class="sf_admin_form_row">
			    	<div>
			    		<label>Marque</label>
			      		<div class="content">
			      			<select id="recherche_marque" name="recherche_marque">
								<option value="">Choisissez une marque</option>
								<?php foreach($listeMarque as $marque):?>
									<option value="<?php echo $marque->getIdMarque()?>" <?php if($marque->getIdMarque() == $recherche_marque):?>selected="selected"<?php endif;?>><?php echo $marque->getLibelle()?></option>
								<?php endforeach;?>	
							</select>
							<?php echo image_tag("loader.gif", array("id"=>"loader", "style"=>"vertical-align: middle; display: none"))?>
			      		</div>
			    	</div>
			  	</div>
				<div class="sf_admin_form_row">
			    	<div>
			    		<label>Modèle</label>
			      		<div class="content">
			      			<div id="emplacement_modele">
								<select id="recherche_modele" name="recherche_modele">
									<option value="">Choisissez un modèle</option>
									<?php foreach($listeModeles as $modele):?>
										<option value="<?php echo $modele->getPrimaryKey()?>" <?php if($modele->getPrimaryKey() == $recherche_modele):?>selected="selected"<?php endif;?>><?php echo $modele->getModele()?></option>
									<?php endforeach;?>
								</select>
							</div>
			      		</div>
			    	</div>
			  	</div>
			</fieldset>
			<ul class="sf_admin_actions">
				<li class="sf_admin_action_save">
					<input type="submit" id="btnAfficher" name="btnAfficher" value="Afficher">
				</li>
			</ul>
	  	</div>
		<?php if(isset($nettoyeur)):?>
			<div id="sf_admin_content">
				<input type="hidden" name="id_nettoyeur" value="<?php echo $nettoyeur->getIdNettoyeur()?>" />
				<input type="hidden" name="id_marque" value="<?php echo $recherche_marque?>" />
				<input type="hidden" name="id_modele" value="<?php echo $recherche_modele?>" />
				<div id="associationEntete">
					<span class="titre"><?php echo $nettoyeur->getMarque()->getLibelle()?> <?php echo $nettoyeur->getModele()?></span>
					<span class="sousTitre">
						<?php if($nettoyeur->getDebitLitreMin() != ""):?>Débit litre/mn: <?php echo $nettoyeur->getDebitLitreMin()?> <?php endif?>
						<?php if($nettoyeur->getPressionService()):?>Pression: <?php echo $nettoyeur->getPressionService()?> <?php endif?>
						<?php if($nettoyeur->getCalibre()):?>Calibre: <?php echo $nettoyeur->getCalibre()?><?php endif?>
					</span>
					<fieldset>
						<div class="sf_admin_form_row">
					    	<div>
					    		<label>Prix THS</label>
					      		<div class="content">
					      			<input type="text" id="prix_ths" name="prix_ths" value="<?php echo $price?>" /> <input type="submit" id="btnEnregistrerPrix" name="btnEnregistrerPrix" value="Enregistrer">
								</div>
					    	</div>
					  	</div>
					</fieldset>
				</div>
					<h3>Liste des sites web à surveiller</h3>
					<p class="associationAjouter"><a onclick="ajouterBloc()">Ajouter un site à surveiller</a></p>
						<div id="liste_site">
						<?php foreach($sites_surveillance as $site):?>
							<div id="bloc_<?php echo $bloc?>">
								<fieldset id="sf_fieldset_<?php echo $bloc?>">
									<input type="hidden" name="bloc[<?php echo $bloc?>][id]" value="<?php echo $site->getId()?>" />
									<div class="sf_admin_form_row">
								    	<div>
								    		<label class="blocSupprimer"><a style="cursor:pointer;" onclick="if (confirm('Are you sure?')) { supprimerBloc(<?php echo $bloc?>) };return false;">Supprimer ce site</a></label>
								      		<div class="content">
								      			&nbsp;
								      		</div>
								    	</div>
								  	</div>
									<div class="sf_admin_form_row">
								    	<div>
								    		<label>Nom du site</label>
								      		<div class="content">
								      			<input type="text" id="<?php echo $bloc?>_nom" name="bloc[<?php echo $bloc?>][name]" value="<?php echo $site->getName()?>" />
								      		</div>
								    	</div>
								  	</div>
									<div class="sf_admin_form_row">
								    	<div>
								    		<label>Url</label>
								      		<div class="content">
								      			<input type="text" id="<?php echo $bloc?>_url" name="bloc[<?php echo $bloc?>][url]" value="<?php echo $site->getUrl()?>" />
								      		</div>
								    	</div>
								  	</div>
								  	<div class="sf_admin_form_row">
								    	<div>
								    		<label>Texte avant prix</label>
								      		<div class="content">
								      			<textarea id="<?php echo $bloc?>_before" name="bloc[<?php echo $bloc?>][before]"><?php echo str_replace("&", "&amp;", $site->getBeforePrice())?></textarea>
								      		</div>
								    	</div>
								  	</div>
								  	<div class="sf_admin_form_row">
								    	<div>
								    		<label>Texte après prix</label>
								      		<div class="content">
								      			<textarea id="<?php echo $bloc?>_after" name="bloc[<?php echo $bloc?>][after]"><?php echo str_replace("&", "&amp;", $site->getAfterPrice())?></textarea>
								      		</div>
								    	</div>
								  	</div>
								  	<div class="sf_admin_form_row">
								    	<div>
								    		<label>Historique</label>
								      		<div class="content">
								      			<?php if (array_key_exists($site->getId(), $prix_historique)) :?>
									      			<table>
									      				<thead>
										      				<tr>
										      					<th>Date</th>
										      					<th>Prix</th>
										      					<th>Code source</th>
										      				</tr>
									      				</thead>
									      				<tbody  id="articles__<?php echo $bloc?>">
									      					<?php foreach($prix_historique[$site->getId()] as $prix):?>
											      				<tr>
																	<td>
																		<?php echo $prix->getDateTime()?>
																	</td>
																	<td><?php echo $prix->getPrice()?></td>				
																	<td><a href="">Voir le code source</a></td>
																</tr>
										      				<?php endforeach?>
									      				</tbody>
									      			</table>
								      			<?php else:?>
								      				<p>Aucun historique en cours !</p>
								      			<?php endif?>
								      		</div>
								    	</div>
								  	</div>
								</fieldset>
							</div>
							<?php $bloc++?>
						<?php endforeach?>
					</div>
				<ul class="sf_admin_actions">
					<li class="sf_admin_action_save">
						<input type="submit" name="btnEnregistrer" value="Enregistrer" />
					</li>
				</ul>
		  	</div>
		<?php endif?>
	</form>
  	<div id="sf_admin_footer"></div>
</div>