<?php $sf_user->setCulture('fr_FR');?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
  <head>
    <?php include_http_metas() ?>
    <?php include_metas() ?>
    <?php include_title() ?>
    <link rel="shortcut icon" href="/favicon.ico" />
     <link rel="stylesheet" href="http://ajax.googleapis.com/ajax/libs/jqueryui/1.8.16/themes/base/jquery-ui.css" id="theme" />
    <script type="text/javascript" src="//ajax.googleapis.com/ajax/libs/jquery/1.6.4/jquery.min.js"></script>
<script type="text/javascript"  src="//ajax.googleapis.com/ajax/libs/jqueryui/1.8.16/jquery-ui.min.js"></script>
<script type="text/javascript"  src="//ajax.aspnetcdn.com/ajax/jquery.templates/beta1/jquery.tmpl.min.js"></script>
    <?php include_stylesheets() ?>
    <?php include_javascripts() ?>
  </head>
  <body>
	    <div id="menu">
	    	<p>Bienvenue</p>
	    	<ul>
	    		<li>Login : <?php echo $sf_user->getUsername()?></li>
	    		<li><?php echo link_to('Se déconnecter','@sf_guard_signout')?></li>
	    	</ul>
	    	<p><?php echo link_to('Accueil','@homepage')?></p>
	    	<?php if($sf_user->hasCredential('Administrateur')):?>
				<p>Support</p>
				<ul>
					<li><?php echo link_to('Liste des mails','@mail_sujet')?></li>
				</ul>
				<p>Article</p>
				<ul>
					<li><?php echo link_to('Gestion des articles','@article')?></li>
					<li><?php echo link_to('Gestion des fournisseurs','@fournisseur')?></li>
					<li><?php echo link_to('Gestion des pompes','@pompe')?></li>
					<li><?php echo link_to('Gestion des nomenclatures','@nomenclature')?></li>
					<li><?php echo link_to('Gestion des nettoyeurs haute pression','@nettoyeur_haute_pression')?></li>
					<li><?php echo link_to('Gestion des associations article / nettoyeur','@association_article_nettoyeur')?></li>
					<li><?php echo link_to('Gestion des associations nomenclature / nettoyeur','@association_nomenclature_nettoyeur')?></li>
					<li><?php echo link_to('Récapitulatif des associations article / nettoyeur','@recapitulatif_association')?></li>
					<li><?php echo link_to('Surveillance des prix pour nettoyeurs','@watch_nettoyeur')?></li>
					<li><?php echo link_to('Gestion des familles','@famille')?></li>
					<li><?php echo link_to('Gestion des marques','@marque')?></li>
					<li><?php echo link_to('Gestion des pages','@page')?></li>
				</ul>
				<p>Frais de port</p>
				<ul>
					<li><?php echo link_to('Gestion des frais de port','@transporteur_fraisdeport')?></li>
					<li><?php echo link_to('Gestion des poids','@poids')?></li>
					<li><?php echo link_to('Calcul des frais de ports','@fraisdeport_calcul')?></li>
				</ul>
				<p>Autres</p>
				<ul>
					<li><?php echo link_to('Gestion des taux TVA','@taux_tva')?></li>
					<li><?php echo link_to('Gestion du menu','@menu')?></li>
					<li><?php echo link_to('Gestion des mails','@mail')?></li>
				</ul>
				<p>Commandes</p>
				<ul>
					<li><?php echo link_to('Gestion des clients','@client')?></li>
					<li><?php echo link_to('Gestion des commandes','@commande')?></li>
					<li><?php echo link_to('Gestion des citères d\'envoi','@critere_envoi')?></li>
				</ul>
				<p>Espace Pro</p>
				<ul>
					<li><?php echo link_to('Gestion des mailing pro','@mailing_pro')?></li>
				</ul>
				<p>Utilisateurs</p>
				<ul>
					<li><?php echo link_to('Gestion des utilisateurs','@sf_guard_user')?></li>
					<li><?php echo link_to('Gestion des groupes','@sf_guard_group')?></li>
					<li><?php echo link_to('Gestion des permissions','@sf_guard_permission')?></li>
				</ul>
				<p><?php echo link_to('Configuration', '@configuration')?></p>
				<p>Sauvegarde</p>
				<ul>
					<li><?php echo link_to('Lancer une sauvegarde','@backup_execute')?></li>
					<li><?php echo link_to('Configuration','@backup_configuration')?></li>
					<li><?php echo link_to('Liste des sauvegardes','@backup')?></li>
				</ul>
			<?php elseif($sf_user->hasCredential('Commercial') || $sf_user->hasCredential('GestionClient')):?>
				<?php if ($sf_user->hasCredential('Commercial')): ?>
					<p><?php echo link_to('Rechercher un article','@article')?></p>
					<p>Support</p>
					<ul>
						<li><?php echo link_to('Mes mails','@mes_mails')?></li>
					</ul>
					<p>Frais de port</p>
					<ul>
						<li><?php echo link_to('Calcul des frais de ports','@fraisdeport_calcul')?></li>
					</ul>
				<?php endif; ?>
				<p>Commandes</p>
				<ul>
					<?php if ($sf_user->hasCredential('Commercial')): ?><li><?php echo link_to('Gestion des commandes','@commande')?></li><?php endif; ?>
					<?php if ($sf_user->hasCredential('GestionClient')): ?><li><?php echo link_to('Gestion des clients','@client')?></li><?php endif; ?>
				</ul>
			<?php endif?>
	    </div>
    <div id="backendContent">
      <?php echo $sf_content ?>
    </div>
  </body>
</html>
