<?php use_helper('I18N') ?>
<div id="panier">
	<div id="panierEntete">
		<p>Mon panier</p>
		<ul>
			<li><?php echo link_to("1 - Calcul du panier", "@panier")?></li>
			<li class="selected">2 - Coordonnées</li>
			<li>3 - Récapitulatif</li>
			<li>4 - Paiement</li>
		</ul>
	</div>
	<div style="clear: both;"></div>
	<?php echo get_partial('sfGuardAuth/coordonnees_signin_form_panier', array('userForm' => $userForm)) ?>
	<?php echo form_tag('@panier_coordonnees') ?>
		<?php echo $form['_csrf_token']->render()?>
		<?php echo $form['id']->render()?>
		<table id="coordoneesPanier">
			<tr class="coordoneesPanierTr">
				<td class="coordoneesPanierTd"><span class="entete">Adresse de facturation</span></td>
				<td class="coordoneesPanierTdGreen"><span class="entete">Adresse de livraison</span></td>
			</tr>
			<tr class="coordoneesPanierTr">
				<td class="coordoneesPanierTd">
					<table>
						<tr>
							<td class="libelle">Vous êtes</td>
							<td><?php echo $form['type']->render()?></td>
						</tr>
						<tr>
							<td class="libelle">Civilité</td>
							<td><?php echo $form['civilite']->render()?></td>
						</tr>
						<tr>
							<td></td>
							<td><?php echo $form['civilite']->renderError()?></td>
						</tr>
						<tr>
							<td class="libelle">Raison sociale</td>
							<td><?php echo $form['raison_sociale']->render()?></td>
						</tr>
						<tr>
							<td></td>
							<td><?php echo $form['raison_sociale']->renderError()?></td>
						</tr>
						<tr>
							<td class="libelle">Nom</td>
							<td>
								<?php echo $form['nom']->render()?>
							</td>
						</tr>
						<tr>
							<td></td>
							<td><?php echo $form['nom']->renderError()?></td>
						</tr>
						<tr>
							<td class="libelle">Prénom</td>
							<td><?php echo $form['prenom']->render()?></td>
						</tr>
						<tr>
							<td></td>
							<td><?php echo $form['prenom']->renderError()?></td>
						</tr>
						<tr>
							<td class="libelle">Adresse</td>
							<td><?php echo $form['adresse']->render()?></td>
						</tr>
						<tr>
							<td class="libelle">Complément d'adresse</td>
							<td><?php echo $form['adresse_complement']->render()?></td>
						</tr>
						<tr>
							<td></td>
							<td><?php echo $form['adresse']->renderError()?></td>
						</tr>
						<tr>
							<td class="libelle">Code postal</td>
							<td><?php echo $form['code_postal']->render()?></td>
						</tr>
						<tr>
							<td></td>
							<td><?php echo $form['code_postal']->renderError()?></td>
						</tr>
						<tr>
							<td class="libelle">Ville</td>
							<td><?php echo $form['ville']->render()?></td>
						</tr>
						<tr>
							<td></td>
							<td><?php echo $form['ville']->renderError()?></td>
						</tr>
						<tr>
							<td class="libelle">Pays</td>
							<td><?php echo $form['pays']->render()?></td>
						</tr>
						<tr>
							<td></td>
							<td><?php echo $form['pays']->renderError()?></td>
						</tr>
						<tr>
							<td class="libelle">Téléphone</td>
							<td><?php echo $form['telephone']->render()?></td>
						</tr>
						<tr>
							<td></td>
							<td><?php echo $form['telephone']->renderError()?></td>
						</tr>
						<tr>
							<td class="libelle">Fax</td>
							<td><?php echo $form['fax']->render()?></td>
						</tr>
						<tr>
							<td></td>
							<td><?php echo $form['fax']->renderError()?></td>
						</tr>
						<tr>
							<td class="libelle">E-mail</td>
							<td>
								<?php if($sf_user->isAuthenticated()):?>
									<?php echo $form['email_address']->render(array("readonly" => "readonly"))?>
								<?php else:?>
									<?php echo $form['email_address']->render()?>
								<?php endif?>
							</td>
						</tr>
						<tr>
							<td></td>
							<td><?php echo $form['email_address']->renderError()?></td>
						</tr>
						<tr>
							<td class="libelle">Confirmation E-mail</td>
							<td>
								<?php if($sf_user->isAuthenticated()):?>
									<?php echo $form['email_confirmation']->render(array("readonly" => "readonly"))?>
								<?php else:?>
									<?php echo $form['email_confirmation']->render()?>
								<?php endif?>
							</td>
						</tr>
						<tr>
							<td></td>
							<td><?php echo $form['email_confirmation']->renderError()?></td>
						</tr>
						
						<?php if(!$sf_user->isAuthenticated()):?>
							<tr>
								<td class="libelle">Mot de passe</td>
								<td>
									<?php echo $form['password']->render()?>
								</td>
							</tr>
							<tr>
								<td></td>
								<td><?php echo $form['password']->renderError()?></td>
							</tr>
							<tr>
								<td class="libelle">Confirmation du mot de passe</td>
								<td>
									<?php echo $form['password_confirmation']->render()?>
								</td>
							</tr>
							<tr>
								<td></td>
								<td><?php echo $form['password_confirmation']->renderError()?></td>
							</tr>
						<?php endif; ?>
					</table>
				</td>
				<td class="coordoneesPanierTdGreen">
					<table>
						<tr>
						    <td><input id="livraison_identique" type="checkbox"> Adresse de livraison identique</td>
						</tr>
						<tr>
							<td><?php echo $form['livraison_civilite']->render()?></td>
						</tr>
						<tr>
							<td><?php echo $form['livraison_civilite']->renderError()?></td>
						</tr>
						<tr>
							<td><?php echo $form['livraison_raison_sociale']->render()?></td>
						</tr>
						<tr>
							<td><?php echo $form['livraison_raison_sociale']->renderError()?></td>
						</tr>
						<tr>
							<td><?php echo $form['livraison_nom']->render()?></td>
						</tr>
						<tr>
							<td><?php echo $form['livraison_nom']->renderError()?></td>
						</tr>
						<tr>
							<td><?php echo $form['livraison_prenom']->render()?></td>
						</tr>
						<tr>
							<td><?php echo $form['livraison_prenom']->renderError()?></td>
						</tr>
						<tr>
							<td><?php echo $form['livraison_adresse']->render()?></td>
						</tr>
						<tr>
							<td><?php echo $form['livraison_adresse_complement']->render()?></td>
						</tr>
						<tr>
							<td><?php echo $form['livraison_adresse']->renderError()?></td>
						</tr>
						<tr>
							<td><?php echo $form['livraison_code_postal']->render()?></td>
						</tr>
						<tr>
							<td><?php echo $form['livraison_code_postal']->renderError()?></td>
						</tr>
						<tr>
							<td><?php echo $form['livraison_ville']->render()?></td>
						</tr>
						<tr>
							<td><?php echo $form['livraison_ville']->renderError()?></td>
						</tr>
						<tr>
							<td><?php echo $form['livraison_pays']->render()?></td>
						</tr>
						<tr>
							<td><?php echo $form['livraison_pays']->renderError()?></td>
						</tr>
						<tr>
							<td><?php echo $form['livraison_telephone']->render()?></td>
						</tr>
						<tr>
							<td><?php echo $form['livraison_telephone']->renderError()?></td>
						</tr>
						<tr>
							<td><?php echo $form['livraison_fax']->render()?></td>
						</tr>
						<tr>
							<td><?php echo $form['livraison_fax']->renderError()?></td>
						</tr>
						<tr>
							<td>
								<p>Note sur la livraison :</p>
								<?php echo $form['livraison_note']->render()?>
							</td>
						</tr>
					</table>
				</td>
			</tr>
		</table>
                <p class="boutonValider"><input type="submit" value="Valider les coordonnées" class="btn-panier-action"/></p>
	</form>
</div>
<script>
    $(document).ready(function() {
	$('#livraison_identique').click(function() {
	    if ($(this).is(':checked')) {
		$('#coordonnees_livraison_civilite')
			.attr("disabled", "disabled")
			.val("")
			.css("background-color", "#E4CACA");
		$('#coordonnees_livraison_raison_sociale')
			.attr("disabled", "disabled")
			.val("")
			.css("background-color", "#E4CACA");
		$('#coordonnees_livraison_nom')
			.attr("disabled", "disabled")
			.val("")
			.css("background-color", "#E4CACA");
		$('#coordonnees_livraison_prenom')
			.attr("disabled", "disabled")
			.val("")
			.css("background-color", "#E4CACA");
		$('#coordonnees_livraison_adresse')
			.attr("disabled", "disabled")
			.val("")
			.css("background-color", "#E4CACA");
		$('#coordonnees_livraison_adresse_complement')
			.attr("disabled", "disabled")
			.val("")
			.css("background-color", "#E4CACA");
		$('#coordonnees_livraison_code_postal')
			.attr("disabled", "disabled")
			.val("")
			.css("background-color", "#E4CACA");
		$('#coordonnees_livraison_ville')
			.attr("disabled", "disabled")
			.val("")
			.css("background-color", "#E4CACA");
		$('#coordonnees_livraison_telephone')
			.attr("disabled", "disabled")
			.val("")
			.css("background-color", "#E4CACA");
		$('#coordonnees_livraison_fax')
			.attr("disabled", "disabled")
			.val("")
			.css("background-color", "#E4CACA");
	    } else {
		$('#coordonnees_livraison_civilite')
			.removeAttr("disabled")
			.css("background-color", "#FFF");
		$('#coordonnees_livraison_raison_sociale')
			.removeAttr("disabled")
			.css("background-color", "#FFF");
		$('#coordonnees_livraison_nom')
			.removeAttr("disabled")
			.css("background-color", "#FFF");
		$('#coordonnees_livraison_prenom')
			.removeAttr("disabled")
			.css("background-color", "#FFF");
		$('#coordonnees_livraison_adresse')
			.removeAttr("disabled")
			.css("background-color", "#FFF");
		$('#coordonnees_livraison_adresse_complement')
			.removeAttr("disabled")
			.css("background-color", "#FFF");
		$('#coordonnees_livraison_code_postal')
			.removeAttr("disabled")
			.css("background-color", "#FFF");
		$('#coordonnees_livraison_ville')
			.removeAttr("disabled")
			.css("background-color", "#FFF");
		$('#coordonnees_livraison_telephone')
			.removeAttr("disabled")
			.css("background-color", "#FFF");
		$('#coordonnees_livraison_fax')
			.removeAttr("disabled")
			.css("background-color", "#FFF");
	    }
	});
	
        $('#coordonnees_type').change(function() {
            if ($(this).val() == 'Société') {
		civilite = "<option></option>";
		civilite += "<option value='Société'<?php if ($client->getCivilite() == 'Société'): ?> selected='selected'<?php endif; ?>>Autre</option>";
		civilite += "<option value='EARL'<?php if ($client->getCivilite() == 'EARL'): ?> selected='selected'<?php endif; ?>>EARL</option>";
		civilite += "<option value='EURL'<?php if ($client->getCivilite() == 'EURL'): ?> selected='selected'<?php endif; ?>>EURL</option>";
		civilite += "<option value='GAEC'<?php if ($client->getCivilite() == 'GAEC'): ?> selected='selected'<?php endif; ?>>GAEC</option>";
		civilite += "<option value='SARL'<?php if ($client->getCivilite() == 'SARL'): ?> selected='selected'<?php endif; ?>>SARL</option>";
		civilite += "<option value='SA'<?php if ($client->getCivilite() == 'SA'): ?> selected='selected'<?php endif; ?>>SA</option>";
		civilite += "<option value='SAS'<?php if ($client->getCivilite() == 'SAS'): ?> selected='selected'<?php endif; ?>>SAS</option>";
		civilite += "<option value='SC'<?php if ($client->getCivilite() == 'SC'): ?> selected='selected'<?php endif; ?>>SC</option>";
		civilite += "<option value='SCA'<?php if ($client->getCivilite() == 'SCA'): ?> selected='selected'<?php endif; ?>>SCA</option>";
		civilite += "<option value='SCI'<?php if ($client->getCivilite() == 'SCI'): ?> selected='selected'<?php endif; ?>>SCI</option>";
		civilite += "<option value='SCOP'<?php if ($client->getCivilite() == 'SCOP'): ?> selected='selected'<?php endif; ?>>SCOP</option>";
		civilite += "<option value='SCP'<?php if ($client->getCivilite() == 'SCP'): ?> selected='selected'<?php endif; ?>>SCP</option>";
		civilite += "<option value='SICA'<?php if ($client->getCivilite() == 'SICA'): ?> selected='selected'<?php endif; ?>>SICA</option>";
		civilite += "<option value='SNC'<?php if ($client->getCivilite() == 'SNC'): ?> selected='selected'<?php endif; ?>>SNC</option>";
                $('#coordonnees_raison_sociale')
			.removeAttr('disabled')
			.css("background-color", "");
		$('#coordonnees_nom')
			.attr("disabled", "disabled")
			.val("")
			.css("background-color", "#E4CACA");
		$('#coordonnees_prenom')
			.attr("disabled", "disabled")
			.val("")
			.css("background-color", "#E4CACA");
		
		if (!$('#livraison_identique').is(':checked')) {
		    $('#coordonnees_livraison_raison_sociale')
			    .removeAttr('disabled')
			    .css("background-color", "");
		    $('#coordonnees_livraison_nom')
			    .attr("disabled", "disabled")
			    .val("")
			    .css("background-color", "#E4CACA");
		    $('#coordonnees_livraison_prenom')
			    .attr("disabled", "disabled")
			    .val("")
			    .css("background-color", "#E4CACA");
		}
	} else {
		civilite = "<option></option>";
		civilite += "<option value='Mr'<?php if ($client->getCivilite() == 'Mr'): ?> selected='selected'<?php endif; ?>>Mr</option>";
		civilite += "<option value='Mme'<?php if ($client->getCivilite() == 'Mme'): ?> selected='selected'<?php endif; ?>>Mme</option>";
                $('#coordonnees_raison_sociale')
			.attr('disabled', 'disabled')
			.val("")
			.css("background-color", "#E4CACA");
		$('#coordonnees_nom')
			.removeAttr("disabled")
			.css("background-color", "");
		$('#coordonnees_prenom')
			.removeAttr("disabled")
			.css("background-color", "");
		
		if (!$('#livraison_identique').is(':checked')) {
		    $('#coordonnees_livraison_raison_sociale')
			    .attr('disabled', 'disabled')
			    .val("")
			    .css("background-color", "#E4CACA");
		    $('#coordonnees_livraison_nom')
			    .removeAttr("disabled")
			    .css("background-color", "");
		    $('#coordonnees_livraison_prenom')
			    .removeAttr("disabled")
			    .css("background-color", "");
		}
	}
	    
	$('#coordonnees_civilite').html(civilite);
	$('#coordonnees_livraison_civilite').html(civilite);
        });
	$('#coordonnees_type').change();
	<?php if ($livraisonIdentique): ?>
	$('#livraison_identique').prop( "checked", true ).click().prop( "checked", true );
	<?php endif; ?>
    });
</script>