﻿<div id="pompe">
	<h1><?php echo $pompe->getBaliseTitle()?></h1>
	<table class="tableImage">
		<tr>
			<td class="image">
				<?php 
					if($pompe->getPhoto_1() != "")
					{
						$info = getimagesize(image_path("pompes/".$pompe->getPhoto_1(), true));
						$url = "pompes/".$pompe->getPhoto_1();
					}
					else
					{ 
						$info[0] = 400;
						$info[1] = 300;
						$url = "image_nhp_defaut.jpg";
					}

					if($info[0] > 400)
					{
						$info[1] = ceil($info[1] * 100 * 400 / $info[0] / 100);
						$info[0] = 400;
					}
					if($info[1] > 300)
					{
						$info[0] = ceil($info[0] * 100 * 300 / $info[1] / 100);
						$info[1] = 300;
					}
					echo image_tag($url, array("title" => __('Pompe')." ".$pompe->getMarque()->getLibelle()." ".$pompe->getModele(), "alt" => __('Pompe')." ".$pompe->getMarque()->getLibelle()." ".$pompe->getModele(), "width"=> $info[0], "height"=> $info[1]));
				?>
			</td>
			<td class="tablePdf">
				<?php if($pompe->getEclateTechnique() != "" || $pompe->getDocTechnique() != "" || $pompe->getDocCommercial() != ""):?>
					<table>
						<?php if($pompe->getEclateTechnique() != ""):?>
							<tr>
								<td class="textePdf"><?php echo __('Voir éclaté technique')?></td>
								<td class="imagePdf"><a href="<?php echo _compute_public_path("2/1/".$pompe->getEclateTechnique(),"pdf", false)?>" target="_blank"><?php echo image_tag("pdf1.jpg")?></a></td>
							</tr>
						<?php endif ?>
						<?php if($pompe->getDocTechnique() != ""):?>
							<tr>
								<td class="textePdf"><?php echo __('Voir documentation<br />technique')?></td>
								<td class="imagePdf"><a href="<?php echo _compute_public_path("2/2/".$pompe->getDocTechnique(),"pdf", false)?>" target="_blank"><?php echo image_tag("pdf1.jpg")?></a></td>
							</tr>
						<?php endif ?>
						<?php if($pompe->getDocCommercial() != ""):?>
							<tr>
								<td class="textePdf"><?php echo __('Voir documentation<br />commerciale')?></td>
								<td class="imagePdf"><a href="<?php echo _compute_public_path("2/3/".$pompe->getDocCommercial(),"pdf", false)?>" target="_blank"><?php echo image_tag("pdf1.jpg")?></a></td>
							</tr>
						<?php endif ?>
					</table>
				<?php endif ?>
			</td>
		</tr>
	</table>
	<?php 
		$filename = sfConfig::get("app_page_html_pompe").$pompe->getIdPompe().".html";
		if(file_exists($filename))
		{
			$description = file_get_contents($filename);
		}
		else
		{
			$description = html_entity_decode($pompe->getDescription());
		}
		echo $description;
	?>
</div>