<?php 
    use_helper("Number");
    // On récupère le menu
    $menus = MenuTable::recupererListeMenu();

    if ($sf_user->hasFlash('minimumCommande')) {
	    $minimumCommande = $sf_user->getFlash('minimumCommande');
    }
	
    // On récupère le menu de gauche
    $menuGauche = Doctrine_Core::getTable("Page")->find(sfConfig::get("app_menu_gauche"));
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo sfConfig::get("app_langue") ?>" lang="<?php echo sfConfig::get("app_langue") ?>">
  <head>
    <meta name="google-site-verification" content="<?php echo sfConfig::get("app_google_site_verification") ?>" />
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <?php include_title() ?>
    <?php include_metas() ?>
    <link rel="shortcut icon" href="/favicon.ico" />
    <?php include_stylesheets() ?>
    <link rel="stylesheet" type="text/css" media="print" href="/css/print.min.css" />
    <?php include_javascripts() ?>
  </head>
  <body>
  	<table id="site" border="1" cellspacing="0">
  		<tr>
  			<td id="entete" class="td_template" colspan="2">
  				<div id="connexion">
  					<?php if($sf_user->isAuthenticated()):?>
  						<p><?php echo __("Bienvenue")?> <?php echo $sf_user->getAttribute("nom", "", "sfGuardSecurityUser")?> <?php echo $sf_user->getAttribute("prenom", "", "sfGuardSecurityUser")?></p>
  						<ul style="margin-left: 10px;">
  							<li><?php echo link_to(__("Accéder à l'espace membre"), "@client")?></li>
  							<li><?php echo link_to(__("Se déconnecter"), "@sf_guard_signout")?></li>
  						</ul>
  					<?php else:?>
		  				<p><?php echo __("Votre compte")?></p>
		  				<form action="<?php echo url_for('@sf_guard_signin') ?>" method="post">
			  				<table>
			  					<tr>
			  						<td><?php echo __("Email")?></td>
			  						<td><input type="text" name="signin[username]" /></td>
			  						<td><?php echo __("Code secret")?></td>
			  						<td><input type="password" name="signin[password]" /></td>
			  						<td><input type="submit" value="<?php echo __("Se connecter")?>" /></td>
			  					</tr>
			  				</table>
			  			</form>
		  				<p><?php echo __("Mot de passe oublié,")?> <?php echo link_to(__("cliquez ici"), "@sf_guard_forgot_password")?></p>
  					<?php endif?>
					<p class="panier"><?php echo link_to(__("Mon panier"), "@panier")?></p>
  				</div>
  			</td>
  		</tr>
  		<tr>
  			<td id="sous_entete" class="td_template" colspan="2">
  				<?php echo image_tag("30ans.gif")?>
				<a href="<?php echo url_for("@homepage"); ?>"><i class="sprite sprite-menu sprite-accueil"></i></a>
  				<a href="<?php echo url_for("@url_page_notre_entreprise"); ?>"><i class="sprite sprite-menu sprite-lentreprise"></i></a>
  				<a href="<?php echo url_for("@url_page_cgv"); ?>"><i class="sprite sprite-menu sprite-cgv"></i></a>
  				<a href="<?php echo url_for("@contact"); ?>"><i class="sprite sprite-menu sprite-nouscontacter"></i></a>
  				<a href="<?php echo url_for("@url_page_sav"); ?>"><i class="sprite sprite-menu sprite-sav"></i></a>
  			</td>
  		</tr>
  		<tr>
  			<td id="menu" class="td_template" colspan="2">
  				<?php $left = 0; $nb_menu = sizeof($menus); $i = 1;?>
  				<?php foreach($menus as $menu):?>
  					<div class="menu_item<?php if($i == $nb_menu){ echo '_last'; }?>" style="width:<?php echo $menu->getLargeur()?>px;" onmouseover="document.getElementById('menu<?php echo $menu->getIdMenu()?>').style.display = 'block';" onmouseout="document.getElementById('menu<?php echo $menu->getIdMenu()?>').style.display = 'none';"><?php echo $menu->getLibelle()?></div>
  					<?php $i++?>
  				<?php endforeach;?>
  				<div style="clear:both"></div>
  				<?php foreach($menus as $menu):?>
  					<div class="sous_menu_item" id="menu<?php echo $menu->getIdMenu()?>" style="margin-left:<?php echo $left?>px;width:<?php echo ($menu->getLargeur()- 5 - 2)?>px;" onmouseover="this.style.display = 'block';" onmouseout="this.style.display = 'none';">
  						<?php $sousMenus = $menu->getSousMenusOrdonnee()?>
  						<?php foreach($sousMenus as $sousMenu):?>
  							<a href="<?php echo str_replace("http://www.haute-pression.com/", sfConfig::get("app_url_site_web"), $sousMenu->getUrl())?>"><?php echo $sousMenu->getLibelle()?></a><br />
  						<?php endforeach;?>
  					</div>
  					<?php $left += $menu->getLargeur()?>
  				<?php endforeach;?>
  			</td>
  		</tr>
  		<tr>
                    <td id="fil_ariane" class="td_template" colspan="2"><?php //echo generate_breadcrumb($sf_user->getFlash('breadcrumb')) ?></td>
  		</tr>
  		<tr>
  			<td id="menu_gauche" class="td_template">
  				<?php if($sf_user->getFlash('nombre_articles') > 0):?>
  					<div id="petit_panier">
  						<div class="petit_panier_header">
  							<p class="titre"><?php echo __("Panier")?></p>
  							<p class="nombre_article"><?php echo $sf_user->getFlash('nombre_total_articles')?> <?php echo __("article(s)")?></p>
  						</div>
  						<table>
  							<tr>
  								<td><?php echo __("Produits HT")?></td>
  								<td class="prix"><?php echo format_currency($sf_user->getFlash('totalProduitsHT'))?><?php echo __("€")?></td>
  							</tr>
  							<tr class="espace">
  								<td></td>
  								<td></td>
  							</tr>
  							<tr>
  								<td><?php echo __("Total Produits HT")?></td>
  								<td class="prix"><?php echo format_currency($sf_user->getFlash('totalHT'))?><?php echo __("€")?></td>
  							</tr>
  							<tr>
  								<td><?php echo __("TVA 19,6%")?></td>
  								<td class="prix"><?php echo format_currency($sf_user->getFlash('totalTVA'))?><?php echo __("€")?></td>
  							</tr>
  							<tr class="espace">
  								<td></td>
  								<td></td>
  							</tr>
  							<tr>
  								<td><?php echo __("Total Produits TTC")?></td>
  								<td class="prix"><?php echo format_currency($sf_user->getFlash('totalTTC'))?><?php echo __("€")?></td>
  							</tr>
  							<?php if($sf_user->getFlash('totalTTC') < $sf_user->getFlash('minimumCommande')):?>
  							<tr class="espace">
  								<td></td>
  								<td></td>
  							</tr>
  							<tr>
  								<td colspan="2" id="commande_minimum"><?php echo __("Commande minimum de %prix%€", array("%prix%"=>$sf_user->getFlash('minimumCommande')))?></td>
  							</tr>
  							<?php endif?>
  						</table>
  						<div class="petit_panier_footer"><?php if($sf_user->getFlash('totalTTC') >= $sf_user->getFlash('minimumCommande')):?><?php echo link_to(__("Voir mon panier"), "@panier")?><?php endif?></div>
  					</div>
  				<?php endif ?>
  				<?php echo html_entity_decode($menuGauche->getDescription())?>
  			</td>
  			<td id="content" class="td_template"><?php echo $sf_content ?></td>
  		</tr>
  	</table>
	<script>
	  var _gaq = _gaq || [];
	  _gaq.push(['_setAccount', '<?php echo sfConfig::get("app_google_analytics") ?>']);
	  _gaq.push(['_trackPageview']);

	  (function() {
	    var ga = document.createElement('script'); ga.type = 'text/javascript'; ga.async = true;
	    ga.src = ('https:' == document.location.protocol ? 'https://ssl' : 'http://www') + '.google-analytics.com/ga.js';
	    var s = document.getElementsByTagName('script')[0]; s.parentNode.insertBefore(ga, s);
	  })();
	  
	  $(document).ready(function() {
		  $('#sous_entete .sprite-accueil').mouseover(function() {
			  $(this).removeClass('sprite-accueil');
			  $(this).addClass('sprite-accueil_bleu');
			$('#sous_entete .sprite-accueil_bleu').mouseout(function() {
				$(this).removeClass('sprite-accueil_bleu');
				$(this).addClass('sprite-accueil');
			});
		  });
		  $('#sous_entete .sprite-lentreprise').mouseover(function() {
			  $(this).removeClass('sprite-lentreprise');
			  $(this).addClass('sprite-lentreprise_bleu');
			$('#sous_entete .sprite-lentreprise_bleu').mouseout(function() {
				$(this).removeClass('sprite-lentreprise_bleu');
				$(this).addClass('sprite-lentreprise');
			});
		  });
		  $('#sous_entete .sprite-nouscontacter').mouseover(function() {
			  $(this).removeClass('sprite-nouscontacter');
			  $(this).addClass('sprite-nouscontacter_bleu');
			$('#sous_entete .sprite-nouscontacter_bleu').mouseout(function() {
				$(this).removeClass('sprite-nouscontacter_bleu');
				$(this).addClass('sprite-nouscontacter');
			});
		  });
		  $('#sous_entete .sprite-sav').mouseover(function() {
			  $(this).removeClass('sprite-sav');
			  $(this).addClass('sprite-sav_bleu');
			$('#sous_entete .sprite-sav_bleu').mouseout(function() {
				$(this).removeClass('sprite-sav_bleu');
				$(this).addClass('sprite-sav');
			});
		  });
		  $('#sous_entete .sprite-cgv').mouseover(function() {
			  $(this).removeClass('sprite-cgv');
			  $(this).addClass('sprite-cgv_bleu');
			$('#sous_entete .sprite-cgv_bleu').mouseout(function() {
				$(this).removeClass('sprite-cgv_bleu');
				$(this).addClass('sprite-cgv');
			});
		  });
	  });
	</script>
  </body>
</html>