<?php

/**
 * critereEnvoi module configuration.
 *
 * @package    ##PROJECT_NAME##
 * @subpackage critereEnvoi
 * @author     ##AUTHOR_NAME##
 * @version    SVN: $Id: configuration.php 24171 2009-11-19 16:37:50Z Kris.Wallsmith $
 */
abstract class BaseCritereEnvoiGeneratorConfiguration extends sfModelGeneratorConfiguration
{
  public function getActionsDefault()
  {
    return array();
  }

  public function getFormActions()
  {
    return array(  '_delete' => NULL,  '_list' => NULL,  '_save' => NULL,  '_save_and_add' => NULL,);
  }

  public function getNewActions()
  {
    return array();
  }

  public function getEditActions()
  {
    return array();
  }

  public function getListObjectActions()
  {
    return array(  '_edit' => NULL,  '_delete' => NULL,);
  }

  public function getListActions()
  {
    return array(  '_new' => NULL,);
  }

  public function getListBatchActions()
  {
    return array(  '_delete' => NULL,);
  }

  public function getListParams()
  {
    return '%%id_critere_envoi%% - %%type%% - %%numero_commande%% - %%numero_commande_signe%% - %%nombre_article%% - %%nombre_article_signe%% - %%total_commande%% - %%total_commande_signe%% - %%reference_ths%%';
  }

  public function getListLayout()
  {
    return 'tabular';
  }

  public function getListTitle()
  {
    return 'Liste des critères';
  }

  public function getEditTitle()
  {
    return 'Edition du critère';
  }

  public function getNewTitle()
  {
    return 'Nouveau critère';
  }

  public function getFilterDisplay()
  {
    return array();
  }

  public function getFormDisplay()
  {
    return array();
  }

  public function getEditDisplay()
  {
    return array();
  }

  public function getNewDisplay()
  {
    return array();
  }

  public function getListDisplay()
  {
    return array(  0 => 'id_critere_envoi',  1 => 'type',  2 => 'numero_commande',  3 => 'numero_commande_signe',  4 => 'nombre_article',  5 => 'nombre_article_signe',  6 => 'total_commande',  7 => 'total_commande_signe',  8 => 'reference_ths',);
  }

  public function getFieldsDefault()
  {
    return array(
      'id_critere_envoi' => array(  'is_link' => true,  'is_real' => true,  'is_partial' => false,  'is_component' => false,  'type' => 'Text',),
      'type' => array(  'is_link' => false,  'is_real' => true,  'is_partial' => false,  'is_component' => false,  'type' => 'Text',),
      'numero_commande' => array(  'is_link' => false,  'is_real' => true,  'is_partial' => false,  'is_component' => false,  'type' => 'Text',),
      'numero_commande_signe' => array(  'is_link' => false,  'is_real' => true,  'is_partial' => false,  'is_component' => false,  'type' => 'Text',),
      'nombre_article' => array(  'is_link' => false,  'is_real' => true,  'is_partial' => false,  'is_component' => false,  'type' => 'Text',),
      'nombre_article_signe' => array(  'is_link' => false,  'is_real' => true,  'is_partial' => false,  'is_component' => false,  'type' => 'Text',),
      'total_commande' => array(  'is_link' => false,  'is_real' => true,  'is_partial' => false,  'is_component' => false,  'type' => 'Text',),
      'total_commande_signe' => array(  'is_link' => false,  'is_real' => true,  'is_partial' => false,  'is_component' => false,  'type' => 'Text',),
      'reference_ths' => array(  'is_link' => false,  'is_real' => true,  'is_partial' => false,  'is_component' => false,  'type' => 'Text',),
    );
  }

  public function getFieldsList()
  {
    return array(
      'id_critere_envoi' => array(),
      'type' => array(),
      'numero_commande' => array(),
      'numero_commande_signe' => array(),
      'nombre_article' => array(),
      'nombre_article_signe' => array(),
      'total_commande' => array(),
      'total_commande_signe' => array(),
      'reference_ths' => array(),
    );
  }

  public function getFieldsFilter()
  {
    return array(
      'id_critere_envoi' => array(),
      'type' => array(),
      'numero_commande' => array(),
      'numero_commande_signe' => array(),
      'nombre_article' => array(),
      'nombre_article_signe' => array(),
      'total_commande' => array(),
      'total_commande_signe' => array(),
      'reference_ths' => array(),
    );
  }

  public function getFieldsForm()
  {
    return array(
      'id_critere_envoi' => array(),
      'type' => array(),
      'numero_commande' => array(),
      'numero_commande_signe' => array(),
      'nombre_article' => array(),
      'nombre_article_signe' => array(),
      'total_commande' => array(),
      'total_commande_signe' => array(),
      'reference_ths' => array(),
    );
  }

  public function getFieldsEdit()
  {
    return array(
      'id_critere_envoi' => array(),
      'type' => array(),
      'numero_commande' => array(),
      'numero_commande_signe' => array(),
      'nombre_article' => array(),
      'nombre_article_signe' => array(),
      'total_commande' => array(),
      'total_commande_signe' => array(),
      'reference_ths' => array(),
    );
  }

  public function getFieldsNew()
  {
    return array(
      'id_critere_envoi' => array(),
      'type' => array(),
      'numero_commande' => array(),
      'numero_commande_signe' => array(),
      'nombre_article' => array(),
      'nombre_article_signe' => array(),
      'total_commande' => array(),
      'total_commande_signe' => array(),
      'reference_ths' => array(),
    );
  }


  /**
   * Gets the form class name.
   *
   * @return string The form class name
   */
  public function getFormClass()
  {
    return 'CritereEnvoiForm';
  }

  public function hasFilterForm()
  {
    return true;
  }

  /**
   * Gets the filter form class name
   *
   * @return string The filter form class name associated with this generator
   */
  public function getFilterFormClass()
  {
    return 'CritereEnvoiFormFilter';
  }

  public function getPagerClass()
  {
    return 'sfDoctrinePager';
  }

  public function getPagerMaxPerPage()
  {
    return 20;
  }

  public function getDefaultSort()
  {
    return array(null, null);
  }

  public function getTableMethod()
  {
    return '';
  }

  public function getTableCountMethod()
  {
    return '';
  }
}
