<?php

/**
 * fournisseurcoefficient module configuration.
 *
 * @package    ##PROJECT_NAME##
 * @subpackage fournisseurcoefficient
 * @author     ##AUTHOR_NAME##
 * @version    SVN: $Id: configuration.php 24171 2009-11-19 16:37:50Z Kris.Wallsmith $
 */
abstract class BaseFournisseurcoefficientGeneratorConfiguration extends sfModelGeneratorConfiguration
{
  public function getActionsDefault()
  {
    return array();
  }

  public function getFormActions()
  {
    return array(  '_delete' => NULL,  '_list' => NULL,  '_save' => NULL,  '_save_and_add' => NULL,);
  }

  public function getNewActions()
  {
    return array();
  }

  public function getEditActions()
  {
    return array();
  }

  public function getListObjectActions()
  {
    return array(  '_edit' => NULL,  '_delete' => NULL,);
  }

  public function getListActions()
  {
    return array(  '_new' => NULL,);
  }

  public function getListBatchActions()
  {
    return array(  '_delete' => NULL,);
  }

  public function getListParams()
  {
    return '%%id%% - %%coefficient%% - %%prix_min%% - %%prix_max%% - %%id_fournisseur%%';
  }

  public function getListLayout()
  {
    return 'tabular';
  }

  public function getListTitle()
  {
    return 'Fournisseurcoefficient List';
  }

  public function getEditTitle()
  {
    return 'Edition du coefficient';
  }

  public function getNewTitle()
  {
    return 'Nouveau coefficient';
  }

  public function getFilterDisplay()
  {
    return array();
  }

  public function getFormDisplay()
  {
    return array();
  }

  public function getEditDisplay()
  {
    return array();
  }

  public function getNewDisplay()
  {
    return array();
  }

  public function getListDisplay()
  {
    return array(  0 => 'id',  1 => 'coefficient',  2 => 'prix_min',  3 => 'prix_max',  4 => 'id_fournisseur',);
  }

  public function getFieldsDefault()
  {
    return array(
      'id' => array(  'is_link' => true,  'is_real' => true,  'is_partial' => false,  'is_component' => false,  'type' => 'Text',),
      'coefficient' => array(  'is_link' => false,  'is_real' => true,  'is_partial' => false,  'is_component' => false,  'type' => 'Text',),
      'prix_min' => array(  'is_link' => false,  'is_real' => true,  'is_partial' => false,  'is_component' => false,  'type' => 'Text',),
      'prix_max' => array(  'is_link' => false,  'is_real' => true,  'is_partial' => false,  'is_component' => false,  'type' => 'Text',),
      'id_fournisseur' => array(  'is_link' => false,  'is_real' => true,  'is_partial' => false,  'is_component' => false,  'type' => 'ForeignKey',),
    );
  }

  public function getFieldsList()
  {
    return array(
      'id' => array(),
      'coefficient' => array(),
      'prix_min' => array(),
      'prix_max' => array(),
      'id_fournisseur' => array(),
    );
  }

  public function getFieldsFilter()
  {
    return array(
      'id' => array(),
      'coefficient' => array(),
      'prix_min' => array(),
      'prix_max' => array(),
      'id_fournisseur' => array(),
    );
  }

  public function getFieldsForm()
  {
    return array(
      'id' => array(),
      'coefficient' => array(),
      'prix_min' => array(),
      'prix_max' => array(),
      'id_fournisseur' => array(),
    );
  }

  public function getFieldsEdit()
  {
    return array(
      'id' => array(),
      'coefficient' => array(),
      'prix_min' => array(),
      'prix_max' => array(),
      'id_fournisseur' => array(),
    );
  }

  public function getFieldsNew()
  {
    return array(
      'id' => array(),
      'coefficient' => array(),
      'prix_min' => array(),
      'prix_max' => array(),
      'id_fournisseur' => array(),
    );
  }


  /**
   * Gets the form class name.
   *
   * @return string The form class name
   */
  public function getFormClass()
  {
    return 'fournisseurcoefficientForm';
  }

  public function hasFilterForm()
  {
    return true;
  }

  /**
   * Gets the filter form class name
   *
   * @return string The filter form class name associated with this generator
   */
  public function getFilterFormClass()
  {
    return 'fournisseurcoefficientFormFilter';
  }

  public function getPagerClass()
  {
    return 'sfDoctrinePager';
  }

  public function getPagerMaxPerPage()
  {
    return 20;
  }

  public function getDefaultSort()
  {
    return array(null, null);
  }

  public function getTableMethod()
  {
    return '';
  }

  public function getTableCountMethod()
  {
    return '';
  }
}
