<?php

/**
 * Transporteur filter form base class.
 *
 * @package    sf_sandbox
 * @subpackage filter
 * @author     Your name here
 * @version    SVN: $Id: sfDoctrineFormFilterGeneratedTemplate.php 29570 2010-05-21 14:49:47Z Kris.Wallsmith $
 */
abstract class BaseTransporteurFormFilter extends BaseFormFilterDoctrine
{
  public function setup()
  {
    $this->setWidgets(array(
      'libelle'           => new sfWidgetFormFilterInput(),
      'forfait_emballage' => new sfWidgetFormFilterInput(array('with_empty' => false)),
      'hors_gabarit'      => new sfWidgetFormChoice(array('choices' => array('' => 'yes or no', 1 => 'yes', 0 => 'no'))),
      'statut'            => new sfWidgetFormChoice(array('choices' => array('' => 'yes or no', 1 => 'yes', 0 => 'no'))),
    ));

    $this->setValidators(array(
      'libelle'           => new sfValidatorPass(array('required' => false)),
      'forfait_emballage' => new sfValidatorSchemaFilter('text', new sfValidatorNumber(array('required' => false))),
      'hors_gabarit'      => new sfValidatorChoice(array('required' => false, 'choices' => array('', 1, 0))),
      'statut'            => new sfValidatorChoice(array('required' => false, 'choices' => array('', 1, 0))),
    ));

    $this->widgetSchema->setNameFormat('transporteur_filters[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    $this->setupInheritance();

    parent::setup();
  }

  public function getModelName()
  {
    return 'Transporteur';
  }

  public function getFields()
  {
    return array(
      'id_transporteur'   => 'Number',
      'libelle'           => 'Text',
      'forfait_emballage' => 'Number',
      'hors_gabarit'      => 'Boolean',
      'statut'            => 'Boolean',
    );
  }
}
