<?php

/**
 * Pompe form base class.
 *
 * @method Pompe getObject() Returns the current form's model object
 *
 * @package    sf_sandbox
 * @subpackage form
 * @author     Your name here
 * @version    SVN: $Id: sfDoctrineFormGeneratedTemplate.php 29553 2010-05-20 14:33:00Z Kris.Wallsmith $
 */
abstract class BasePompeForm extends BaseFormDoctrine
{
  public function setup()
  {
    $this->setWidgets(array(
      'id_pompe'                    => new sfWidgetFormInputHidden(),
      'id_marque'                   => new sfWidgetFormDoctrineChoice(array('model' => $this->getRelatedModelName('Marque'), 'add_empty' => true)),
      'modele'                      => new sfWidgetFormInputText(),
      'serie'                       => new sfWidgetFormInputText(),
      'pression'                    => new sfWidgetFormInputText(),
      'debit_litre_min'             => new sfWidgetFormInputText(),
      'debit_litre_heure'           => new sfWidgetFormInputText(),
      'vitesse_rotation'            => new sfWidgetFormInputText(),
      'puissance'                   => new sfWidgetFormInputText(),
      'poids'                       => new sfWidgetFormInputText(),
      'description'                 => new sfWidgetFormInputText(),
      'url_article'                 => new sfWidgetFormInputText(),
      'balise_title'                => new sfWidgetFormInputText(),
      'balise_meta'                 => new sfWidgetFormInputText(),
      'photo_1'                     => new sfWidgetFormInputText(),
      'doc_commercial'              => new sfWidgetFormInputText(),
      'doc_technique'               => new sfWidgetFormInputText(),
      'doc_technique_espace_pro'    => new sfWidgetFormInputCheckbox(),
      'eclate_technique'            => new sfWidgetFormInputText(),
      'eclate_technique_espace_pro' => new sfWidgetFormInputCheckbox(),
      'actif'                       => new sfWidgetFormInputCheckbox(),
    ));

    $this->setValidators(array(
      'id_pompe'                    => new sfValidatorChoice(array('choices' => array($this->getObject()->get('id_pompe')), 'empty_value' => $this->getObject()->get('id_pompe'), 'required' => false)),
      'id_marque'                   => new sfValidatorDoctrineChoice(array('model' => $this->getRelatedModelName('Marque'), 'required' => false)),
      'modele'                      => new sfValidatorString(array('max_length' => 50, 'required' => false)),
      'serie'                       => new sfValidatorString(array('max_length' => 50, 'required' => false)),
      'pression'                    => new sfValidatorString(array('max_length' => 50, 'required' => false)),
      'debit_litre_min'             => new sfValidatorString(array('max_length' => 50, 'required' => false)),
      'debit_litre_heure'           => new sfValidatorString(array('max_length' => 50, 'required' => false)),
      'vitesse_rotation'            => new sfValidatorString(array('max_length' => 50, 'required' => false)),
      'puissance'                   => new sfValidatorString(array('max_length' => 50, 'required' => false)),
      'poids'                       => new sfValidatorNumber(array('required' => false)),
      'description'                 => new sfValidatorPass(array('required' => false)),
      'url_article'                 => new sfValidatorString(array('max_length' => 255, 'required' => false)),
      'balise_title'                => new sfValidatorString(array('max_length' => 255, 'required' => false)),
      'balise_meta'                 => new sfValidatorString(array('max_length' => 255, 'required' => false)),
      'photo_1'                     => new sfValidatorString(array('max_length' => 255, 'required' => false)),
      'doc_commercial'              => new sfValidatorString(array('max_length' => 255, 'required' => false)),
      'doc_technique'               => new sfValidatorString(array('max_length' => 255, 'required' => false)),
      'doc_technique_espace_pro'    => new sfValidatorBoolean(array('required' => false)),
      'eclate_technique'            => new sfValidatorString(array('max_length' => 255, 'required' => false)),
      'eclate_technique_espace_pro' => new sfValidatorBoolean(array('required' => false)),
      'actif'                       => new sfValidatorBoolean(array('required' => false)),
    ));

    $this->widgetSchema->setNameFormat('pompe[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    $this->setupInheritance();

    parent::setup();
  }

  public function getModelName()
  {
    return 'Pompe';
  }

}
