<?php

/**
 * Transporteur form base class.
 *
 * @method Transporteur getObject() Returns the current form's model object
 *
 * @package    sf_sandbox
 * @subpackage form
 * @author     Your name here
 * @version    SVN: $Id: sfDoctrineFormGeneratedTemplate.php 29553 2010-05-20 14:33:00Z Kris.Wallsmith $
 */
abstract class BaseTransporteurForm extends BaseFormDoctrine
{
  public function setup()
  {
    $this->setWidgets(array(
      'id_transporteur'   => new sfWidgetFormInputHidden(),
      'libelle'           => new sfWidgetFormInputText(),
      'forfait_emballage' => new sfWidgetFormInputText(),
      'hors_gabarit'      => new sfWidgetFormInputCheckbox(),
      'statut'            => new sfWidgetFormInputCheckbox(),
    ));

    $this->setValidators(array(
      'id_transporteur'   => new sfValidatorChoice(array('choices' => array($this->getObject()->get('id_transporteur')), 'empty_value' => $this->getObject()->get('id_transporteur'), 'required' => false)),
      'libelle'           => new sfValidatorString(array('max_length' => 255, 'required' => false)),
      'forfait_emballage' => new sfValidatorNumber(),
      'hors_gabarit'      => new sfValidatorBoolean(array('required' => false)),
      'statut'            => new sfValidatorBoolean(array('required' => false)),
    ));

    $this->widgetSchema->setNameFormat('transporteur[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    $this->setupInheritance();

    parent::setup();
  }

  public function getModelName()
  {
    return 'Transporteur';
  }

}
