<?php

/**
 * Association filter form base class.
 *
 * @package    sf_sandbox
 * @subpackage filter
 * @author     Your name here
 * @version    SVN: $Id: sfDoctrineFormFilterGeneratedTemplate.php 29570 2010-05-21 14:49:47Z Kris.Wallsmith $
 */
abstract class BaseAssociationFormFilter extends BaseFormFilterDoctrine
{
  public function setup()
  {
    $this->setWidgets(array(
      'ordre'          => new sfWidgetFormFilterInput(),
      'texte'          => new sfWidgetFormFilterInput(),
      'note'           => new sfWidgetFormFilterInput(),
      'id_famille'     => new sfWidgetFormDoctrineChoice(array('model' => $this->getRelatedModelName('Famille'), 'add_empty' => true)),
      'id_nettoyeur'   => new sfWidgetFormDoctrineChoice(array('model' => $this->getRelatedModelName('NettoyeurHautePression'), 'add_empty' => true)),
      'articles_list'  => new sfWidgetFormDoctrineChoice(array('multiple' => true, 'model' => 'Article')),
    ));

    $this->setValidators(array(
      'ordre'          => new sfValidatorSchemaFilter('text', new sfValidatorInteger(array('required' => false))),
      'texte'          => new sfValidatorPass(array('required' => false)),
      'note'           => new sfValidatorPass(array('required' => false)),
      'id_famille'     => new sfValidatorDoctrineChoice(array('required' => false, 'model' => $this->getRelatedModelName('Famille'), 'column' => 'id_famille')),
      'id_nettoyeur'   => new sfValidatorDoctrineChoice(array('required' => false, 'model' => $this->getRelatedModelName('NettoyeurHautePression'), 'column' => 'id_nettoyeur')),
      'articles_list'  => new sfValidatorDoctrineChoice(array('multiple' => true, 'model' => 'Article', 'required' => false)),
    ));

    $this->widgetSchema->setNameFormat('association_filters[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    $this->setupInheritance();

    parent::setup();
  }

  public function addArticlesListColumnQuery(Doctrine_Query $query, $field, $values)
  {
    if (!is_array($values))
    {
      $values = array($values);
    }

    if (!count($values))
    {
      return;
    }

    $query
      ->leftJoin($query->getRootAlias().'.AssociationArticle AssociationArticle')
      ->andWhereIn('AssociationArticle.reference_ths_sage', $values)
    ;
  }

  public function getModelName()
  {
    return 'Association';
  }

  public function getFields()
  {
    return array(
      'id_association' => 'Number',
      'ordre'          => 'Number',
      'texte'          => 'Text',
      'note'           => 'Text',
      'id_famille'     => 'ForeignKey',
      'id_nettoyeur'   => 'ForeignKey',
      'articles_list'  => 'ManyKey',
    );
  }
}
