<?php

/**
 * Client filter form base class.
 *
 * @package    sf_sandbox
 * @subpackage filter
 * @author     Your name here
 * @version    SVN: $Id: sfDoctrineFormFilterGeneratedTemplate.php 29570 2010-05-21 14:49:47Z Kris.Wallsmith $
 */
abstract class BaseClientFormFilter extends BaseFormFilterDoctrine
{
  public function setup()
  {
    $this->setWidgets(array(
      'type'               => new sfWidgetFormFilterInput(),
      'civilite'           => new sfWidgetFormFilterInput(),
      'raison_sociale'     => new sfWidgetFormFilterInput(),
      'nom'                => new sfWidgetFormFilterInput(),
      'prenom'             => new sfWidgetFormFilterInput(),
      'adresse'            => new sfWidgetFormFilterInput(),
      'adresse_complement' => new sfWidgetFormFilterInput(),
      'code_postal'        => new sfWidgetFormFilterInput(),
      'ville'              => new sfWidgetFormFilterInput(),
      'pays'               => new sfWidgetFormFilterInput(),
      'telephone'          => new sfWidgetFormFilterInput(),
      'fax'                => new sfWidgetFormFilterInput(),
      'email'              => new sfWidgetFormFilterInput(),
      'id_statut'          => new sfWidgetFormFilterInput(),
      'id_user'            => new sfWidgetFormDoctrineChoice(array('model' => $this->getRelatedModelName('sfGuardUser'), 'add_empty' => true)),
      'export_sage'        => new sfWidgetFormChoice(array('choices' => array('' => 'yes or no', 1 => 'yes', 0 => 'no'))),
    ));

    $this->setValidators(array(
      'type'               => new sfValidatorPass(array('required' => false)),
      'civilite'           => new sfValidatorPass(array('required' => false)),
      'raison_sociale'     => new sfValidatorPass(array('required' => false)),
      'nom'                => new sfValidatorPass(array('required' => false)),
      'prenom'             => new sfValidatorPass(array('required' => false)),
      'adresse'            => new sfValidatorPass(array('required' => false)),
      'adresse_complement' => new sfValidatorPass(array('required' => false)),
      'code_postal'        => new sfValidatorPass(array('required' => false)),
      'ville'              => new sfValidatorPass(array('required' => false)),
      'pays'               => new sfValidatorPass(array('required' => false)),
      'telephone'          => new sfValidatorPass(array('required' => false)),
      'fax'                => new sfValidatorPass(array('required' => false)),
      'email'              => new sfValidatorPass(array('required' => false)),
      'id_statut'          => new sfValidatorSchemaFilter('text', new sfValidatorInteger(array('required' => false))),
      'id_user'            => new sfValidatorDoctrineChoice(array('required' => false, 'model' => $this->getRelatedModelName('sfGuardUser'), 'column' => 'id')),
      'export_sage'        => new sfValidatorChoice(array('required' => false, 'choices' => array('', 1, 0))),
    ));

    $this->widgetSchema->setNameFormat('client_filters[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    $this->setupInheritance();

    parent::setup();
  }

  public function getModelName()
  {
    return 'Client';
  }

  public function getFields()
  {
    return array(
      'id_client'          => 'Number',
      'type'               => 'Text',
      'civilite'           => 'Text',
      'raison_sociale'     => 'Text',
      'nom'                => 'Text',
      'prenom'             => 'Text',
      'adresse'            => 'Text',
      'adresse_complement' => 'Text',
      'code_postal'        => 'Text',
      'ville'              => 'Text',
      'pays'               => 'Text',
      'telephone'          => 'Text',
      'fax'                => 'Text',
      'email'              => 'Text',
      'id_statut'          => 'Number',
      'id_user'            => 'ForeignKey',
      'export_sage'        => 'Boolean',
    );
  }
}
