<?php

/**
 * CritereEnvoi filter form base class.
 *
 * @package    sf_sandbox
 * @subpackage filter
 * @author     Your name here
 * @version    SVN: $Id: sfDoctrineFormFilterGeneratedTemplate.php 29570 2010-05-21 14:49:47Z Kris.Wallsmith $
 */
abstract class BaseCritereEnvoiFormFilter extends BaseFormFilterDoctrine
{
  public function setup()
  {
    $this->setWidgets(array(
      'type'                  => new sfWidgetFormFilterInput(),
      'numero_commande'       => new sfWidgetFormFilterInput(),
      'numero_commande_signe' => new sfWidgetFormFilterInput(),
      'nombre_article'        => new sfWidgetFormFilterInput(),
      'nombre_article_signe'  => new sfWidgetFormFilterInput(),
      'total_commande'        => new sfWidgetFormFilterInput(),
      'total_commande_signe'  => new sfWidgetFormFilterInput(),
      'reference_ths'         => new sfWidgetFormFilterInput(),
    ));

    $this->setValidators(array(
      'type'                  => new sfValidatorPass(array('required' => false)),
      'numero_commande'       => new sfValidatorSchemaFilter('text', new sfValidatorInteger(array('required' => false))),
      'numero_commande_signe' => new sfValidatorPass(array('required' => false)),
      'nombre_article'        => new sfValidatorSchemaFilter('text', new sfValidatorInteger(array('required' => false))),
      'nombre_article_signe'  => new sfValidatorPass(array('required' => false)),
      'total_commande'        => new sfValidatorSchemaFilter('text', new sfValidatorNumber(array('required' => false))),
      'total_commande_signe'  => new sfValidatorPass(array('required' => false)),
      'reference_ths'         => new sfValidatorPass(array('required' => false)),
    ));

    $this->widgetSchema->setNameFormat('critere_envoi_filters[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    $this->setupInheritance();

    parent::setup();
  }

  public function getModelName()
  {
    return 'CritereEnvoi';
  }

  public function getFields()
  {
    return array(
      'id_critere_envoi'      => 'Number',
      'type'                  => 'Text',
      'numero_commande'       => 'Number',
      'numero_commande_signe' => 'Text',
      'nombre_article'        => 'Number',
      'nombre_article_signe'  => 'Text',
      'total_commande'        => 'Number',
      'total_commande_signe'  => 'Text',
      'reference_ths'         => 'Text',
    );
  }
}
