<?php

/**
 * Departement filter form base class.
 *
 * @package    sf_sandbox
 * @subpackage filter
 * @author     Your name here
 * @version    SVN: $Id: sfDoctrineFormFilterGeneratedTemplate.php 29570 2010-05-21 14:49:47Z Kris.Wallsmith $
 */
abstract class BaseDepartementFormFilter extends BaseFormFilterDoctrine
{
  public function setup()
  {
    $this->setWidgets(array(
      'libelle'        => new sfWidgetFormFilterInput(),
      'statut'         => new sfWidgetFormChoice(array('choices' => array('' => 'yes or no', 1 => 'yes', 0 => 'no'))),
      'zone_list'      => new sfWidgetFormDoctrineChoice(array('multiple' => true, 'model' => 'Zone')),
    ));

    $this->setValidators(array(
      'libelle'        => new sfValidatorPass(array('required' => false)),
      'statut'         => new sfValidatorChoice(array('required' => false, 'choices' => array('', 1, 0))),
      'zone_list'      => new sfValidatorDoctrineChoice(array('multiple' => true, 'model' => 'Zone', 'required' => false)),
    ));

    $this->widgetSchema->setNameFormat('departement_filters[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    $this->setupInheritance();

    parent::setup();
  }

  public function addZoneListColumnQuery(Doctrine_Query $query, $field, $values)
  {
    if (!is_array($values))
    {
      $values = array($values);
    }

    if (!count($values))
    {
      return;
    }

    $query
      ->leftJoin($query->getRootAlias().'.ZoneDepartement ZoneDepartement')
      ->andWhereIn('ZoneDepartement.id_zone', $values)
    ;
  }

  public function getModelName()
  {
    return 'Departement';
  }

  public function getFields()
  {
    return array(
      'id_departement' => 'Text',
      'libelle'        => 'Text',
      'statut'         => 'Boolean',
      'zone_list'      => 'ManyKey',
    );
  }
}
