<?php

/**
 * MailReponse filter form base class.
 *
 * @package    sf_sandbox
 * @subpackage filter
 * @author     Your name here
 * @version    SVN: $Id: sfDoctrineFormFilterGeneratedTemplate.php 29570 2010-05-21 14:49:47Z Kris.Wallsmith $
 */
abstract class BaseMailReponseFormFilter extends BaseFormFilterDoctrine
{
  public function setup()
  {
    $this->setWidgets(array(
      'id_mail_sujet' => new sfWidgetFormDoctrineChoice(array('model' => $this->getRelatedModelName('MailSujet'), 'add_empty' => true)),
      'date_reponse'  => new sfWidgetFormFilterDate(array('from_date' => new sfWidgetFormDate(), 'to_date' => new sfWidgetFormDate())),
      'id_user'       => new sfWidgetFormDoctrineChoice(array('model' => $this->getRelatedModelName('sfGuardUser'), 'add_empty' => true)),
      'message'       => new sfWidgetFormFilterInput(),
    ));

    $this->setValidators(array(
      'id_mail_sujet' => new sfValidatorDoctrineChoice(array('required' => false, 'model' => $this->getRelatedModelName('MailSujet'), 'column' => 'id')),
      'date_reponse'  => new sfValidatorDateRange(array('required' => false, 'from_date' => new sfValidatorDateTime(array('required' => false, 'datetime_output' => 'Y-m-d 00:00:00')), 'to_date' => new sfValidatorDateTime(array('required' => false, 'datetime_output' => 'Y-m-d 23:59:59')))),
      'id_user'       => new sfValidatorDoctrineChoice(array('required' => false, 'model' => $this->getRelatedModelName('sfGuardUser'), 'column' => 'id')),
      'message'       => new sfValidatorPass(array('required' => false)),
    ));

    $this->widgetSchema->setNameFormat('mail_reponse_filters[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    $this->setupInheritance();

    parent::setup();
  }

  public function getModelName()
  {
    return 'MailReponse';
  }

  public function getFields()
  {
    return array(
      'id'            => 'Number',
      'id_mail_sujet' => 'ForeignKey',
      'date_reponse'  => 'Date',
      'id_user'       => 'ForeignKey',
      'message'       => 'Text',
    );
  }
}
