<?php

/**
 * Menu filter form base class.
 *
 * @package    sf_sandbox
 * @subpackage filter
 * @author     Your name here
 * @version    SVN: $Id: sfDoctrineFormFilterGeneratedTemplate.php 29570 2010-05-21 14:49:47Z Kris.Wallsmith $
 */
abstract class BaseMenuFormFilter extends BaseFormFilterDoctrine
{
  public function setup()
  {
    $this->setWidgets(array(
      'libelle' => new sfWidgetFormFilterInput(),
      'largeur' => new sfWidgetFormFilterInput(),
      'ordre'   => new sfWidgetFormFilterInput(),
      'actif'   => new sfWidgetFormChoice(array('choices' => array('' => 'yes or no', 1 => 'yes', 0 => 'no'))),
    ));

    $this->setValidators(array(
      'libelle' => new sfValidatorPass(array('required' => false)),
      'largeur' => new sfValidatorSchemaFilter('text', new sfValidatorInteger(array('required' => false))),
      'ordre'   => new sfValidatorSchemaFilter('text', new sfValidatorInteger(array('required' => false))),
      'actif'   => new sfValidatorChoice(array('required' => false, 'choices' => array('', 1, 0))),
    ));

    $this->widgetSchema->setNameFormat('menu_filters[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    $this->setupInheritance();

    parent::setup();
  }

  public function getModelName()
  {
    return 'Menu';
  }

  public function getFields()
  {
    return array(
      'id_menu' => 'Number',
      'libelle' => 'Text',
      'largeur' => 'Number',
      'ordre'   => 'Number',
      'actif'   => 'Boolean',
    );
  }
}
