<?php

/**
 * NettoyeurHautePression filter form base class.
 *
 * @package    sf_sandbox
 * @subpackage filter
 * @author     Your name here
 * @version    SVN: $Id: sfDoctrineFormFilterGeneratedTemplate.php 29570 2010-05-21 14:49:47Z Kris.Wallsmith $
 */
abstract class BaseNettoyeurHautePressionFormFilter extends BaseFormFilterDoctrine
{
  public function setup()
  {
    $this->setWidgets(array(
      'id_marque'                   => new sfWidgetFormDoctrineChoice(array('model' => $this->getRelatedModelName('Marque'), 'add_empty' => true)),
      'modele'                      => new sfWidgetFormFilterInput(),
      'poste_fixe'                  => new sfWidgetFormChoice(array('choices' => array('' => 'yes or no', 1 => 'yes', 0 => 'no'))),
      'groupe_moteur_pompe'         => new sfWidgetFormChoice(array('choices' => array('' => 'yes or no', 1 => 'yes', 0 => 'no'))),
      'eau_froide'                  => new sfWidgetFormChoice(array('choices' => array('' => 'yes or no', 1 => 'yes', 0 => 'no'))),
      'eau_chaude'                  => new sfWidgetFormChoice(array('choices' => array('' => 'yes or no', 1 => 'yes', 0 => 'no'))),
      'vapeur'                      => new sfWidgetFormChoice(array('choices' => array('' => 'yes or no', 1 => 'yes', 0 => 'no'))),
      'temperature'                 => new sfWidgetFormFilterInput(),
      'pression_service'            => new sfWidgetFormFilterInput(),
      'debit_litre_min'             => new sfWidgetFormFilterInput(),
      'debit_litre_heure'           => new sfWidgetFormFilterInput(),
      'calibre'                     => new sfWidgetFormFilterInput(),
      'electrique_220'              => new sfWidgetFormChoice(array('choices' => array('' => 'yes or no', 1 => 'yes', 0 => 'no'))),
      'electrique_220_a'            => new sfWidgetFormFilterInput(),
      'electrique_220_kw'           => new sfWidgetFormFilterInput(),
      'electrique_220_hz'           => new sfWidgetFormFilterInput(),
      'electrique_380'              => new sfWidgetFormChoice(array('choices' => array('' => 'yes or no', 1 => 'yes', 0 => 'no'))),
      'electrique_380_a'            => new sfWidgetFormFilterInput(),
      'electrique_380_kw'           => new sfWidgetFormFilterInput(),
      'electrique_380_hz'           => new sfWidgetFormFilterInput(),
      'moteur_thermique'            => new sfWidgetFormChoice(array('choices' => array('' => 'yes or no', 1 => 'yes', 0 => 'no'))),
      'moteur_thermique_info'       => new sfWidgetFormFilterInput(),
      'poids'                       => new sfWidgetFormFilterInput(),
      'description'                 => new sfWidgetFormFilterInput(),
      'reference_ths'               => new sfWidgetFormFilterInput(),
      'reference_constructeur'      => new sfWidgetFormFilterInput(),
      'prix_vente_ht'               => new sfWidgetFormFilterInput(),
      'taux_remise_fournisseur'     => new sfWidgetFormFilterInput(),
      'prix_vente_ths'              => new sfWidgetFormFilterInput(),
      'marge_pourcentage'           => new sfWidgetFormFilterInput(),
      'marge_euro'                  => new sfWidgetFormFilterInput(),
      'prix_ttc'                    => new sfWidgetFormFilterInput(),
      'stock'                       => new sfWidgetFormFilterInput(),
      'franco_de_port'              => new sfWidgetFormChoice(array('choices' => array('' => 'yes or no', 1 => 'yes', 0 => 'no'))),
      'promo'                       => new sfWidgetFormChoice(array('choices' => array('' => 'yes or no', 1 => 'yes', 0 => 'no'))),
      'url_article'                 => new sfWidgetFormFilterInput(),
      'balise_title'                => new sfWidgetFormFilterInput(),
      'balise_meta'                 => new sfWidgetFormFilterInput(),
      'photo_1'                     => new sfWidgetFormFilterInput(),
      'photo_2'                     => new sfWidgetFormFilterInput(),
      'photo_3'                     => new sfWidgetFormFilterInput(),
      'photo_4'                     => new sfWidgetFormFilterInput(),
      'photo_5'                     => new sfWidgetFormFilterInput(),
      'video_flv'                   => new sfWidgetFormFilterInput(),
      'doc_commercial'              => new sfWidgetFormFilterInput(),
      'doc_technique'               => new sfWidgetFormFilterInput(),
      'doc_technique_espace_pro'    => new sfWidgetFormChoice(array('choices' => array('' => 'yes or no', 1 => 'yes', 0 => 'no'))),
      'eclate_technique'            => new sfWidgetFormFilterInput(),
      'eclate_technique_espace_pro' => new sfWidgetFormChoice(array('choices' => array('' => 'yes or no', 1 => 'yes', 0 => 'no'))),
      'actif'                       => new sfWidgetFormChoice(array('choices' => array('' => 'yes or no', 1 => 'yes', 0 => 'no'))),
      'disponible_vente'            => new sfWidgetFormChoice(array('choices' => array('' => 'yes or no', 1 => 'yes', 0 => 'no'))),
      'visible_moteur_recherche'    => new sfWidgetFormChoice(array('choices' => array('' => 'yes or no', 1 => 'yes', 0 => 'no'))),
      'afficher_prix'               => new sfWidgetFormChoice(array('choices' => array('' => 'yes or no', 1 => 'yes', 0 => 'no'))),
      'plus_fabriquer'              => new sfWidgetFormChoice(array('choices' => array('' => 'yes or no', 1 => 'yes', 0 => 'no'))),
      'no_index'                    => new sfWidgetFormChoice(array('choices' => array('' => 'yes or no', 1 => 'yes', 0 => 'no'))),
      'vente_pieces_detachees'      => new sfWidgetFormChoice(array('choices' => array('' => 'yes or no', 1 => 'yes', 0 => 'no'))),
    ));

    $this->setValidators(array(
      'id_marque'                   => new sfValidatorDoctrineChoice(array('required' => false, 'model' => $this->getRelatedModelName('Marque'), 'column' => 'id_marque')),
      'modele'                      => new sfValidatorPass(array('required' => false)),
      'poste_fixe'                  => new sfValidatorChoice(array('required' => false, 'choices' => array('', 1, 0))),
      'groupe_moteur_pompe'         => new sfValidatorChoice(array('required' => false, 'choices' => array('', 1, 0))),
      'eau_froide'                  => new sfValidatorChoice(array('required' => false, 'choices' => array('', 1, 0))),
      'eau_chaude'                  => new sfValidatorChoice(array('required' => false, 'choices' => array('', 1, 0))),
      'vapeur'                      => new sfValidatorChoice(array('required' => false, 'choices' => array('', 1, 0))),
      'temperature'                 => new sfValidatorSchemaFilter('text', new sfValidatorNumber(array('required' => false))),
      'pression_service'            => new sfValidatorSchemaFilter('text', new sfValidatorInteger(array('required' => false))),
      'debit_litre_min'             => new sfValidatorSchemaFilter('text', new sfValidatorNumber(array('required' => false))),
      'debit_litre_heure'           => new sfValidatorSchemaFilter('text', new sfValidatorNumber(array('required' => false))),
      'calibre'                     => new sfValidatorPass(array('required' => false)),
      'electrique_220'              => new sfValidatorChoice(array('required' => false, 'choices' => array('', 1, 0))),
      'electrique_220_a'            => new sfValidatorSchemaFilter('text', new sfValidatorNumber(array('required' => false))),
      'electrique_220_kw'           => new sfValidatorSchemaFilter('text', new sfValidatorNumber(array('required' => false))),
      'electrique_220_hz'           => new sfValidatorSchemaFilter('text', new sfValidatorNumber(array('required' => false))),
      'electrique_380'              => new sfValidatorChoice(array('required' => false, 'choices' => array('', 1, 0))),
      'electrique_380_a'            => new sfValidatorSchemaFilter('text', new sfValidatorNumber(array('required' => false))),
      'electrique_380_kw'           => new sfValidatorSchemaFilter('text', new sfValidatorNumber(array('required' => false))),
      'electrique_380_hz'           => new sfValidatorSchemaFilter('text', new sfValidatorNumber(array('required' => false))),
      'moteur_thermique'            => new sfValidatorChoice(array('required' => false, 'choices' => array('', 1, 0))),
      'moteur_thermique_info'       => new sfValidatorPass(array('required' => false)),
      'poids'                       => new sfValidatorSchemaFilter('text', new sfValidatorNumber(array('required' => false))),
      'description'                 => new sfValidatorPass(array('required' => false)),
      'reference_ths'               => new sfValidatorPass(array('required' => false)),
      'reference_constructeur'      => new sfValidatorPass(array('required' => false)),
      'prix_vente_ht'               => new sfValidatorSchemaFilter('text', new sfValidatorNumber(array('required' => false))),
      'taux_remise_fournisseur'     => new sfValidatorSchemaFilter('text', new sfValidatorNumber(array('required' => false))),
      'prix_vente_ths'              => new sfValidatorSchemaFilter('text', new sfValidatorNumber(array('required' => false))),
      'marge_pourcentage'           => new sfValidatorSchemaFilter('text', new sfValidatorNumber(array('required' => false))),
      'marge_euro'                  => new sfValidatorSchemaFilter('text', new sfValidatorNumber(array('required' => false))),
      'prix_ttc'                    => new sfValidatorSchemaFilter('text', new sfValidatorNumber(array('required' => false))),
      'stock'                       => new sfValidatorSchemaFilter('text', new sfValidatorInteger(array('required' => false))),
      'franco_de_port'              => new sfValidatorChoice(array('required' => false, 'choices' => array('', 1, 0))),
      'promo'                       => new sfValidatorChoice(array('required' => false, 'choices' => array('', 1, 0))),
      'url_article'                 => new sfValidatorPass(array('required' => false)),
      'balise_title'                => new sfValidatorPass(array('required' => false)),
      'balise_meta'                 => new sfValidatorPass(array('required' => false)),
      'photo_1'                     => new sfValidatorPass(array('required' => false)),
      'photo_2'                     => new sfValidatorPass(array('required' => false)),
      'photo_3'                     => new sfValidatorPass(array('required' => false)),
      'photo_4'                     => new sfValidatorPass(array('required' => false)),
      'photo_5'                     => new sfValidatorPass(array('required' => false)),
      'video_flv'                   => new sfValidatorPass(array('required' => false)),
      'doc_commercial'              => new sfValidatorPass(array('required' => false)),
      'doc_technique'               => new sfValidatorPass(array('required' => false)),
      'doc_technique_espace_pro'    => new sfValidatorChoice(array('required' => false, 'choices' => array('', 1, 0))),
      'eclate_technique'            => new sfValidatorPass(array('required' => false)),
      'eclate_technique_espace_pro' => new sfValidatorChoice(array('required' => false, 'choices' => array('', 1, 0))),
      'actif'                       => new sfValidatorChoice(array('required' => false, 'choices' => array('', 1, 0))),
      'disponible_vente'            => new sfValidatorChoice(array('required' => false, 'choices' => array('', 1, 0))),
      'visible_moteur_recherche'    => new sfValidatorChoice(array('required' => false, 'choices' => array('', 1, 0))),
      'afficher_prix'               => new sfValidatorChoice(array('required' => false, 'choices' => array('', 1, 0))),
      'plus_fabriquer'              => new sfValidatorChoice(array('required' => false, 'choices' => array('', 1, 0))),
      'no_index'                    => new sfValidatorChoice(array('required' => false, 'choices' => array('', 1, 0))),
      'vente_pieces_detachees'      => new sfValidatorChoice(array('required' => false, 'choices' => array('', 1, 0))),
    ));

    $this->widgetSchema->setNameFormat('nettoyeur_haute_pression_filters[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    $this->setupInheritance();

    parent::setup();
  }

  public function getModelName()
  {
    return 'NettoyeurHautePression';
  }

  public function getFields()
  {
    return array(
      'id_nettoyeur'                => 'Number',
      'id_marque'                   => 'ForeignKey',
      'modele'                      => 'Text',
      'poste_fixe'                  => 'Boolean',
      'groupe_moteur_pompe'         => 'Boolean',
      'eau_froide'                  => 'Boolean',
      'eau_chaude'                  => 'Boolean',
      'vapeur'                      => 'Boolean',
      'temperature'                 => 'Number',
      'pression_service'            => 'Number',
      'debit_litre_min'             => 'Number',
      'debit_litre_heure'           => 'Number',
      'calibre'                     => 'Text',
      'electrique_220'              => 'Boolean',
      'electrique_220_a'            => 'Number',
      'electrique_220_kw'           => 'Number',
      'electrique_220_hz'           => 'Number',
      'electrique_380'              => 'Boolean',
      'electrique_380_a'            => 'Number',
      'electrique_380_kw'           => 'Number',
      'electrique_380_hz'           => 'Number',
      'moteur_thermique'            => 'Boolean',
      'moteur_thermique_info'       => 'Text',
      'poids'                       => 'Number',
      'description'                 => 'Text',
      'reference_ths'               => 'Text',
      'reference_constructeur'      => 'Text',
      'prix_vente_ht'               => 'Number',
      'taux_remise_fournisseur'     => 'Number',
      'prix_vente_ths'              => 'Number',
      'marge_pourcentage'           => 'Number',
      'marge_euro'                  => 'Number',
      'prix_ttc'                    => 'Number',
      'stock'                       => 'Number',
      'franco_de_port'              => 'Boolean',
      'promo'                       => 'Boolean',
      'url_article'                 => 'Text',
      'balise_title'                => 'Text',
      'balise_meta'                 => 'Text',
      'photo_1'                     => 'Text',
      'photo_2'                     => 'Text',
      'photo_3'                     => 'Text',
      'photo_4'                     => 'Text',
      'photo_5'                     => 'Text',
      'video_flv'                   => 'Text',
      'doc_commercial'              => 'Text',
      'doc_technique'               => 'Text',
      'doc_technique_espace_pro'    => 'Boolean',
      'eclate_technique'            => 'Text',
      'eclate_technique_espace_pro' => 'Boolean',
      'actif'                       => 'Boolean',
      'disponible_vente'            => 'Boolean',
      'visible_moteur_recherche'    => 'Boolean',
      'afficher_prix'               => 'Boolean',
      'plus_fabriquer'              => 'Boolean',
      'no_index'                    => 'Boolean',
      'vente_pieces_detachees'      => 'Boolean',
    );
  }
}
