<?php

/**
 * TauxTVA filter form base class.
 *
 * @package    sf_sandbox
 * @subpackage filter
 * @author     Your name here
 * @version    SVN: $Id: sfDoctrineFormFilterGeneratedTemplate.php 29570 2010-05-21 14:49:47Z Kris.Wallsmith $
 */
abstract class BaseTauxTVAFormFilter extends BaseFormFilterDoctrine
{
  public function setup()
  {
    $this->setWidgets(array(
      'taux'        => new sfWidgetFormFilterInput(array('with_empty' => false)),
      'statut'      => new sfWidgetFormChoice(array('choices' => array('' => 'yes or no', 1 => 'yes', 0 => 'no'))),
    ));

    $this->setValidators(array(
      'taux'        => new sfValidatorSchemaFilter('text', new sfValidatorNumber(array('required' => false))),
      'statut'      => new sfValidatorChoice(array('required' => false, 'choices' => array('', 1, 0))),
    ));

    $this->widgetSchema->setNameFormat('taux_tva_filters[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    $this->setupInheritance();

    parent::setup();
  }

  public function getModelName()
  {
    return 'TauxTVA';
  }

  public function getFields()
  {
    return array(
      'id_taux_tva' => 'Number',
      'taux'        => 'Number',
      'statut'      => 'Boolean',
    );
  }
}
