<?php

/**
 * VisitePro filter form base class.
 *
 * @package    sf_sandbox
 * @subpackage filter
 * @author     Your name here
 * @version    SVN: $Id: sfDoctrineFormFilterGeneratedTemplate.php 29570 2010-05-21 14:49:47Z Kris.Wallsmith $
 */
abstract class BaseVisiteProFormFilter extends BaseFormFilterDoctrine
{
  public function setup()
  {
    $this->setWidgets(array(
      'id_mailing_pro'   => new sfWidgetFormDoctrineChoice(array('model' => $this->getRelatedModelName('MailingPro'), 'add_empty' => true)),
      'url'              => new sfWidgetFormFilterInput(),
      'date_heure_debut' => new sfWidgetFormFilterDate(array('from_date' => new sfWidgetFormDate(), 'to_date' => new sfWidgetFormDate())),
      'date_heure_fin'   => new sfWidgetFormFilterDate(array('from_date' => new sfWidgetFormDate(), 'to_date' => new sfWidgetFormDate())),
    ));

    $this->setValidators(array(
      'id_mailing_pro'   => new sfValidatorDoctrineChoice(array('required' => false, 'model' => $this->getRelatedModelName('MailingPro'), 'column' => 'id_mailing_pro')),
      'url'              => new sfValidatorPass(array('required' => false)),
      'date_heure_debut' => new sfValidatorDateRange(array('required' => false, 'from_date' => new sfValidatorDateTime(array('required' => false, 'datetime_output' => 'Y-m-d 00:00:00')), 'to_date' => new sfValidatorDateTime(array('required' => false, 'datetime_output' => 'Y-m-d 23:59:59')))),
      'date_heure_fin'   => new sfValidatorDateRange(array('required' => false, 'from_date' => new sfValidatorDateTime(array('required' => false, 'datetime_output' => 'Y-m-d 00:00:00')), 'to_date' => new sfValidatorDateTime(array('required' => false, 'datetime_output' => 'Y-m-d 23:59:59')))),
    ));

    $this->widgetSchema->setNameFormat('visite_pro_filters[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    $this->setupInheritance();

    parent::setup();
  }

  public function getModelName()
  {
    return 'VisitePro';
  }

  public function getFields()
  {
    return array(
      'id_visite'        => 'Number',
      'id_mailing_pro'   => 'ForeignKey',
      'url'              => 'Text',
      'date_heure_debut' => 'Date',
      'date_heure_fin'   => 'Date',
    );
  }
}
