<?php
	class ContactForm extends sfForm
	{
		public function configure()
		{
			$this->setWidgets(array(
				'type'			=> new sfWidgetFormInputHidden(),
				'description'	=> new sfWidgetFormTextarea(array(), array('cols' => 65, 'rows' => 9)),
				'nom'			=> new sfWidgetFormInputText(array(), array('size'=> 30, 'maxlength' => 100)),
				'telephone'		=> new sfWidgetFormInputText(array(), array('size'=> 30, 'maxlength' => 15)),
				'email'			=> new sfWidgetFormInputText(array(), array('size'=> 30, 'maxlength' => 155)),
				'code_postal'	=> new sfWidgetFormInputText(array(), array('size'=> 30, 'maxlength' => 5)),
			));

			$this->setValidators(array(
				'type'			=> new sfValidatorString(),
				'description'	=> new sfValidatorString(array('required' => true), array('required'=>'Veuillez renseigner une description')),
				'nom'			=> new sfValidatorString(array('required' => true), array('required'=>'Veuillez renseigner votre nom')),
				'telephone'		=> new sfValidatorString(array('required' => true), array('required'=>'Veuillez renseigner votre numéro de téléphone')),
				'email'			=> new sfValidatorEmail(array('required' => true, 'max_length' => 155), array('required'=>'Veuillez renseigner une adresse email','invalid'=>'Veuillez renseigner une adresse email valide')),
				'code_postal'	=> new sfValidatorString(array('required' => true), array('required'=>'Veuillez renseigner votre ville')),
			));

			$this->widgetSchema->setNameFormat('contact[%s]');
		}
	}
