<?php

/**
 * BackupConfig form.
 *
 * @package    sf_sandbox
 * @subpackage form
 * @author     Your name here
 * @version    SVN: $Id: sfDoctrineFormTemplate.php 23810 2009-11-12 11:07:44Z Kris.Wallsmith $
 */
class BackupConfigForm extends BaseBackupConfigForm
{
    public function configure()
    {
        $typeChoices = array("" => "", "bdd" => "Base de données", "source" => "Code source");
        $this->widgetSchema['type'] = new sfWidgetFormSelect(array('choices' => $typeChoices));
        
        $dayChoices = array();
        
        for ($i=1;$i<=31;$i++) {
            $dayChoices[$i] = $i;
        }

        $this->widgetSchema['day'] = new sfWidgetFormSelectCheckbox(array('choices' => $dayChoices));

        $this->setValidators(array(
            'type' => new sfValidatorChoice(array('choices' => array('bdd', 'source'), 'multiple' => false)),
            'day' => new sfValidatorChoice(array('choices' => $dayChoices, 'multiple' => true))
        ));

        $this->widgetSchema->setNameFormat('config[%s]');
    }
}
