<?php

/**
 * Page form.
 *
 * @package    sf_sandbox
 * @subpackage form
 * @author     Your name here
 * @version    SVN: $Id: sfDoctrineFormTemplate.php 23810 2009-11-12 11:07:44Z Kris.Wallsmith $
 */
class PageForm extends BasePageForm
{
	public function configure()
	{
		$this->widgetSchema['description'] = new sfWidgetFormTextareaTinyMCE(array(
		  'width'  => 760,
		  'height' => 350,
		  'config' => 'theme_advanced_buttons1: "link,unlink,code", theme_advanced_buttons2: ""',
		));
		
		$this->widgetSchema['url_partie1'] = new sfWidgetFormInputText(array(),array('size'=>100));
		$this->widgetSchema['url_partie2'] = new sfWidgetFormInputText(array(),array('size'=>100));
		$this->widgetSchema['url'] = new sfWidgetFormInputText(array(),array('size'=>100));
		$this->widgetSchema['balise_meta'] = new sfWidgetFormTextarea(array(), array('cols'=>70, "rows"=>4));
		
		$this->validatorSchema['titre'] = new sfValidatorString(array('max_length' => 255, 'required' => true), array('required'=>'Veuillez renseigner le titre'));
      	$this->validatorSchema['balise_titre'] = new sfValidatorString(array('max_length' => 255, 'required' => true), array('required'=>'Veuillez renseigner la balise titre'));
      	$this->validatorSchema['balise_h1'] = new sfValidatorString(array('max_length' => 255, 'required' => true), array('required'=>'Veuillez renseigner la balise H1'));
      	$this->validatorSchema['url_partie1'] = new sfValidatorString(array('max_length' => 255, 'required' => true), array('required'=>'Veuillez renseigner l\'url partie 1'));
	}
}
