<?php

/**
 * Pompe form.
 *
 * @package    sf_sandbox
 * @subpackage form
 * @author     Your name here
 * @version    SVN: $Id: sfDoctrineFormTemplate.php 23810 2009-11-12 11:07:44Z Kris.Wallsmith $
 */
class PompeForm extends BasePompeForm
{
	public function configure()
	{
		$this->widgetSchema['id_marque'] = new sfWidgetFormDoctrineChoice(
												array(	'model' => $this->getRelatedModelName('Marque'), 
														'add_empty' => true,
														'query' => MarqueTable::queryPompeForEditForm()));
												
		$this->widgetSchema['description'] = new sfWidgetFormTextareaTinyMCE(array(
		  'width'  => 760,
		  'height' => 350,
		  'config' => 'theme_advanced_buttons1: "link,unlink,code", theme_advanced_buttons2: ""',
		));
		
		$this->widgetSchema["balise_meta"] = new sfWidgetFormTextarea(array(), array("cols"=>70));
		$this->widgetSchema["photo_1"] = new sfWidgetFormInputFile();
		$this->widgetSchema["photo_1_supprimer"] = new sfWidgetFormInputCheckbox();
		$this->widgetSchema["doc_commercial"] = new sfWidgetFormInputFile();
		$this->widgetSchema["doc_commercial_supprimer"] = new sfWidgetFormInputCheckbox();
		$this->widgetSchema["doc_technique"] = new sfWidgetFormInputFile();
		$this->widgetSchema["doc_technique_supprimer"] = new sfWidgetFormInputCheckbox();
		$this->widgetSchema["eclate_technique"] = new sfWidgetFormInputFile();
		$this->widgetSchema["eclate_technique_supprimer"] = new sfWidgetFormInputCheckbox();
		$this->widgetSchema["doc_technique_masque"] = new sfWidgetFormInputCheckbox();
		$this->widgetSchema["eclate_technique_masque"] = new sfWidgetFormInputCheckbox();
												
		$this->validatorSchema["id_marque"] = new sfValidatorDoctrineChoice(array('model' => $this->getRelatedModelName('Marque'), 'required' => true), array('required'=>'Veuillez renseigner une marque'));
		$this->validatorSchema["modele"] = new sfValidatorString(array('max_length' => 50, 'required' => true), array('required'=>'Veuillez renseigner un modèle'));
		$this->validatorSchema["photo_1"] = new sfValidatorFile(array('required' => false));
		$this->validatorSchema["photo_1_supprimer"] = new sfValidatorBoolean(array('required' => false));
		$this->validatorSchema["doc_commercial"] = new sfValidatorFile(array('required' => false));
		$this->validatorSchema["doc_commercial_supprimer"] = new sfValidatorBoolean(array('required' => false));
		$this->validatorSchema["doc_technique"] = new sfValidatorFile(array('required' => false));
		$this->validatorSchema["doc_technique_supprimer"] = new sfValidatorBoolean(array('required' => false));
		$this->validatorSchema["eclate_technique"] = new sfValidatorFile(array('required' => false));
		$this->validatorSchema["eclate_technique_supprimer"] = new sfValidatorBoolean(array('required' => false));
		$this->validatorSchema["doc_technique_masque"] = new sfValidatorBoolean(array('required' => false));
		$this->validatorSchema["eclate_technique_masque"] = new sfValidatorBoolean(array('required' => false));
	}
}
