<?php

/**
 * Client form base class.
 *
 * @method Client getObject() Returns the current form's model object
 *
 * @package    sf_sandbox
 * @subpackage form
 * @author     Your name here
 * @version    SVN: $Id: sfDoctrineFormGeneratedTemplate.php 29553 2010-05-20 14:33:00Z Kris.Wallsmith $
 */
abstract class BaseClientForm extends BaseFormDoctrine
{
  public function setup()
  {
    $this->setWidgets(array(
      'id_client'          => new sfWidgetFormInputHidden(),
      'type'               => new sfWidgetFormInputText(),
      'civilite'           => new sfWidgetFormInputText(),
      'raison_sociale'     => new sfWidgetFormInputText(),
      'nom'                => new sfWidgetFormInputText(),
      'prenom'             => new sfWidgetFormInputText(),
      'adresse'            => new sfWidgetFormInputText(),
      'adresse_complement' => new sfWidgetFormInputText(),
      'code_postal'        => new sfWidgetFormInputText(),
      'ville'              => new sfWidgetFormInputText(),
      'pays'               => new sfWidgetFormInputText(),
      'telephone'          => new sfWidgetFormInputText(),
      'fax'                => new sfWidgetFormInputText(),
      'email'              => new sfWidgetFormInputText(),
      'id_statut'          => new sfWidgetFormInputText(),
      'id_user'            => new sfWidgetFormDoctrineChoice(array('model' => $this->getRelatedModelName('sfGuardUser'), 'add_empty' => true)),
      'export_sage'        => new sfWidgetFormInputCheckbox(),
    ));

    $this->setValidators(array(
      'id_client'          => new sfValidatorChoice(array('choices' => array($this->getObject()->get('id_client')), 'empty_value' => $this->getObject()->get('id_client'), 'required' => false)),
      'type'               => new sfValidatorString(array('max_length' => 15, 'required' => false)),
      'civilite'           => new sfValidatorString(array('max_length' => 15, 'required' => false)),
      'raison_sociale'     => new sfValidatorString(array('max_length' => 255, 'required' => false)),
      'nom'                => new sfValidatorString(array('max_length' => 100, 'required' => false)),
      'prenom'             => new sfValidatorString(array('max_length' => 100, 'required' => false)),
      'adresse'            => new sfValidatorString(array('max_length' => 255, 'required' => false)),
      'adresse_complement' => new sfValidatorString(array('max_length' => 255, 'required' => false)),
      'code_postal'        => new sfValidatorString(array('max_length' => 5, 'required' => false)),
      'ville'              => new sfValidatorString(array('max_length' => 100, 'required' => false)),
      'pays'               => new sfValidatorString(array('max_length' => 100, 'required' => false)),
      'telephone'          => new sfValidatorString(array('max_length' => 15, 'required' => false)),
      'fax'                => new sfValidatorString(array('max_length' => 15, 'required' => false)),
      'email'              => new sfValidatorString(array('max_length' => 155, 'required' => false)),
      'id_statut'          => new sfValidatorInteger(array('required' => false)),
      'id_user'            => new sfValidatorDoctrineChoice(array('model' => $this->getRelatedModelName('sfGuardUser'), 'required' => false)),
      'export_sage'        => new sfValidatorBoolean(array('required' => false)),
    ));

    $this->widgetSchema->setNameFormat('client[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    $this->setupInheritance();

    parent::setup();
  }

  public function getModelName()
  {
    return 'Client';
  }

}
