<?php

/**
 * PressureWasherWatchWebsite form base class.
 *
 * @method PressureWasherWatchWebsite getObject() Returns the current form's model object
 *
 * @package    sf_sandbox
 * @subpackage form
 * @author     Your name here
 * @version    SVN: $Id: sfDoctrineFormGeneratedTemplate.php 29553 2010-05-20 14:33:00Z Kris.Wallsmith $
 */
abstract class BasePressureWasherWatchWebsiteForm extends BaseFormDoctrine
{
  public function setup()
  {
    $this->setWidgets(array(
      'id'           => new sfWidgetFormInputHidden(),
      'name'         => new sfWidgetFormInputText(),
      'url'          => new sfWidgetFormInputText(),
      'before_price' => new sfWidgetFormInputText(),
      'after_price'  => new sfWidgetFormInputText(),
      'id_nettoyeur' => new sfWidgetFormDoctrineChoice(array('model' => $this->getRelatedModelName('NettoyeurHautePression'), 'add_empty' => true)),
    ));

    $this->setValidators(array(
      'id'           => new sfValidatorChoice(array('choices' => array($this->getObject()->get('id')), 'empty_value' => $this->getObject()->get('id'), 'required' => false)),
      'name'         => new sfValidatorString(array('max_length' => 255, 'required' => false)),
      'url'          => new sfValidatorString(array('max_length' => 255, 'required' => false)),
      'before_price' => new sfValidatorString(array('max_length' => 255, 'required' => false)),
      'after_price'  => new sfValidatorString(array('max_length' => 255, 'required' => false)),
      'id_nettoyeur' => new sfValidatorDoctrineChoice(array('model' => $this->getRelatedModelName('NettoyeurHautePression'), 'required' => false)),
    ));

    $this->widgetSchema->setNameFormat('pressure_washer_watch_website[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    $this->setupInheritance();

    parent::setup();
  }

  public function getModelName()
  {
    return 'PressureWasherWatchWebsite';
  }

}
