<?php

/**
 * TauxTVA form base class.
 *
 * @method TauxTVA getObject() Returns the current form's model object
 *
 * @package    sf_sandbox
 * @subpackage form
 * @author     Your name here
 * @version    SVN: $Id: sfDoctrineFormGeneratedTemplate.php 29553 2010-05-20 14:33:00Z Kris.Wallsmith $
 */
abstract class BaseTauxTVAForm extends BaseFormDoctrine
{
  public function setup()
  {
    $this->setWidgets(array(
      'id_taux_tva' => new sfWidgetFormInputHidden(),
      'taux'        => new sfWidgetFormInputText(),
      'statut'      => new sfWidgetFormInputCheckbox(),
    ));

    $this->setValidators(array(
      'id_taux_tva' => new sfValidatorChoice(array('choices' => array($this->getObject()->get('id_taux_tva')), 'empty_value' => $this->getObject()->get('id_taux_tva'), 'required' => false)),
      'taux'        => new sfValidatorNumber(),
      'statut'      => new sfValidatorBoolean(array('required' => false)),
    ));

    $this->widgetSchema->setNameFormat('taux_tva[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    $this->setupInheritance();

    parent::setup();
  }

  public function getModelName()
  {
    return 'TauxTVA';
  }

}
